
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `LABSEGTEL-UOC-01`
--
CREATE DATABASE `LABSEGTEL-UOC-01` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `LABSEGTEL-UOC-01`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `adodb_logsql`
--

CREATE TABLE IF NOT EXISTS `adodb_logsql` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `created` datetime NOT NULL,
  `sql0` varchar(250) NOT NULL default '',
  `sql1` text,
  `params` text,
  `tracer` text,
  `timer` decimal(16,6) NOT NULL default '0.000000',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to save some logs from ADOdb' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `assignment`
--

CREATE TABLE IF NOT EXISTS `assignment` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `format` smallint(4) unsigned NOT NULL default '0',
  `assignmenttype` varchar(50) NOT NULL default '',
  `resubmit` tinyint(2) unsigned NOT NULL default '0',
  `preventlate` tinyint(2) unsigned NOT NULL default '0',
  `emailteachers` tinyint(2) unsigned NOT NULL default '0',
  `var1` bigint(10) default '0',
  `var2` bigint(10) default '0',
  `var3` bigint(10) default '0',
  `var4` bigint(10) default '0',
  `var5` bigint(10) default '0',
  `maxbytes` bigint(10) unsigned NOT NULL default '100000',
  `timedue` bigint(10) unsigned NOT NULL default '0',
  `timeavailable` bigint(10) unsigned NOT NULL default '0',
  `grade` bigint(10) NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `assi_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Defines assignments' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `assignment`
--

INSERT INTO `assignment` (`id`, `course`, `name`, `description`, `format`, `assignmenttype`, `resubmit`, `preventlate`, `emailteachers`, `var1`, `var2`, `var3`, `var4`, `var5`, `maxbytes`, `timedue`, `timeavailable`, `grade`, `timemodified`) VALUES
(1, 3, 'Examen final', 'CASO 1:\r\n\r\nLa base de datos MPRL.mdb ubicada en un ordenador de la institución que da un master. Hay dos personas autorizadas a usar la base de datos desde el mismo ordenador.  No esta dada de alta en la AGENCIA DE PROTECCIÓN DE DATOS. No se añaden ni modifican los datos con mucha frecuencia. La copia de seguridad se realiza una vez cada dos semanas y se guardan en la misma sala. Están cifrados.\r\n\r\n\r\nCASO 2:\r\n\r\nUna empresa de servicios ubica las páginas web (http://www.lsi.uvigo.es/didega/) de otra. El servidor realiza una copia de seguridad total una vez a la semana. Las copias se ubican en la misma sala. Para las copias de seguridad se emplea el propio software que viene con el sistema operativo (LINUX) y usa cintas DAT cuyo lector está ubicado en la misma CPU.  Para subir las nuevas páginas la empresa usan el servicio de ftp. El servidor es Linux.\r\n\r\n\r\nElija uno de los dos casos y haga un documento de seguridad completo. Cualquier duda o cuestión realizará al tutor de la asignatura como si fuese una toma de datos ante un Plan de Adaptación al Reglamento.\r\n\r\n\r\nNOTAS: \r\n\r\n1) NO SUPONGA NADA QUE NO ESTE ESCRITO POR TANTO CONTEMPLE CUALQUIER CASO AUNQUE NO ESTE ESPÉCIFICADO.\r\n\r\n	2)  LEA TODO EL CASO ANTES DE EMPEZAR A SOLUCIONAR EL PROBLEMA.\r\n', 0, 'offline', 0, 0, 0, 0, 0, 0, 0, 0, 100000, 1402643400, 1402038600, 100, 1402039043),
(2, 3, 'Examen semana 2', 'Realice un estudio para ver las diferencias entre el RD 994/1999 y 1720/2007. Minimo 8 páginas', 0, 'offline', 0, 0, 0, 0, 0, 0, 0, 0, 100000, 1402644000, 1402039200, 100, 1402039533),
(3, 3, 'Examen semana 3', 'Busque los ficheros declarados por la UOC. Realice el protocolo de actuación para realizar el derecho de acceso, rectificación y oposición. Una vez finalizado entregueselo al tutor.', 0, 'offline', 0, 0, 0, 0, 0, 0, 0, 0, 100000, 1402644300, 1402039500, 100, 1402039619);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `assignment_submissions`
--

CREATE TABLE IF NOT EXISTS `assignment_submissions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `assignment` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `numfiles` bigint(10) unsigned NOT NULL default '0',
  `data1` text,
  `data2` text,
  `grade` bigint(11) NOT NULL default '0',
  `submissioncomment` text NOT NULL,
  `format` smallint(4) unsigned NOT NULL default '0',
  `teacher` bigint(10) unsigned NOT NULL default '0',
  `timemarked` bigint(10) unsigned NOT NULL default '0',
  `mailed` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `assisubm_use_ix` (`userid`),
  KEY `assisubm_mai_ix` (`mailed`),
  KEY `assisubm_tim_ix` (`timemarked`),
  KEY `assisubm_ass_ix` (`assignment`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about submitted assignments' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `backup_config`
--

CREATE TABLE IF NOT EXISTS `backup_config` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `backconf_nam_uix` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='To store backup configuration variables' AUTO_INCREMENT=18 ;

--
-- Volcado de datos para la tabla `backup_config`
--

INSERT INTO `backup_config` (`id`, `name`, `value`) VALUES
(1, 'backup_sche_modules', '0'),
(2, 'backup_sche_withuserdata', '0'),
(3, 'backup_sche_metacourse', '0'),
(4, 'backup_sche_users', '0'),
(5, 'backup_sche_logs', '0'),
(6, 'backup_sche_userfiles', '0'),
(7, 'backup_sche_coursefiles', '0'),
(8, 'backup_sche_sitefiles', '0'),
(9, 'backup_sche_gradebook_history', '0'),
(10, 'backup_sche_messages', '0'),
(11, 'backup_sche_blogs', '0'),
(12, 'backup_sche_keep', '1'),
(13, 'backup_sche_active', '0'),
(14, 'backup_sche_weekdays', '0000000'),
(15, 'backup_sche_hour', '0'),
(16, 'backup_sche_minute', '0'),
(17, 'backup_sche_destination', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `backup_courses`
--

CREATE TABLE IF NOT EXISTS `backup_courses` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `laststarttime` bigint(10) unsigned NOT NULL default '0',
  `lastendtime` bigint(10) unsigned NOT NULL default '0',
  `laststatus` varchar(1) NOT NULL default '0',
  `nextstarttime` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `backcour_cou_uix` (`courseid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To store every course backup status' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `backup_files`
--

CREATE TABLE IF NOT EXISTS `backup_files` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `backup_code` bigint(10) unsigned NOT NULL default '0',
  `file_type` varchar(10) NOT NULL default '',
  `path` varchar(255) NOT NULL default '',
  `old_id` bigint(10) unsigned NOT NULL default '0',
  `new_id` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `backfile_bacfilpat_uix` (`backup_code`,`file_type`,`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To store and recode ids to user and course files' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `backup_ids`
--

CREATE TABLE IF NOT EXISTS `backup_ids` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `backup_code` bigint(12) unsigned NOT NULL default '0',
  `table_name` varchar(30) NOT NULL default '',
  `old_id` bigint(10) unsigned NOT NULL default '0',
  `new_id` bigint(10) unsigned NOT NULL default '0',
  `info` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `backids_bactabold_uix` (`backup_code`,`table_name`,`old_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To store and convert ids in backup/restore' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `backup_log`
--

CREATE TABLE IF NOT EXISTS `backup_log` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `time` bigint(10) unsigned NOT NULL default '0',
  `laststarttime` bigint(10) unsigned NOT NULL default '0',
  `info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `backlog_cou_ix` (`courseid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To store every course backup log info' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `block`
--

CREATE TABLE IF NOT EXISTS `block` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `version` bigint(10) unsigned NOT NULL default '0',
  `cron` bigint(10) unsigned NOT NULL default '0',
  `lastcron` bigint(10) unsigned NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '1',
  `multiple` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='to store installed blocks' AUTO_INCREMENT=32 ;

--
-- Volcado de datos para la tabla `block`
--

INSERT INTO `block` (`id`, `name`, `version`, `cron`, `lastcron`, `visible`, `multiple`) VALUES
(1, 'activity_modules', 2007101509, 0, 0, 1, 0),
(2, 'admin', 2007101509, 0, 0, 1, 0),
(3, 'admin_bookmarks', 2007101509, 0, 0, 1, 0),
(4, 'admin_tree', 2007101509, 0, 0, 1, 0),
(5, 'blog_menu', 2007101509, 0, 0, 1, 0),
(6, 'blog_tags', 2007101509, 0, 0, 1, 1),
(7, 'calendar_month', 2007101509, 0, 0, 1, 0),
(8, 'calendar_upcoming', 2007101509, 0, 0, 1, 0),
(9, 'course_list', 2007101509, 0, 0, 1, 0),
(10, 'course_summary', 2007101509, 0, 0, 1, 0),
(11, 'glossary_random', 2007101509, 0, 0, 1, 1),
(12, 'html', 2007101509, 0, 0, 1, 1),
(13, 'loancalc', 2007101509, 0, 0, 1, 0),
(14, 'login', 2007101509, 0, 0, 1, 0),
(15, 'mentees', 2007101509, 0, 0, 1, 1),
(16, 'messages', 2007101509, 0, 0, 1, 0),
(17, 'mnet_hosts', 2007101509, 0, 0, 1, 0),
(18, 'news_items', 2007101509, 0, 0, 1, 0),
(19, 'online_users', 2007101510, 0, 0, 1, 0),
(20, 'participants', 2007101509, 0, 0, 1, 0),
(21, 'quiz_results', 2007101509, 0, 0, 1, 1),
(22, 'recent_activity', 2007101509, 0, 0, 1, 0),
(23, 'rss_client', 2007101511, 300, 0, 1, 1),
(24, 'search', 2008031500, 1, 0, 1, 0),
(25, 'search_forums', 2007101509, 0, 0, 1, 0),
(26, 'section_links', 2007101511, 0, 0, 1, 0),
(27, 'site_main_menu', 2007101509, 0, 0, 1, 0),
(28, 'social_activities', 2007101509, 0, 0, 1, 0),
(29, 'tag_flickr', 2007101509, 0, 0, 1, 1),
(30, 'tag_youtube', 2007101509, 0, 0, 1, 1),
(31, 'tags', 2007101509, 0, 0, 1, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `block_instance`
--

CREATE TABLE IF NOT EXISTS `block_instance` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `blockid` bigint(10) unsigned NOT NULL default '0',
  `pageid` bigint(10) unsigned NOT NULL default '0',
  `pagetype` varchar(20) NOT NULL default '',
  `position` varchar(10) NOT NULL default '',
  `weight` smallint(3) NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '0',
  `configdata` text,
  PRIMARY KEY  (`id`),
  KEY `blocinst_pag_ix` (`pageid`),
  KEY `blocinst_pag2_ix` (`pagetype`),
  KEY `blocinst_blo_ix` (`blockid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='to store block instances in pages' AUTO_INCREMENT=23 ;

--
-- Volcado de datos para la tabla `block_instance`
--

INSERT INTO `block_instance` (`id`, `blockid`, `pageid`, `pagetype`, `position`, `weight`, `visible`, `configdata`) VALUES
(1, 27, 1, 'course-view', 'l', 0, 1, ''),
(2, 4, 1, 'course-view', 'l', 1, 1, ''),
(3, 10, 1, 'course-view', 'r', 0, 1, ''),
(4, 7, 1, 'course-view', 'r', 1, 1, ''),
(5, 4, 0, 'admin', 'l', 0, 1, ''),
(6, 3, 0, 'admin', 'l', 1, 1, ''),
(7, 20, 2, 'course-view', 'l', 0, 1, ''),
(8, 1, 2, 'course-view', 'l', 1, 1, ''),
(9, 25, 2, 'course-view', 'l', 2, 1, ''),
(10, 2, 2, 'course-view', 'l', 3, 1, ''),
(11, 9, 2, 'course-view', 'l', 4, 1, ''),
(12, 18, 2, 'course-view', 'r', 0, 1, ''),
(13, 8, 2, 'course-view', 'r', 1, 1, ''),
(14, 22, 2, 'course-view', 'r', 2, 1, ''),
(15, 20, 3, 'course-view', 'l', 0, 1, ''),
(16, 1, 3, 'course-view', 'l', 1, 1, ''),
(17, 25, 3, 'course-view', 'l', 2, 1, ''),
(18, 2, 3, 'course-view', 'l', 3, 1, ''),
(19, 9, 3, 'course-view', 'l', 4, 1, ''),
(20, 18, 3, 'course-view', 'r', 0, 1, ''),
(21, 8, 3, 'course-view', 'r', 1, 1, ''),
(22, 22, 3, 'course-view', 'r', 2, 1, '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `block_pinned`
--

CREATE TABLE IF NOT EXISTS `block_pinned` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `blockid` bigint(10) unsigned NOT NULL default '0',
  `pagetype` varchar(20) NOT NULL default '',
  `position` varchar(10) NOT NULL default '',
  `weight` smallint(3) NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '0',
  `configdata` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `blocpinn_pag_ix` (`pagetype`),
  KEY `blocpinn_blo_ix` (`blockid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to pin blocks' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `block_rss_client`
--

CREATE TABLE IF NOT EXISTS `block_rss_client` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `title` text NOT NULL,
  `preferredtitle` varchar(64) NOT NULL default '',
  `description` text NOT NULL,
  `shared` tinyint(2) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Remote news feed information. Contains the news feed id, the' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `block_search_documents`
--

CREATE TABLE IF NOT EXISTS `block_search_documents` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `docid` varchar(32) NOT NULL default '',
  `doctype` varchar(32) NOT NULL default 'none',
  `itemtype` varchar(32) NOT NULL default 'standard',
  `title` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `docdate` bigint(10) unsigned NOT NULL default '0',
  `updated` bigint(10) unsigned NOT NULL default '0',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `blocseardocu_doc_ix` (`docid`),
  KEY `blocseardocu_doc2_ix` (`doctype`),
  KEY `blocseardocu_ite_ix` (`itemtype`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='table to store search index backups' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cache_filters`
--

CREATE TABLE IF NOT EXISTS `cache_filters` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `filter` varchar(32) NOT NULL default '',
  `version` bigint(10) unsigned NOT NULL default '0',
  `md5key` varchar(32) NOT NULL default '',
  `rawtext` text NOT NULL,
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `cachfilt_filmd5_ix` (`filter`,`md5key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='For keeping information about cached data' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cache_flags`
--

CREATE TABLE IF NOT EXISTS `cache_flags` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `flagtype` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `value` mediumtext NOT NULL,
  `expiry` bigint(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cachflag_fla_ix` (`flagtype`),
  KEY `cachflag_nam_ix` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Cache of time-sensitive flags' AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `cache_flags`
--

INSERT INTO `cache_flags` (`id`, `flagtype`, `name`, `timemodified`, `value`, `expiry`) VALUES
(1, 'accesslib/dirtycontexts', '/1', 1286799218, '1', 1286806418),
(2, 'accesslib/dirtycontexts', '/1/3/11', 1395695842, '1', 1395703042),
(3, 'accesslib/dirtycontexts', '/1/3/21', 1400585378, '1', 1400592578),
(4, 'accesslib/dirtycontexts', '/1/3/21/33', 1400585692, '1', 1400592892),
(5, 'accesslib/dirtycontexts', '/1/3/21/40', 1402038804, '1', 1402046004),
(6, 'accesslib/dirtycontexts', '/1/3/21/41', 1402902987, '1', 1402910187);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cache_text`
--

CREATE TABLE IF NOT EXISTS `cache_text` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `md5key` varchar(32) NOT NULL default '',
  `formattedtext` longtext NOT NULL,
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `cachtext_md5_ix` (`md5key`),
  KEY `cachtext_tim_ix` (`timemodified`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='For storing temporary copies of processed texts' AUTO_INCREMENT=87 ;

--
-- Volcado de datos para la tabla `cache_text`
--

INSERT INTO `cache_text` (`id`, `md5key`, `formattedtext`, `timemodified`) VALUES
(1, 'dfb0fe556a04ca90e7f47a5b023fd41e', '<p>Categoría por defecto para preguntas compartidas en el contexto Portada.</p>', 1395693757),
(2, '2eb628215ddab1918db5167c75c19cef', 'Novedades y anuncios', 1403045246),
(3, 'c4e897c7f792cddc72118edc54654fad', '', 1402904303),
(4, '422f64ea8039612bf952fea364d0b4dd', 'Fundamentos a la Privacidad\r\nLa AEPD y su Registro', 1400585601),
(5, '5fb5c35a8c6d811d1f64f6706f4feeeb', 'Fundamentos de la Privacidad y la AEPD', 1400585578),
(6, '8c9840d6aab32477f4804ce31b9f031f', 'Fundamentos a la Privacidad\r\n', 1402904303),
(7, 'e506c7c3cc9a3ef6bab4ca0cb7ef1ccb', 'La AEPD y su Registro', 1402904303),
(8, 'a02eae2ffa038f1269115becee175859', 'Medidas técnicas', 1400585678),
(9, '9fbf7596d101c97285f6061e91ca24cc', 'Medidas técnicas y organizativas', 1402902923),
(10, 'd14d4e58dbbca208e04226621c377316', 'Documento de Seguridad', 1402902923),
(11, '61c8873321f5fa03c07d9d2708da324f', 'Derechos de los usuarios', 1402902923),
(12, 'bbf4f4cf78aa760d67e467091d0321c6', 'Sanciones e Infracciones', 1402902923),
(13, 'e7f5d5b78c62225036de996adac371b6', 'Practicum', 1402902923),
(14, '6ff8a947f54a648f39ac413da094ec6b', '', 1402751374),
(15, '71579ede372f385a87d967d4fc098e27', '<p>I.  Origen de la normativa nacional\nNo hay duda de la importancia que las tecnologías de la información y de la comunicación han alcanzado en los últimos años. Las llamadas TIC (Tecnologías de la Información y de la Comunicación) han entrado nuestra sociedad de un modo extremadamente acelerado, produciendo una auténtica revolución de la información, del mismo modo que en su día fue la revolución industrial; amenazando con transformar por completo nuestra idea de sociedad y de las estructuras que la conforman.\nTal es la importancia de este nuevo entorno que ya estamos viviendo que el Derecho no puede desconocerlo. La tradicional lentitud de las leyes a la hora de regular nuevas figuras y realidades sociales se hace aquí aún más dramática donde el fenómeno crece a ojos vista en cuestión de meses, incluso de días.\nLa enorme capacidad de tratamiento y transmisión de la información que ofrecen las nuevas tecnologías hacen más acuciante la necesidad de proteger los derechos fundamentales del individuo, en concreto los contemplados en el artículo 18 de nuestra Constitución, el derecho al honor, a la intimidad personal y familiar y a la propia imagen.\nEl apartado 4º de dicho precepto dice: “La ley limitará el uso de la informática para garantizar el honor y la intimidad personal y familiar de los ciudadanos y el pleno ejercicio de sus derechos”. Tal era la concienciación del constituyente del 78 sobre la posible incidencia perjudicial de las nuevas tecnologías sobre estos derechos.\nPara cumplir con dicha disposición, se adoptó la Ley Orgánica 5/1992, de 29 de octubre, de Regulación del Tratamiento Automatizado de los Datos de Carácter Personal (LORTAD).\nA nivel comunitario, con posterioridad a la promulgación de la LORTAD, se aprobó la Directiva 95/46/CE del Parlamento Europeo y del Consejo, de 24 de octubre de 1995, relativa a la Protección de las Personas Físicas en lo que respecta al Tratamiento de Datos Personales y a la Libre Circulación de estos Datos.</p>\n\n<p>Debido a esta Directiva, fue necesario modificar la legislación española mediante la Ley Orgánica 15/1999, de 13 de diciembre, de Protección de Datos de Carácter Personal (LOPD). Esta nueva Ley que derogó y sustituyó a la LORTAD, pero no así a sus reglamentos de desarrollo, los cuales siguen vigentes en todo lo que no se opongan a esta nueva regulación.</p>\n\n<p>II. Diferencias entre la LORTAD y la nueva LOPD\nA pesar de lo que pueda parecer en primera instancia, por el hecho de que sea una nueva ley, la LOPD es muy similar a la LORTAD. Es más, prácticamente el 85% de su redacción y de sus artículos coinciden “punto por punto” con la de su predecesora.\nEntonces... ¿Cuáles son sus diferencias?. La primera y más destacada tiene que ver con su nombre: si nos fijamos, la LORTAD se llamaba “Ley Orgánica Reguladora del Tratamiento Automatizado de Datos de carácter personal” mientras que la LOPD se denomina, simplemente, “Ley Orgánica de Protección de Datos de carácter personal”. Por tanto, la diferencia está en el término “automatizado”: así, mientras que la LORTAD se centraba solamente en las bases de datos informatizadas, la nueva LOPD se extiende también a las bases de datos en otro tipo de soportes: papel, filminas, etc.\nLas otras diferencias más significativas, son las siguientes:\n-   Incorporación de la figura del “Encargado del Tratamiento”, diferenciándose del “Responsable del Fichero”, que se define como “la persona física o jurídica, autoridad pública, servicio o cualquier otro organismo que, sólo o conjuntamente con otros, trate datos personales por cuenta del responsable del tratamiento”.\n-   Cambio del concepto de “cesión de datos” por el de “comunicación de datos” e introducción de un artículo nuevo (art. 12) que regula específicamente el “acceso a los datos por cuenta de terceros”.\n-   Modificación del Tratamiento de los ficheros privados con fines de publicidad y prospección comercial y creación del llamado “Censo Promocional” (artículos 30 y 31 LOPD).\n-   Ampliación y modificación del régimen aplicable al “Movimiento Internacional de Datos” (artículo 33 y 34 LOPD).\n-   Autorización de la creación de Órganos correspondientes de la Comunidades Autónomas en materia de Protección de Datos, parcialmente homólogos de la Agencia de Protección de Datos (artículo 41 LOPD).\n-   Obligación de registrar y adaptar a la LOPD los ficheros de datos personales en soportes no automatizados (papel, filminas, etc.) antes del 24 de octubre del 2007 (Disposición Transitoria Primera LOPD).\nEvidentemente, existen muchas otras diferencias, menos relevantes, que obviamos en el presente artículo por su limitada extensión y su carácter divulgativo.</p>\n\n<p>A continuación, nos centraremos en la LOPD y abordaremos los aspectos más importantes de la misma en los siguientes epígrafes.</p>\n\n<p>III.    Objeto y ámbito de aplicación de la LOPD\nEl artículo 1 de la LOPD define su objeto, en desarrollo del artículo 18.4 de la Constitución Española, que no es otro que “limitar el uso de la informática” y medios análogos con el fin de proteger el “pleno ejercicio” del derecho al honor y a la intimidad personal y familiar.\nEl ámbito de aplicación de la LOPD viene determinado en su artículo 2º. En su párrafo 1º, se establece la regla general para, a continuación, determinar una serie de excepciones en los párrafos siguientes. Este sistema de excepciones va a ser la tónica general de la Ley, contribuyendo al oscurecimiento de su articulado y a la limitación de su alcance.\nRegla general: \n“La presente Ley Orgánica será de aplicación a los datos de carácter personal registrados en soporte físico, que los haga susceptibles de tratamiento, y a toda modalidad de uso posterior de estos datos por los sectores público y privado.”.\nExcepciones: \nEl párrafo 2º del artículo 2 excluye la aplicación de la LOPD para los siguientes ficheros:\n•   A los ficheros mantenidos por personas físicas en el ejercicio de actividades exclusivamente personales o domésticas.\n•   A los ficheros sometidos a la normativa sobre protección de materias clasificadas.\n•   A los ficheros establecidos para la investigación del terrorismo y de formas graves de delincuencia organizada. No obstante, en estos supuestos el responsable del fichero comunicará previamente la existencia del mismo, sus características generales y su finalidad a la Agencia de Protección de Datos.</p>\n\n<p>IV. Definiciones\nSiguiendo el modelo de las directivas comunitarias, la LOPD introduce una serie de definiciones “ope legis” de los términos fundamentales que maneja, y siempre con efectos únicamente de lo dispuesto en ella.\nSe recogen en el artículo 3 de la Ley y destacamos las siguientes:</p>\n\n<p>1-  Datos de carácter personal:\nLa Ley define los mismos como “cualquier información concerniente a personas físicas identificadas o identificables”.\nEn primer lugar, cabe destacar que sólo se refiere a la “información” y no a la “opinión”. Este dato es fundamental ya que la información tiene la obligación de ser veraz y viene protegida por el derecho fundamental a la Libertad de Información (artículo 20.1.d) de la Constitución), mientras que la opinión no se le impone dicha limitación y se protege por un derecho independiente: la Libertad de Expresión (artículo 20.1.a) de la Constitución).\nDe este modo y strictu sensu podemos afirmar que en el concepto de dato de carácter personal no están incluidas las opiniones vertidas por otras personas sobre ellas sino solamente las informaciones que son las que realmente tienen una obligación de veracidad (principio de calidad que veremos posteriormente). Con las dificultades que dicha distinción puede conllevar en la práctica, como en el caso de los “diagnósticos”, sean médicos, sociales o psicológicos, que siendo los mismos opiniones profesionales no por ello dejan de tener una cierta obligación de veracidad. Ante la duda, cabe incluir dichos elementos en el concepto de dato personal.\nEn segundo lugar, cabe destacar de la definición que sólo se refiere a las personas físicas, dejando de lado a las jurídicas cuyos datos no se ven protegidos por esta Ley. Asimismo dichas personas no necesitan estar identificadas plenamente, sino que basta con que se pueda deducir su identidad con relativa facilidad.\nEjemplos de estos datos son: nombre, apellidos, dirección, edad, estado civil, profesión, sexo, edad, etc.</p>\n\n<p>2-  Fichero automatizado:\nPara la ley, este fichero es “todo conjunto organizado de  datos  de carácter personal,  cualquiera  que fuere la forma o modalidad de su creación,  almacenamiento,  organización  y acceso”.\nHemos de recordar aquí que, así como la anterior LORTAD sólo se refería a ficheros informáticos, esta Ley también engloba otro tipo de soportes como el papel. Si bien, la Disposición Adicional Primera de la LOPD prorroga su aplicación a dichos soportes no automatizados hasta el 24 de octubre de 2007 (a excepción del ejercicio de derechos de acceso, rectificación y cancelación por los interesados, que veremos posteriormente).</p>\n\n<p>3-  Tratamiento de datos:\nSe definen como las “operaciones y procedimientos técnicos de carácter automatizado o no, que permitan la recogida, grabación, conservación, elaboración, modificación, bloqueo y cancelación, así como las cesiones de datos que resulten de comunicaciones, consultas, interconexiones y transferencias”.\nTodos estos elementos forman parte del procesamiento y uso de la información, se utilice o no la informática para ello.</p>\n\n<p>4-  Responsable del fichero:\nPara la LOPD, el responsable del fichero es aquella “persona física o jurídica, de naturaleza pública o privada, u órgano administrativo, que decida sobre la finalidad, contenido y uso del tratamiento”.\nÉste concepto es sumamente importante ya que nos indica el sujeto contra el que hay que dirigirse directamente en caso de violación de los preceptos contenidos en la Ley con relación a los datos bajo su control.</p>\n\n<p>5-  Encargado del tratamiento:\nPara la LOPD, el encargado del tratamiento es aquella “la persona física o jurídica, autoridad pública, servicio o cualquier otro organismo que, sólo o conjuntamente con otros, trate datos personales por cuenta del responsable del tratamiento”.\nComo vimos anteriormente, es una novedad en relación a la LORTAD que no contemplaba esta figura.</p>\n\n<p>6-  Afectado:\nSe define al afectado como aquella “persona física  titular  de  los  datos  que  sean  objeto del tratamiento”. Ya hemos destacado que las personas jurídicas quedan fuera del ámbito de protección de la Ley.</p>\n\n<p>7-  Procedimiento de disociación:\nEste procedimiento responde a “todo tratamiento de datos personales de modo que la información que se obtenga no pueda asociarse a persona identificada o identificable”.\nEste sistema asegura el anonimato de los afectados y, por tanto, su derecho al honor y a la intimidad. Un ejemplo paradigmático de este sistema son los datos estadísticos.</p>\n\n<p>V.  Principios de la protección de datos\nEl Título II de la LOPD, artículos 4 a 12, se dedican a enumerar los principios informadores fundamentales en la protección de datos de carácter personal. A continuación veremos uno por uno dichos principios:\nA.  Calidad de los datos:\nEl artículo 4 define los siguientes principios vinculados con la necesaria calidad de los datos:\n1-  Principio de finalidad:\nLos datos personales deben ser “adecuados, pertinentes y no excesivos” con relación al ámbito y fines para los que fueron recogidos.\nAsimismo, dichos datos “no podrán usarse para finalidades incompatibles” de las fijadas en el momento de su recogida. Y, consecuentemente, deberán ser “cancelados cuando  hayan  dejado de ser necesarios o pertinentes para la finalidad para la  cual  hubieran  sido recabados y registrados” . Este ultimo punto lo denomino coloquialmente como el “Principio del derecho al olvido” que todo interesado tiene en relación a sus datos.</p>\n\n<p>2-  Principio de calidad de los datos “strictu sensu”:\nLos datos personales deben ser “exactos y puestos al día”. En caso contrario, la LOPD impone la obligación de que los datos erróneos sean cancelados y sustituidos por los correctos de oficio, sin perjuicio de los derechos de rectificación y cancelación por parte del afectado. (artículo 16)\n3-  Principio de almacenamiento de los datos:\nLa Ley no impone ningún sistema determinado de almacenamiento, pudiendo éste ser automatizado o no. El único requisito que exige, en el párrafo sexto de su artículo 4, es que dicho sistema permita “el ejercicio del derecho de acceso por parte del afectado”.</p>\n\n<p>4-  Principio de licitud:\nEn la recogida de datos: \nArtículo 4.7; “Se prohíbe la recogida de datos  por  medios  fraudulentos,  desleales o ilícitos”.\nEn la clasificación de los datos: \nArtículo 4.1, párrafo 2º; “En su clasificación sólo podrán utilizarse criterios que  no  se  presten a prácticas ilícitas”.\nEn la finalidad de su utilización: \nArtículo 4.1, párrafo 1º; “...y  las finalidades legítimas para las que se hayan obtenido”.</p>\n\n<p>B.  Derecho de Información en la recogida de datos:\nEn el momento de la recogida de datos personales, el artículo 5 de la Ley impone la obligación de informar a los afectados sobre determinados extremos.\nLa información facilitada debe cumplir los siguientes requisitos:\n1-  Se ha de realizar con carácter previo a la solicitud de los datos.\n2-  Debe ser expresa, precisa e inequívoca.\nEl contenido obligatorio de dicha información es el siguiente:\na-  Existencia  de  un  fichero  automatizado  de  datos  de carácter personal,  finalidad de la recogida de éstos y destinatarios  de la información.\nb-  Carácter obligatorio o facultativo de la respuesta del afectado a  las preguntas que le sean planteadas.\nc-  Consecuencias de la obtención de los datos o de  la  negativa a suministrarlos.\nd-  Posibilidad de ejercitar los derechos de  acceso,  rectificación y cancelación.\ne-  Identidad y dirección del responsable del fichero.</p>\n\n<p>Éste requisito de información no será exigible, reza el apartado 3 del artículo 5, si “el contenido de ella se  deduce claramente  de  la  naturaleza  de  los  datos personales que se solicitan o de las circunstancias en que se recaban”. Sin duda, el problema está en determinar, en la práctica, cuándo se puede deducir o no dicha información.</p>\n\n<p>C.  Consentimiento del afectado:\nEl artículo 6 de la LOPD determina la necesidad del consentimiento del afectado para el tratamiento automatizado de sus datos personales.\nÉste consentimiento incluso podrá ser revocado, según el apartado 3 del mismo artículo, “cuando exista causa justificada para ello y no se le atribuyan efectos retroactivos”.\nComo no podía ser de otro modo, existen una serie de excepciones en las que no se exige el consentimiento del afectado. Son las siguientes:\n1-  Cuando los datos de carácter personal se recojan para el ejercicio de las funciones propias de las Administraciones públicas en el ámbito de sus competencias; \n2-  Cuando se refieran a las partes de un contrato o precontrato de una relación negocial, laboral o administrativa y sean necesarios para su mantenimiento o cumplimiento; \n3-  Cuando el tratamiento de los datos tenga por finalidad proteger un interés vital del interesado en los términos del artículo 7, apartado 6, de LOPD, o \n4-  Cuando los datos figuren en fuentes accesibles al público y su tratamiento sea necesario para la satisfacción del interés legítimo perseguido por el responsable del fichero o por el del tercero a quien se comuniquen los datos, siempre que no se vulneren los derechos y libertades fundamentales del interesado.</p>\n\n<p>D.  Datos especialmente protegidos:\nEl artículo 7 de la Ley regula la esfera de datos especialmente sensibles, que afectan de una manera muy directa al derecho al honor y a la intimidad. Por tanto, estos datos requieren de un régimen jurídico más estricto que el resto para garantizar convenientemente su protección.\nEstos datos personales se concretan en dos grupos fundamentales:\n1-  Ideología, afiliación sindical, religión o creencias.\n2-  Origen racial, salud o vida sexual.\n3-  Relativos a la comisión de infracciones penales o administrativas.\n1.  Ideología, religión o creencias.\nEl artículo 16 de la Constitución, garantizador de la libertad ideológica, religiosa y de culto, recoge en su párrafo 2º que “nadie podrá ser obligado a declarar sobre su ideología religión o creencias”.\nAtendiendo a este precepto, el artículo 7 de la LOPD, en sus apartados 1º y 2º, recoge una especial protección para los datos relativos a estas materias, en los siguientes extremos:\n-   Con relación al derecho a la información en la recogida de estos datos: se advertirá al interesado de su derecho a no declarar sobre los mismos.\n-   Con relación al consentimiento: debe ser “expreso y por escrito” del afectado para el tratamiento automatizado de dichos datos. De otro modo, no se podrán utilizar en dicho proceso.</p>\n\n<ol>\n<li><p>Origen racial, salud o vida sexual.\nEl apartado 3º del artículo 7 de la LOPD se encarga de su regulación especial, indicando que éstos datos sólo podrán ser recabados, tratados automatizadamente y cedidos mediando dos requisitos:\n1º) Con una finalidad de “interés general”.\n2º) Mediante autorización:</p>\n\n<ul>\n<li>Concedida por una Ley,</li>\n<li>o mediante consentimiento expreso del afectado.\nCon relación a los datos relativos a la salud, el artículo 8 permite su tratamiento automatizado por las instituciones y centros sanitarios, tanto públicos como privados, así como los profesionales, de los que el afectado sea paciente o en que haya de ser tratado . Todo ello con las limitaciones que impone el artículo 11 de la LOPD en cuanto a la cesión de dichos datos y el artículo 10 en cuanto al deber de secreto sobre los mismos.\nInteresa además destacar, atendiendo a los dos grupos de datos vistos, que la LOPD prohíbe expresamente todos “los ficheros creados  con  la  finalidad  exclusiva de almacenar datos de carácter personal que  revelen  la  ideología,  religión, creencias, origen racial o étnico, o vida sexual”. (artículo 7.4)</li>\n</ul></li>\n<li><p>Relativos a la comisión de infracciones penales o administrativas.\nEl apartado 5º del artículo 7 de la LOPD limita la inclusión de estos datos únicamente al ámbito de los ficheros automatizados de las Administraciones Públicas competentes en función de sus normas reguladoras respectivas.\nPor tanto, cualquier inserción de dichos datos en el ámbito privado es ilegal y, por tanto, sancionable por la LOPD, en su Título VII.</p></li>\n</ol>\n\n<p>E.  Deber de secreto:\nEn cuánto al deber de secreto, el artículo 10 de la Ley lo extiende, no solamente al responsable del fichero, sino también a todos “quienes intervengan  en cualquier fase del tratamiento de los datos de carácter personal”.\nDicho deber de secreto sobre los datos personales que se manejen, adquiere la misma entidad “ope legis” que el secreto profesional, subsistiendo sus efectos con posterioridad a la finalización de sus relaciones con el titular o con el responsable del fichero, según el caso.</p>\n\n<p>F.  Seguridad de los datos y deber de secreto:\nEl artículo 9 de la Ley determina la obligación del responsable del fichero de “adoptar las medidas de  índole técnica y organizativas necesarias que garanticen  la  seguridad  de  los  datos  de carácter personal y eviten su alteración, pérdida, tratamiento o  acceso  no autorizado”.\nDichas medidas deberán adoptarse con relación:\n-   al estado de la tecnología,\n-   a la naturaleza de los datos almacenados y\n-   a los riesgos a los que están expuestos (tanto humanos como naturales).\nSin embargo, la LOPD no define cuáles deben ser, en concreto, dichas medidas, sino que remite su determinación a la vía reglamentaria (apartados 2º y 3º del artículo 9). Dicha regulación se contiene en el Real Decreto 994/1999, de 11 de junio, por el que se aprueba el Reglamento de las Medidas de Seguridad que deben cumplir los ficheros con datos de carácter personal. Al final del presente artículo, realizaremos una breve exposición del contenido fundamental de este Reglamento.</p>\n\n<p>VI. Los derechos de las personas\nEl Título III de la LOPD se dedica a definir los derechos del afectado con relación a sus datos tratados automatizadamente. Éstos derechos, por regla general, pueden ser ejercidos en cualquier momento, mientras sus datos sean utilizados. No poseen una prescripción ni una caducidad, salvo cuando se trate de impugnación de un acto ilegal o de la reclamación de una indemnización por el mismo.\nLos derechos reconocidos en la LOPD son los siguientes:\n1-  Derecho de información.\n2-  Derecho de acceso.\n3-  Derechos de rectificación y cancelación.\n4-  Derecho de tutela de la administración.\n5-  Derecho de indemnización.\nA continuación los veremos uno por uno en la redacción de la Ley.</p>\n\n<p>A.  Derecho de información:\nÉste derecho de información del afectado está contemplado en la LOPD en dos vertientes:\nLa primera, que podemos llamar especial, se contempla en el artículo 5 con relación al derecho a la información en la recogida de datos. Nos remitimos al apartado B del epígrafe anterior donde analizábamos su contenido.\nLa segunda, que podemos llamar general, se recoge en el artículo 14 de la Ley y garantiza que “Cualquier persona podrá conocer, recabando a tal fin la información oportuna del Registro General de Protección de Datos, la existencia de tratamientos de datos de carácter personal, sus finalidades y la identidad del responsable del tratamiento”. Dicho Registro General será de  consulta pública y gratuita y está integrado en la Agencia de Protección de Datos , ente público designado por la LOPD para el cumplimiento de su normativa.\nPor tanto, mediante el ejercicio de este derecho, en cualquiera de sus vertientes, el afectado podrá averiguar:\n1-  La existencia de un fichero de tratamiento automatizado de datos de carácter personal.\n2-  La finalidad concreta que cumple ese fichero.\n3-  La identidad del responsable de dicho fichero.\nEstos datos pueden ser muy útiles de cara a identificar el fichero y su vinculación general, pero es necesario también poder acceder en concreto a los datos personales del afectado almacenados en dicho fichero. Esto último lo garantiza el siguiente derecho.</p>\n\n<p>B.  Derecho de acceso:\nSe puede considerar integrado en el derecho de información pero, por su importancia, la LOPD le atribuye entidad propia en el artículo 15. Consiste en la capacidad del afectado para dirigirse al responsable del fichero y “solicitar y obtener gratuitamente información de sus datos de carácter personal sometidos a tratamiento, el origen de dichos datos, así como las comunicaciones realizadas o que se prevén hacer de los mismos”.\nEste derecho tiene un carácter personalísimo, debiendo ejercitarlo siempre el afectado directamente, salvo incapacidad o minoría de edad en la que debe acudir su representante legal.\nLa información se podrá obtener mediante mera visualización de los datos o a través de una comunicación por escrito, copia, telecopia o fotocopia “en forma legible e inteligible”, dice la Ley.\nPara este derecho, la LOPD impone una limitación temporal a su ejercicio: sólo podrá ser ejercitado por el afectado “a intervalos no inferiores a doce meses”, salvo que se acredite un interés legítimo para ejercitarlo antes.\nEl artículo 17 de la LOPD remite a la vía reglamentaria para la regulación del procedimiento para ejercer el derecho de acceso. En la actualidad, el Real Decreto 1332/1994 , de 20 de junio, se encarga de dicha regulación, entre otras cuestiones.</p>\n\n<p>C.  Derechos de rectificación y cancelación:\nEstán recogidos conjuntamente en el artículo 16 de la LOPD. Éstos determinan que el afectado, si observa que sus datos recogidos en el fichero son inexactos o incompletos, tendrá derecho a rectificarlos o a cancelarlos, en su caso.\nEn este caso, si el responsable del fichero hubiese cedido dichos datos, deberá comunicar al cesionario dicha modificación o cancelación de los mismos, con el fin de que proceda del mismo modo.\nLa cancelación no supondrá el borrado de los datos sino solamente su bloqueo de cara a ser reclamados por Administraciones Públicas, Jueces o Tribunales dada la obligación de conservar los datos durante los plazos previstos .\nEl Real Decreto 1332/94 se encarga de regular el procedimiento del ejercicio de estos derechos determinando el plazo de cinco días para hacerlos efectivos, a partir de la recepción de la solicitud del derecho de acceso.</p>\n\n<p>D.  Derecho de Tutela de la administración :\nEl artículo 18.1 de la LOPD confiere al afectado el derecho a impugnar todas las actuaciones contrarias a su normativa, ante la Agencia de Protección de Datos. El procedimiento a seguir en dicha reclamación se recoge en el Real decreto 1332/94, de 20 de junio.\nContra las resoluciones de la Agencia cabrá recurso contencioso-admnistrativo, tal y como determina el párrafo 2º del mismo artículo.</p>\n\n<p>E.  Derecho de indemnización:\nDice el párrafo 3º del artículo 17 que “los afectados que, como consecuencia del incumplimiento de  lo dispuesto en la presente Ley por el responsable del fichero, sufran daño o  lesión  en sus bienes o derechos tendrán derecho a ser indemnizados”.\nEl procedimiento para exigir la indemnización varía según la titularidad de los ficheros:\n1.  Ficheros de titularidad pública:\nEn este caso, la responsabilidad se exigirá de acuerdo con la legislación reguladora del régimen de responsabilidad de las Administraciones Públicas. (artículo 19.2 de la LOPD)\nEsta regulación se recoge en los artículos 139 a 144 de la Ley 30/1992, de 26 de noviembre, reguladora del Régimen Jurídico de las Administraciones Públicas y del Procedimiento Administrativo Común.\nComo consecuencia de la misma, todo particular  que sufra una lesión en cualquiera de sus bienes o derechos como consecuencia del funcionamiento normal o anormal de los servicios públicos de una Administración Pública, tiene derecho a ser indemnizado por dicha Administración.</p>\n\n<ol>\n<li>Ficheros de titularidad privada:\nEn el supuesto de que la lesión se produzca como consecuencia de datos recogidos en ficheros de titularidad privada, la acción de indemnización se ejercitará ante los órganos de la jurisdicción ordinaria, de acuerdo con lo dispuesto en el artículo 19.3 de la LOPD.\nEn este sentido, lo dispuesto por el artículo 1902 del Código Civil: “El que por acción u omisión causa daño a otro, interviniendo culpa o negligencia, está obligado a reparar el daño causado”.\nEn este caso, por tanto, no se trataría de una responsabilidad objetiva, a mi entender, sino de una responsabilidad subjetiva, solo exigible interviniendo culpa o negligencia en el tratamiento de los datos personales por parte del responsable del fichero o de un delegado del mismo.</li>\n</ol>\n', 1402039113),
(16, 'bb0def4f37b30c2cdd3d5b65e64ef9bc', '<p>¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?<br />\r\nSeleccione una respuesta.</p>', 1402754524),
(17, '8755339441b21fff21d05355ed9931e2', 'Si', 1402754524),
(18, '942ccad69132b997a925334ef9480eb6', 'No', 1402754524),
(19, '5bcec4d52155bdaeed6c0bc166b79d3e', '<p>Si</p>', 1402038668),
(20, '60634910a1e02aadb0eb972f75fc598e', '<p>CASO 1:<br />\r\n<br />\r\nLa base de datos MPRL.mdb ubicada en un ordenador de la institución que da un master. Hay dos personas autorizadas a usar la base de datos desde el mismo ordenador.  No esta dada de alta en la AGENCIA DE PROTECCIÓN DE DATOS. No se añaden ni modifican los datos con mucha frecuencia. La copia de seguridad se realiza una vez cada dos semanas y se guardan en la misma sala. Están cifrados.<br />\r\n<br />\r\n<br />\r\nCASO 2:<br />\r\n<br />\r\nUna empresa de servicios ubica las páginas web (<a href="http://www.lsi.uvigo.es/didega/)" target="_blank">http://www.lsi.uvigo.es/didega/)</a> de otra. El servidor realiza una copia de seguridad total una vez a la semana. Las copias se ubican en la misma sala. Para las copias de seguridad se emplea el propio software que viene con el sistema operativo (LINUX) y usa cintas DAT cuyo lector está ubicado en la misma CPU.  Para subir las nuevas páginas la empresa usan el servicio de ftp. El servidor es Linux.<br />\r\n<br />\r\n<br />\r\nElija uno de los dos casos y haga un documento de seguridad completo. Cualquier duda o cuestión realizará al tutor de la asignatura como si fuese una toma de datos ante un Plan de Adaptación al Reglamento.<br />\r\n<br />\r\n<br />\r\nNOTAS: <br />\r\n<br />\r\n1) NO SUPONGA NADA QUE NO ESTE ESCRITO POR TANTO CONTEMPLE CUALQUIER CASO AUNQUE NO ESTE ESPÉCIFICADO.<br />\r\n<br />\r\n	2)  LEA TODO EL CASO ANTES DE EMPEZAR A SOLUCIONAR EL PROBLEMA.<br />\r\n</p>', 1402754627),
(21, '676a158f08b9103f65e7f5c566b255ac', 'VI.	Los derechos de las personas<br />\r\nEl Título III de la LOPD se dedica a definir los derechos del afectado con relación a sus datos tratados automatizadamente. Éstos derechos, por regla general, pueden ser ejercidos en cualquier momento, mientras sus datos sean utilizados. No poseen una prescripción ni una caducidad, salvo cuando se trate de impugnación de un acto ilegal o de la reclamación de una indemnización por el mismo.<br />\r\nLos derechos reconocidos en la LOPD son los siguientes:<br />\r\n1-	Derecho de información.<br />\r\n2-	Derecho de acceso.<br />\r\n3-	Derechos de rectificación y cancelación.<br />\r\n4-	Derecho de tutela de la administración.<br />\r\n5-	Derecho de indemnización.<br />\r\nA continuación los veremos uno por uno en la redacción de la Ley.<br />\r\n<br />\r\nA.	Derecho de información:<br />\r\nÉste derecho de información del afectado está contemplado en la LOPD en dos vertientes:<br />\r\nLa primera, que podemos llamar especial, se contempla en el artículo 5 con relación al derecho a la información en la recogida de datos. Nos remitimos al apartado B del epígrafe anterior donde analizábamos su contenido.<br />\r\nLa segunda, que podemos llamar general, se recoge en el artículo 14 de la Ley y garantiza que “Cualquier persona podrá conocer, recabando a tal fin la información oportuna del Registro General de Protección de Datos, la existencia de tratamientos de datos de carácter personal, sus finalidades y la identidad del responsable del tratamiento”. Dicho Registro General será de&nbsp; consulta pública y gratuita y está integrado en la Agencia de Protección de Datos , ente público designado por la LOPD para el cumplimiento de su normativa.<br />\r\nPor tanto, mediante el ejercicio de este derecho, en cualquiera de sus vertientes, el afectado podrá averiguar:<br />\r\n1-	La existencia de un fichero de tratamiento automatizado de datos de carácter personal.<br />\r\n2-	La finalidad concreta que cumple ese fichero.<br />\r\n3-	La identidad del responsable de dicho fichero.<br />\r\nEstos datos pueden ser muy útiles de cara a identificar el fichero y su vinculación general, pero es necesario también poder acceder en concreto a los datos personales del afectado almacenados en dicho fichero. Esto último lo garantiza el siguiente derecho.<br />\r\n<br />\r\nB.	Derecho de acceso:<br />\r\nSe puede considerar integrado en el derecho de información pero, por su importancia, la LOPD le atribuye entidad propia en el artículo 15. Consiste en la capacidad del afectado para dirigirse al responsable del fichero y “solicitar y obtener gratuitamente información de sus datos de carácter personal sometidos a tratamiento, el origen de dichos datos, así como las comunicaciones realizadas o que se prevén hacer de los mismos”.<br />\r\nEste derecho tiene un carácter personalísimo, debiendo ejercitarlo siempre el afectado directamente, salvo incapacidad o minoría de edad en la que debe acudir su representante legal.<br />\r\nLa información se podrá obtener mediante mera visualización de los datos o a través de una comunicación por escrito, copia, telecopia o fotocopia “en forma legible e inteligible”, dice la Ley.<br />\r\nPara este derecho, la LOPD impone una limitación temporal a su ejercicio: sólo podrá ser ejercitado por el afectado “a intervalos no inferiores a doce meses”, salvo que se acredite un interés legítimo para ejercitarlo antes.<br />\r\nEl artículo 17 de la LOPD remite a la vía reglamentaria para la regulación del procedimiento para ejercer el derecho de acceso. En la actualidad, el Real Decreto 1332/1994 , de 20 de junio, se encarga de dicha regulación, entre otras cuestiones.<br />\r\n<br />\r\nC.	Derechos de rectificación y cancelación:<br />\r\nEstán recogidos conjuntamente en el artículo 16 de la LOPD. Éstos determinan que el afectado, si observa que sus datos recogidos en el fichero son inexactos o incompletos, tendrá derecho a rectificarlos o a cancelarlos, en su caso.<br />\r\nEn este caso, si el responsable del fichero hubiese cedido dichos datos, deberá comunicar al cesionario dicha modificación o cancelación de los mismos, con el fin de que proceda del mismo modo.<br />\r\nLa cancelación no supondrá el borrado de los datos sino solamente su bloqueo de cara a ser reclamados por Administraciones Públicas, Jueces o Tribunales dada la obligación de conservar los datos durante los plazos previstos .<br />\r\nEl Real Decreto 1332/94 se encarga de regular el procedimiento del ejercicio de estos derechos determinando el plazo de cinco días para hacerlos efectivos, a partir de la recepción de la solicitud del derecho de acceso.<br />\r\n<br />\r\nD.	Derecho de Tutela de la administración :<br />\r\nEl artículo 18.1 de la LOPD confiere al afectado el derecho a impugnar todas las actuaciones contrarias a su normativa, ante la Agencia de Protección de Datos. El procedimiento a seguir en dicha reclamación se recoge en el Real decreto 1332/94, de 20 de junio.<br />\r\nContra las resoluciones de la Agencia cabrá recurso contencioso-admnistrativo, tal y como determina el párrafo 2º del mismo artículo.<br />\r\n<br />\r\nE.	Derecho de indemnización:<br />\r\nDice el párrafo 3º del artículo 17 que “los afectados que, como consecuencia del incumplimiento de&nbsp; lo dispuesto en la presente Ley por el responsable del fichero, sufran daño o&nbsp; lesión&nbsp; en sus bienes o derechos tendrán derecho a ser indemnizados”.<br />\r\nEl procedimiento para exigir la indemnización varía según la titularidad de los ficheros:<br />\r\n1.	Ficheros de titularidad pública:<br />\r\nEn este caso, la responsabilidad se exigirá de acuerdo con la legislación reguladora del régimen de responsabilidad de las Administraciones Públicas. (artículo 19.2 de la LOPD)<br />\r\nEsta regulación se recoge en los artículos 139 a 144 de la Ley 30/1992, de 26 de noviembre, reguladora del Régimen Jurídico de las Administraciones Públicas y del Procedimiento Administrativo Común.<br />\r\nComo consecuencia de la misma, todo particular&nbsp; que sufra una lesión en cualquiera de sus bienes o derechos como consecuencia del funcionamiento normal o anormal de los servicios públicos de una Administración Pública, tiene derecho a ser indemnizado por dicha Administración.<br />\r\n<br />\r\n2.	Ficheros de titularidad privada:<br />\r\nEn el supuesto de que la lesión se produzca como consecuencia de datos recogidos en ficheros de titularidad privada, la acción de indemnización se ejercitará ante los órganos de la jurisdicción ordinaria, de acuerdo con lo dispuesto en el artículo 19.3 de la LOPD.<br />\r\nEn este sentido, lo dispuesto por el artículo 1902 del Código Civil: “El que por acción u omisión causa daño a otro, interviniendo culpa o negligencia, está obligado a reparar el daño causado”.<br />\r\nEn este caso, por tanto, no se trataría de una responsabilidad objetiva, a mi entender, sino de una responsabilidad subjetiva, solo exigible interviniendo culpa o negligencia en el tratamiento de los datos personales por parte del responsable del fichero o de un delegado del mismo.', 1402039383),
(22, '126ae44ad3d09270b306d16c8635a522', 'Novedades y anuncios', 1402751026),
(23, 'fe1ade19739b0f00c152b5c5c068a696', '<p>Novedades y anuncios</p>', 1402751039),
(24, 'd95033c867b374eb9c3229db31eec2ec', '<p>Categoría por defecto para preguntas compartidas en el contexto Introducción a la L.O.P.D..</p>', 1402751280);
INSERT INTO `cache_text` (`id`, `md5key`, `formattedtext`, `timemodified`) VALUES
(25, '2d7a27ec1c1b6fdfa1deff6398bab995', '<p>I.  Origen de la normativa nacional\nNo hay duda de la importancia que las tecnologías de la información y de la comunicación han alcanzado en los últimos años. Las llamadas TIC (Tecnologías de la Información y de la Comunicación) han entrado nuestra sociedad de un modo extremadamente acelerado, produciendo una auténtica revolución de la información, del mismo modo que en su día fue la revolución industrial; amenazando con transformar por completo nuestra idea de sociedad y de las estructuras que la conforman.\nTal es la importancia de este nuevo entorno que ya estamos viviendo que el Derecho no puede desconocerlo. La tradicional lentitud de las leyes a la hora de regular nuevas figuras y realidades sociales se hace aquí aún más dramática donde el fenómeno crece a ojos vista en cuestión de meses, incluso de días.\nLa enorme capacidad de tratamiento y transmisión de la información que ofrecen las nuevas tecnologías hacen más acuciante la necesidad de proteger los derechos fundamentales del individuo, en concreto los contemplados en el artículo 18 de nuestra Constitución, el derecho al honor, a la intimidad personal y familiar y a la propia imagen.\nEl apartado 4º de dicho precepto dice: “La ley limitará el uso de la informática para garantizar el honor y la intimidad personal y familiar de los ciudadanos y el pleno ejercicio de sus derechos”. Tal era la concienciación del constituyente del 78 sobre la posible incidencia perjudicial de las nuevas tecnologías sobre estos derechos.\nPara cumplir con dicha disposición, se adoptó la Ley Orgánica 5/1992, de 29 de octubre, de Regulación del Tratamiento Automatizado de los Datos de Carácter Personal (LORTAD).\nA nivel comunitario, con posterioridad a la promulgación de la LORTAD, se aprobó la Directiva 95/46/CE del Parlamento Europeo y del Consejo, de 24 de octubre de 1995, relativa a la Protección de las Personas Físicas en lo que respecta al Tratamiento de Datos Personales y a la Libre Circulación de estos Datos.</p>\n\n<p>Debido a esta Directiva, fue necesario modificar la legislación española mediante la Ley Orgánica 15/1999, de 13 de diciembre, de Protección de Datos de Carácter Personal (LOPD). Esta nueva Ley que derogó y sustituyó a la LORTAD, pero no así a sus reglamentos de desarrollo, los cuales siguen vigentes en todo lo que no se opongan a esta nueva regulación.</p>\n\n<p>II. Diferencias entre la LORTAD y la nueva LOPD\nA pesar de lo que pueda parecer en primera instancia, por el hecho de que sea una nueva ley, la LOPD es muy similar a la LORTAD. Es más, prácticamente el 85% de su redacción y de sus artículos coinciden “punto por punto” con la de su predecesora.\nEntonces... ¿Cuáles son sus diferencias?. La primera y más destacada tiene que ver con su nombre: si nos fijamos, la LORTAD se llamaba “Ley Orgánica Reguladora del Tratamiento Automatizado de Datos de carácter personal” mientras que la LOPD se denomina, simplemente, “Ley Orgánica de Protección de Datos de carácter personal”. Por tanto, la diferencia está en el término “automatizado”: así, mientras que la LORTAD se centraba solamente en las bases de datos informatizadas, la nueva LOPD se extiende también a las bases de datos en otro tipo de soportes: papel, filminas, etc.\nLas otras diferencias más significativas, son las siguientes:\n-   Incorporación de la figura del “Encargado del Tratamiento”, diferenciándose del “Responsable del Fichero”, que se define como “la persona física o jurídica, autoridad pública, servicio o cualquier otro organismo que, sólo o conjuntamente con otros, trate datos personales por cuenta del responsable del tratamiento”.\n-   Cambio del concepto de “cesión de datos” por el de “comunicación de datos” e introducción de un artículo nuevo (art. 12) que regula específicamente el “acceso a los datos por cuenta de terceros”.\n-   Modificación del Tratamiento de los ficheros privados con fines de publicidad y prospección comercial y creación del llamado “Censo Promocional” (artículos 30 y 31 LOPD).\n-   Ampliación y modificación del régimen aplicable al “Movimiento Internacional de Datos” (artículo 33 y 34 LOPD).\n-   Autorización de la creación de Órganos correspondientes de la Comunidades Autónomas en materia de Protección de Datos, parcialmente homólogos de la Agencia de Protección de Datos (artículo 41 LOPD).\n-   Obligación de registrar y adaptar a la LOPD los ficheros de datos personales en soportes no automatizados (papel, filminas, etc.) antes del 24 de octubre del 2007 (Disposición Transitoria Primera LOPD).\nEvidentemente, existen muchas otras diferencias, menos relevantes, que obviamos en el presente artículo por su limitada extensión y su carácter divulgativo.</p>\n\n<p>A continuación, nos centraremos en la LOPD y abordaremos los aspectos más importantes de la misma en los siguientes epígrafes.</p>\n\n<p>III.    Objeto y ámbito de aplicación de la LOPD\nEl artículo 1 de la LOPD define su objeto, en desarrollo del artículo 18.4 de la Constitución Española, que no es otro que “limitar el uso de la informática” y medios análogos con el fin de proteger el “pleno ejercicio” del derecho al honor y a la intimidad personal y familiar.\nEl ámbito de aplicación de la LOPD viene determinado en su artículo 2º. En su párrafo 1º, se establece la regla general para, a continuación, determinar una serie de excepciones en los párrafos siguientes. Este sistema de excepciones va a ser la tónica general de la Ley, contribuyendo al oscurecimiento de su articulado y a la limitación de su alcance.\nRegla general: \n“La presente Ley Orgánica será de aplicación a los datos de carácter personal registrados en soporte físico, que los haga susceptibles de tratamiento, y a toda modalidad de uso posterior de estos datos por los sectores público y privado.”.\nExcepciones: \nEl párrafo 2º del artículo 2 excluye la aplicación de la LOPD para los siguientes ficheros:\n•   A los ficheros mantenidos por personas físicas en el ejercicio de actividades exclusivamente personales o domésticas.\n•   A los ficheros sometidos a la normativa sobre protección de materias clasificadas.\n•   A los ficheros establecidos para la investigación del terrorismo y de formas graves de delincuencia organizada. No obstante, en estos supuestos el responsable del fichero comunicará previamente la existencia del mismo, sus características generales y su finalidad a la Agencia de Protección de Datos.</p>\n\n<p>IV. Definiciones\nSiguiendo el modelo de las directivas comunitarias, la LOPD introduce una serie de definiciones “ope legis” de los términos fundamentales que maneja, y siempre con efectos únicamente de lo dispuesto en ella.\nSe recogen en el artículo 3 de la Ley y destacamos las siguientes:</p>\n\n<p>1-  Datos de carácter personal:\nLa Ley define los mismos como “cualquier información concerniente a personas físicas identificadas o identificables”.\nEn primer lugar, cabe destacar que sólo se refiere a la “información” y no a la “opinión”. Este dato es fundamental ya que la información tiene la obligación de ser veraz y viene protegida por el derecho fundamental a la Libertad de Información (artículo 20.1.d) de la Constitución), mientras que la opinión no se le impone dicha limitación y se protege por un derecho independiente: la Libertad de Expresión (artículo 20.1.a) de la Constitución).\nDe este modo y strictu sensu podemos afirmar que en el concepto de dato de carácter personal no están incluidas las opiniones vertidas por otras personas sobre ellas sino solamente las informaciones que son las que realmente tienen una obligación de veracidad (principio de calidad que veremos posteriormente). Con las dificultades que dicha distinción puede conllevar en la práctica, como en el caso de los “diagnósticos”, sean médicos, sociales o psicológicos, que siendo los mismos opiniones profesionales no por ello dejan de tener una cierta obligación de veracidad. Ante la duda, cabe incluir dichos elementos en el concepto de dato personal.\nEn segundo lugar, cabe destacar de la definición que sólo se refiere a las personas físicas, dejando de lado a las jurídicas cuyos datos no se ven protegidos por esta Ley. Asimismo dichas personas no necesitan estar identificadas plenamente, sino que basta con que se pueda deducir su identidad con relativa facilidad.\nEjemplos de estos datos son: nombre, apellidos, dirección, edad, estado civil, profesión, sexo, edad, etc.</p>\n\n<p>2-  Fichero automatizado:\nPara la ley, este fichero es “todo conjunto organizado de  datos  de carácter personal,  cualquiera  que fuere la forma o modalidad de su creación,  almacenamiento,  organización  y acceso”.\nHemos de recordar aquí que, así como la anterior LORTAD sólo se refería a ficheros informáticos, esta Ley también engloba otro tipo de soportes como el papel. Si bien, la Disposición Adicional Primera de la LOPD prorroga su aplicación a dichos soportes no automatizados hasta el 24 de octubre de 2007 (a excepción del ejercicio de derechos de acceso, rectificación y cancelación por los interesados, que veremos posteriormente).</p>\n\n<p>3-  Tratamiento de datos:\nSe definen como las “operaciones y procedimientos técnicos de carácter automatizado o no, que permitan la recogida, grabación, conservación, elaboración, modificación, bloqueo y cancelación, así como las cesiones de datos que resulten de comunicaciones, consultas, interconexiones y transferencias”.\nTodos estos elementos forman parte del procesamiento y uso de la información, se utilice o no la informática para ello.</p>\n\n<p>4-  Responsable del fichero:\nPara la LOPD, el responsable del fichero es aquella “persona física o jurídica, de naturaleza pública o privada, u órgano administrativo, que decida sobre la finalidad, contenido y uso del tratamiento”.\nÉste concepto es sumamente importante ya que nos indica el sujeto contra el que hay que dirigirse directamente en caso de violación de los preceptos contenidos en la Ley con relación a los datos bajo su control.</p>\n\n<p>5-  Encargado del tratamiento:\nPara la LOPD, el encargado del tratamiento es aquella “la persona física o jurídica, autoridad pública, servicio o cualquier otro organismo que, sólo o conjuntamente con otros, trate datos personales por cuenta del responsable del tratamiento”.\nComo vimos anteriormente, es una novedad en relación a la LORTAD que no contemplaba esta figura.</p>\n\n<p>6-  Afectado:\nSe define al afectado como aquella “persona física  titular  de  los  datos  que  sean  objeto del tratamiento”. Ya hemos destacado que las personas jurídicas quedan fuera del ámbito de protección de la Ley.</p>\n\n<p>7-  Procedimiento de disociación:\nEste procedimiento responde a “todo tratamiento de datos personales de modo que la información que se obtenga no pueda asociarse a persona identificada o identificable”.\nEste sistema asegura el anonimato de los afectados y, por tanto, su derecho al honor y a la intimidad. Un ejemplo paradigmático de este sistema son los datos estadísticos.</p>\n\n<p>V.  Principios de la protección de datos\nEl Título II de la LOPD, artículos 4 a 12, se dedican a enumerar los principios informadores fundamentales en la protección de datos de carácter personal. A continuación veremos uno por uno dichos principios:\nA.  Calidad de los datos:\nEl artículo 4 define los siguientes principios vinculados con la necesaria calidad de los datos:\n1-  Principio de finalidad:\nLos datos personales deben ser “adecuados, pertinentes y no excesivos” con relación al ámbito y fines para los que fueron recogidos.\nAsimismo, dichos datos “no podrán usarse para finalidades incompatibles” de las fijadas en el momento de su recogida. Y, consecuentemente, deberán ser “cancelados cuando  hayan  dejado de ser necesarios o pertinentes para la finalidad para la  cual  hubieran  sido recabados y registrados” . Este ultimo punto lo denomino coloquialmente como el “Principio del derecho al olvido” que todo interesado tiene en relación a sus datos.</p>\n\n<p>2-  Principio de calidad de los datos “strictu sensu”:\nLos datos personales deben ser “exactos y puestos al día”. En caso contrario, la LOPD impone la obligación de que los datos erróneos sean cancelados y sustituidos por los correctos de oficio, sin perjuicio de los derechos de rectificación y cancelación por parte del afectado. (artículo 16)\n3-  Principio de almacenamiento de los datos:\nLa Ley no impone ningún sistema determinado de almacenamiento, pudiendo éste ser automatizado o no. El único requisito que exige, en el párrafo sexto de su artículo 4, es que dicho sistema permita “el ejercicio del derecho de acceso por parte del afectado”.</p>\n\n<p>4-  Principio de licitud:\nEn la recogida de datos: \nArtículo 4.7; “Se prohíbe la recogida de datos  por  medios  fraudulentos,  desleales o ilícitos”.\nEn la clasificación de los datos: \nArtículo 4.1, párrafo 2º; “En su clasificación sólo podrán utilizarse criterios que  no  se  presten a prácticas ilícitas”.\nEn la finalidad de su utilización: \nArtículo 4.1, párrafo 1º; “...y  las finalidades legítimas para las que se hayan obtenido”.</p>\n\n<p>B.  Derecho de Información en la recogida de datos:\nEn el momento de la recogida de datos personales, el artículo 5 de la Ley impone la obligación de informar a los afectados sobre determinados extremos.\nLa información facilitada debe cumplir los siguientes requisitos:\n1-  Se ha de realizar con carácter previo a la solicitud de los datos.\n2-  Debe ser expresa, precisa e inequívoca.\nEl contenido obligatorio de dicha información es el siguiente:\na-  Existencia  de  un  fichero  automatizado  de  datos  de carácter personal,  finalidad de la recogida de éstos y destinatarios  de la información.\nb-  Carácter obligatorio o facultativo de la respuesta del afectado a  las preguntas que le sean planteadas.\nc-  Consecuencias de la obtención de los datos o de  la  negativa a suministrarlos.\nd-  Posibilidad de ejercitar los derechos de  acceso,  rectificación y cancelación.\ne-  Identidad y dirección del responsable del fichero.</p>\n\n<p>Éste requisito de información no será exigible, reza el apartado 3 del artículo 5, si “el contenido de ella se  deduce claramente  de  la  naturaleza  de  los  datos personales que se solicitan o de las circunstancias en que se recaban”. Sin duda, el problema está en determinar, en la práctica, cuándo se puede deducir o no dicha información.</p>\n\n<p>C.  Consentimiento del afectado:\nEl artículo 6 de la LOPD determina la necesidad del consentimiento del afectado para el tratamiento automatizado de sus datos personales.\nÉste consentimiento incluso podrá ser revocado, según el apartado 3 del mismo artículo, “cuando exista causa justificada para ello y no se le atribuyan efectos retroactivos”.\nComo no podía ser de otro modo, existen una serie de excepciones en las que no se exige el consentimiento del afectado. Son las siguientes:\n1-  Cuando los datos de carácter personal se recojan para el ejercicio de las funciones propias de las Administraciones públicas en el ámbito de sus competencias; \n2-  Cuando se refieran a las partes de un contrato o precontrato de una relación negocial, laboral o administrativa y sean necesarios para su mantenimiento o cumplimiento; \n3-  Cuando el tratamiento de los datos tenga por finalidad proteger un interés vital del interesado en los términos del artículo 7, apartado 6, de LOPD, o \n4-  Cuando los datos figuren en fuentes accesibles al público y su tratamiento sea necesario para la satisfacción del interés legítimo perseguido por el responsable del fichero o por el del tercero a quien se comuniquen los datos, siempre que no se vulneren los derechos y libertades fundamentales del interesado.</p>\n\n<p>D.  Datos especialmente protegidos:\nEl artículo 7 de la Ley regula la esfera de datos especialmente sensibles, que afectan de una manera muy directa al derecho al honor y a la intimidad. Por tanto, estos datos requieren de un régimen jurídico más estricto que el resto para garantizar convenientemente su protección.\nEstos datos personales se concretan en dos grupos fundamentales:\n1-  Ideología, afiliación sindical, religión o creencias.\n2-  Origen racial, salud o vida sexual.\n3-  Relativos a la comisión de infracciones penales o administrativas.\n1.  Ideología, religión o creencias.\nEl artículo 16 de la Constitución, garantizador de la libertad ideológica, religiosa y de culto, recoge en su párrafo 2º que “nadie podrá ser obligado a declarar sobre su ideología religión o creencias”.\nAtendiendo a este precepto, el artículo 7 de la LOPD, en sus apartados 1º y 2º, recoge una especial protección para los datos relativos a estas materias, en los siguientes extremos:\n-   Con relación al derecho a la información en la recogida de estos datos: se advertirá al interesado de su derecho a no declarar sobre los mismos.\n-   Con relación al consentimiento: debe ser “expreso y por escrito” del afectado para el tratamiento automatizado de dichos datos. De otro modo, no se podrán utilizar en dicho proceso.</p>\n\n<ol>\n<li><p>Origen racial, salud o vida sexual.\nEl apartado 3º del artículo 7 de la LOPD se encarga de su regulación especial, indicando que éstos datos sólo podrán ser recabados, tratados automatizadamente y cedidos mediando dos requisitos:\n1º) Con una finalidad de “interés general”.\n2º) Mediante autorización:</p>\n\n<ul>\n<li>Concedida por una Ley,</li>\n<li>o mediante consentimiento expreso del afectado.\nCon relación a los datos relativos a la salud, el artículo 8 permite su tratamiento automatizado por las instituciones y centros sanitarios, tanto públicos como privados, así como los profesionales, de los que el afectado sea paciente o en que haya de ser tratado . Todo ello con las limitaciones que impone el artículo 11 de la LOPD en cuanto a la cesión de dichos datos y el artículo 10 en cuanto al deber de secreto sobre los mismos.\nInteresa además destacar, atendiendo a los dos grupos de datos vistos, que la LOPD prohíbe expresamente todos “los ficheros creados  con  la  finalidad  exclusiva de almacenar datos de carácter personal que  revelen  la  ideología,  religión, creencias, origen racial o étnico, o vida sexual”. (artículo 7.4)</li>\n</ul></li>\n<li><p>Relativos a la comisión de infracciones penales o administrativas.\nEl apartado 5º del artículo 7 de la LOPD limita la inclusión de estos datos únicamente al ámbito de los ficheros automatizados de las Administraciones Públicas competentes en función de sus normas reguladoras respectivas.\nPor tanto, cualquier inserción de dichos datos en el ámbito privado es ilegal y, por tanto, sancionable por la LOPD, en su Título VII.</p></li>\n</ol>\n\n<p>E.  Deber de secreto:\nEn cuánto al deber de secreto, el artículo 10 de la Ley lo extiende, no solamente al responsable del fichero, sino también a todos “quienes intervengan  en cualquier fase del tratamiento de los datos de carácter personal”.\nDicho deber de secreto sobre los datos personales que se manejen, adquiere la misma entidad “ope legis” que el secreto profesional, subsistiendo sus efectos con posterioridad a la finalización de sus relaciones con el titular o con el responsable del fichero, según el caso.</p>\n\n<p>F.  Seguridad de los datos y deber de secreto:\nEl artículo 9 de la Ley determina la obligación del responsable del fichero de “adoptar las medidas de  índole técnica y organizativas necesarias que garanticen  la  seguridad  de  los  datos  de carácter personal y eviten su alteración, pérdida, tratamiento o  acceso  no autorizado”.\nDichas medidas deberán adoptarse con relación:\n-   al estado de la tecnología,\n-   a la naturaleza de los datos almacenados y\n-   a los riesgos a los que están expuestos (tanto humanos como naturales).\nSin embargo, la LOPD no define cuáles deben ser, en concreto, dichas medidas, sino que remite su determinación a la vía reglamentaria (apartados 2º y 3º del artículo 9). Dicha regulación se contiene en el Real Decreto 994/1999, de 11 de junio, por el que se aprueba el Reglamento de las Medidas de Seguridad que deben cumplir los ficheros con datos de carácter personal. Al final del presente artículo, realizaremos una breve exposición del contenido fundamental de este Reglamento.</p>\n', 1402752005),
(26, '1583a212fd55fabd25d589aac6e5b5c4', '<p>The default category for questions shared in context ''Protección de Datos''.</p>', 1402902770),
(27, 'c1a5209a8dc5676fdda6ed5689e3fbcd', '<p>Realice un estudio para ver las diferencias entre el RD 994/1999 y 1720/2007. Minimo 8 páginas</p>', 1402754614),
(28, 'bcdfd9cd585c57225c197b9e4d9e5656', '¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?', 1402752816),
(29, '7edd28ce40e03eca3eaf07398e1c1c7c', '¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?<br />Seleccione una respuesta.', 1402753983),
(30, 'c666e22c0e1ef8024e74e39c2d1524e7', 'SI', 1402754854),
(31, '11dceb6e2f0ff5dd6ebc69ca71362027', 'NO', 1402754854),
(32, '4aa158639600d41af7c07359c8927075', '¿Puede el titular de los datos negarse a que éstos sean utilizados para el envió de información comercial?', 1402754854),
(33, 'b2d2b90d14ff8dae06cc193d5975178d', '¿Qué entidad es competente para instruir y resolver los expedientes sancionadores por la comisión de las infracciones previstas por la ley?', 1402754854),
(34, '09150300d5fae3fbd71d53ac8672a7d0', 'RGPD', 1402754854),
(35, '5b9e2af2fa66ae049724824dd4163971', 'AGPD', 1402754854),
(36, '1028d182db06987c7fdf449cb07abc4d', '¿La LOPD exige inscribir en el Registro General de Protección de Datos los ficheros(automatizados o en papel) que contengán datos personales?', 1402754854),
(37, 'adbe52946c1e7b23da388db4877b6784', 'NO, sólo los ficheros automatizados', 1402754854),
(38, '662e85b9f4757b437eda3de8ef6199e6', '¿Qué Reglamento de Desarrollo de la LOPD está en vigor actualmente?', 1402754854),
(39, '7b789d4985508711a228ba7558b21457', 'RD 994/1999', 1402754854),
(40, 'b85c196123b56233724aad59b224e1de', 'RD 1720/2007', 1402754854),
(41, '1a69b2e459336e768e4f09c2d9087bcc', 'La Agencia Española de Protección de Datos se autofinacia por medio de las sanciones que ella misma impone.', 1402754854),
(42, 'f6496338132fc69f86002ba9767c9e7c', 'Verdadero', 1402754854),
(43, '5c91205098dfeb842892f1f613bfd050', 'Falso', 1402754854),
(44, 'ef827bd51b6c9c3e2a5749e420f3d4da', '¿La antigua LORTAD sólo regulaba los datos personales registrados en soporte papel?', 1402754854),
(45, 'e3977387e172617ebd200f84dba97dbe', 'La creación de los ficheros de titularidad pública sólo podrá hacerse por medio de disposición general o acuerdo publicado en el &quot;Boletín Oficial del Estado&quot; o diario oficial correspondiente.', 1402754854),
(46, 'a84e7452691786c46c7f2707e0e416b9', '¿La LOPD admite otros soportes además de los informáticos, como el soporte en papel, en imágenes o sonido?', 1402754854),
(47, '7d0146da7452e68e5922672444b2f17e', '¿La AGPD es una entidad pública o privada?', 1402754854),
(48, 'c4a6c7ecd3aa5b3d1f90a6bb49cae3d5', 'Publica', 1402754854),
(49, '64c335d6056fceb4332ad7e97e35c3b0', 'Privada', 1402754854),
(50, 'be7693e82e868a7fadfb89b5995e25b7', 'Semipublica', 1402754854),
(51, '48d58d0adc924687b1de227dbc54501a', ' SI ', 1402754010),
(52, '07dc48ab3611467aaa09cbb0a3690c65', 'Correcto', 1402754010),
(53, 'f53cefae87243cd250f3685d5e7ba72a', ' NO ', 1402754023),
(54, 'fc197173d5bf775cdf12dc97afda442e', '¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?<br />', 1402754854),
(55, 'fc363a112d65f266bc2dbf0738a602ac', '<p>Busque los ficheros declarados por la UOC. Realice el protocolo de actuación para realizar el derecho de acceso, rectificación y oposición. Una vez finalizado entregueselo al tutor.</p>', 1402754623),
(56, '11be55dc4ee8561e74655cc14c67ee14', '', 1402754914),
(57, 'd4d53c1fa3df5357f29f245888eaccd2', 'Fundamentos a la Privacidad\r\n', 1402754914),
(58, 'be141282a274317ad69a6f88934fcee6', 'La AEPD y su Registro', 1402754914),
(59, '2bd70489169b14c4a56b3c135a615769', 'Medidas técnicas y organizativas', 1402754914),
(60, '4a7fa87e27a1d722b8d2cdff200f4ff8', 'Documento de Seguridad', 1402754914),
(61, '9e42206cb38cd53218bca9692e243b47', 'Derechos de los usuarios', 1402754914),
(62, '8d4c16a2c28e7028dcf578d8ac0cdc12', 'Sanciones e Infracciones', 1402754914),
(63, '611a3eb896fe3c8fc8c1837fcd174723', 'Practicum', 1402754914),
(64, '6c433aa28dbad0df31666e25b0a1ae28', '¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?<br />', 1402754918),
(65, '7ae0f0c6cb4485d8c71efb572dc2ec7d', 'SI', 1402754918),
(66, 'fc50d927957851fb9cb224199b30b456', 'NO', 1402754918),
(67, '6d9f26a6a0ec0b9b2ab21d6f81d2017e', '¿Puede el titular de los datos negarse a que éstos sean utilizados para el envió de información comercial?', 1402754918),
(68, 'fcd2ada977016336b2bfa9e653d3d870', '¿Qué entidad es competente para instruir y resolver los expedientes sancionadores por la comisión de las infracciones previstas por la ley?', 1402754918),
(69, '595af337c67afc7f2f9b9607da292e82', 'RGPD', 1402754918),
(70, '6c83aaecd75b4147382f42c1056620fc', 'AGPD', 1402754918),
(71, '3bb24ebfdd79bfc285da95224876a5d4', '¿La LOPD exige inscribir en el Registro General de Protección de Datos los ficheros(automatizados o en papel) que contengán datos personales?', 1402754918),
(72, '2e92a790e0d47c33830c2842b3a4ed4b', 'NO, sólo los ficheros automatizados', 1402754918),
(73, 'a6ee158d1ded2339d68ade62df262bad', '¿Qué Reglamento de Desarrollo de la LOPD está en vigor actualmente?', 1402754918),
(74, 'a04ae468a246bea98b9e1d0975a0d521', 'RD 994/1999', 1402754918),
(75, 'e54732977c86d72762038f872de0810c', 'RD 1720/2007', 1402754918),
(76, '058cca599037b2f96d15a4702f9b6fd9', 'La Agencia Española de Protección de Datos se autofinacia por medio de las sanciones que ella misma impone.', 1402754918),
(77, '808256ec8e5176bb2f904f363c6cb4b8', 'Verdadero', 1402754918),
(78, 'f2759ff6bc69a42742bafb43981e70b0', 'Falso', 1402754918),
(79, '5950950880125e9190f06287a7b39f79', '¿La antigua LORTAD sólo regulaba los datos personales registrados en soporte papel?', 1402754918),
(80, '7121a7fc1cf0b1dd3b0235a017ce2620', 'La creación de los ficheros de titularidad pública sólo podrá hacerse por medio de disposición general o acuerdo publicado en el &quot;Boletín Oficial del Estado&quot; o diario oficial correspondiente.', 1402754918),
(81, '6e6ed385af9c240e4ecf3673596314c0', '¿La LOPD admite otros soportes además de los informáticos, como el soporte en papel, en imágenes o sonido?', 1402754918),
(82, '97c6b6b4fe82eca2d45d0eebf7fcb4e0', '¿La AGPD es una entidad pública o privada?', 1402754918),
(83, '65065283cc85528505c0f07113756185', 'Publica', 1402754918),
(84, '349c378de37cef0d23215d4abe8c0978', 'Privada', 1402754918),
(85, 'dcdb48d937a7a3b91a57f204539921a6', 'Semipublica', 1402754918),
(86, '6cf8486e9942ee6c6b814e0753f14553', '<p>The default category for questions shared in context ''Protección de Datos''.</p>', 1402754939);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `capabilities`
--

CREATE TABLE IF NOT EXISTS `capabilities` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `captype` varchar(50) NOT NULL default '',
  `contextlevel` bigint(10) unsigned NOT NULL default '0',
  `component` varchar(100) NOT NULL default '',
  `riskbitmask` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `capa_nam_uix` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='this defines all capabilities' AUTO_INCREMENT=231 ;

--
-- Volcado de datos para la tabla `capabilities`
--

INSERT INTO `capabilities` (`id`, `name`, `captype`, `contextlevel`, `component`, `riskbitmask`) VALUES
(1, 'moodle/site:doanything', 'admin', 10, 'moodle', 62),
(2, 'moodle/legacy:guest', 'legacy', 10, 'moodle', 0),
(3, 'moodle/legacy:user', 'legacy', 10, 'moodle', 0),
(4, 'moodle/legacy:student', 'legacy', 10, 'moodle', 16),
(5, 'moodle/legacy:teacher', 'legacy', 10, 'moodle', 24),
(6, 'moodle/legacy:editingteacher', 'legacy', 10, 'moodle', 28),
(7, 'moodle/legacy:coursecreator', 'legacy', 10, 'moodle', 28),
(8, 'moodle/legacy:admin', 'legacy', 10, 'moodle', 62),
(9, 'moodle/site:config', 'write', 10, 'moodle', 62),
(10, 'moodle/site:readallmessages', 'read', 10, 'moodle', 8),
(11, 'moodle/site:sendmessage', 'write', 10, 'moodle', 16),
(12, 'moodle/site:approvecourse', 'write', 10, 'moodle', 4),
(13, 'moodle/site:import', 'write', 50, 'moodle', 28),
(14, 'moodle/site:backup', 'write', 50, 'moodle', 28),
(15, 'moodle/backup:userinfo', 'read', 50, 'moodle', 8),
(16, 'moodle/site:restore', 'write', 50, 'moodle', 28),
(17, 'moodle/restore:createuser', 'write', 10, 'moodle', 24),
(18, 'moodle/restore:userinfo', 'write', 50, 'moodle', 30),
(19, 'moodle/restore:rolldates', 'write', 50, 'moodle', 0),
(20, 'moodle/site:manageblocks', 'write', 80, 'moodle', 20),
(21, 'moodle/site:accessallgroups', 'read', 50, 'moodle', 0),
(22, 'moodle/site:viewfullnames', 'read', 50, 'moodle', 0),
(23, 'moodle/site:viewreports', 'read', 50, 'moodle', 8),
(24, 'moodle/site:trustcontent', 'write', 50, 'moodle', 4),
(25, 'moodle/site:uploadusers', 'write', 10, 'moodle', 24),
(26, 'moodle/site:langeditmaster', 'write', 10, 'moodle', 6),
(27, 'moodle/site:langeditlocal', 'write', 10, 'moodle', 6),
(28, 'moodle/user:create', 'write', 10, 'moodle', 24),
(29, 'moodle/user:delete', 'write', 10, 'moodle', 8),
(30, 'moodle/user:update', 'write', 10, 'moodle', 24),
(31, 'moodle/user:viewdetails', 'read', 50, 'moodle', 0),
(32, 'moodle/user:viewhiddendetails', 'read', 50, 'moodle', 8),
(33, 'moodle/user:loginas', 'write', 50, 'moodle', 30),
(34, 'moodle/role:assign', 'write', 50, 'moodle', 28),
(35, 'moodle/role:override', 'write', 50, 'moodle', 28),
(36, 'moodle/role:safeoverride', 'write', 50, 'moodle', 16),
(37, 'moodle/role:manage', 'write', 10, 'moodle', 28),
(38, 'moodle/role:unassignself', 'write', 50, 'moodle', 0),
(39, 'moodle/role:viewhiddenassigns', 'read', 50, 'moodle', 0),
(40, 'moodle/role:switchroles', 'read', 50, 'moodle', 12),
(41, 'moodle/category:manage', 'write', 40, 'moodle', 4),
(42, 'moodle/category:viewhiddencategories', 'read', 40, 'moodle', 0),
(43, 'moodle/course:create', 'write', 40, 'moodle', 4),
(44, 'moodle/course:request', 'write', 10, 'moodle', 0),
(45, 'moodle/course:delete', 'write', 50, 'moodle', 32),
(46, 'moodle/course:update', 'write', 50, 'moodle', 4),
(47, 'moodle/course:view', 'read', 50, 'moodle', 0),
(48, 'moodle/course:bulkmessaging', 'write', 50, 'moodle', 16),
(49, 'moodle/course:viewhiddenuserfields', 'read', 50, 'moodle', 8),
(50, 'moodle/course:viewhiddencourses', 'read', 50, 'moodle', 0),
(51, 'moodle/course:visibility', 'write', 50, 'moodle', 0),
(52, 'moodle/course:managefiles', 'write', 50, 'moodle', 4),
(53, 'moodle/course:manageactivities', 'write', 50, 'moodle', 4),
(54, 'moodle/course:managemetacourse', 'write', 50, 'moodle', 12),
(55, 'moodle/course:activityvisibility', 'write', 50, 'moodle', 0),
(56, 'moodle/course:viewhiddenactivities', 'write', 50, 'moodle', 0),
(57, 'moodle/course:viewparticipants', 'read', 50, 'moodle', 0),
(58, 'moodle/course:changefullname', 'write', 50, 'moodle', 4),
(59, 'moodle/course:changeshortname', 'write', 50, 'moodle', 4),
(60, 'moodle/course:changeidnumber', 'write', 50, 'moodle', 4),
(61, 'moodle/course:changecategory', 'write', 50, 'moodle', 4),
(62, 'moodle/course:changesummary', 'write', 50, 'moodle', 4),
(63, 'moodle/site:viewparticipants', 'read', 10, 'moodle', 0),
(64, 'moodle/course:viewscales', 'read', 50, 'moodle', 0),
(65, 'moodle/course:managescales', 'write', 50, 'moodle', 0),
(66, 'moodle/course:managegroups', 'write', 50, 'moodle', 0),
(67, 'moodle/course:reset', 'write', 50, 'moodle', 32),
(68, 'moodle/blog:view', 'read', 50, 'moodle', 0),
(69, 'moodle/blog:create', 'write', 10, 'moodle', 16),
(70, 'moodle/blog:manageentries', 'write', 50, 'moodle', 16),
(71, 'moodle/calendar:manageownentries', 'write', 50, 'moodle', 16),
(72, 'moodle/calendar:managegroupentries', 'write', 50, 'moodle', 16),
(73, 'moodle/calendar:manageentries', 'write', 50, 'moodle', 16),
(74, 'moodle/user:editprofile', 'write', 30, 'moodle', 24),
(75, 'moodle/user:editownprofile', 'write', 10, 'moodle', 16),
(76, 'moodle/user:changeownpassword', 'write', 10, 'moodle', 0),
(77, 'moodle/user:readuserposts', 'read', 30, 'moodle', 0),
(78, 'moodle/user:readuserblogs', 'read', 30, 'moodle', 0),
(79, 'moodle/user:viewuseractivitiesreport', 'read', 30, 'moodle', 8),
(80, 'moodle/question:managecategory', 'write', 50, 'moodle', 20),
(81, 'moodle/question:add', 'write', 50, 'moodle', 20),
(82, 'moodle/question:editmine', 'write', 50, 'moodle', 20),
(83, 'moodle/question:editall', 'write', 50, 'moodle', 20),
(84, 'moodle/question:viewmine', 'read', 50, 'moodle', 0),
(85, 'moodle/question:viewall', 'read', 50, 'moodle', 0),
(86, 'moodle/question:usemine', 'read', 50, 'moodle', 0),
(87, 'moodle/question:useall', 'read', 50, 'moodle', 0),
(88, 'moodle/question:movemine', 'write', 50, 'moodle', 0),
(89, 'moodle/question:moveall', 'write', 50, 'moodle', 0),
(90, 'moodle/question:config', 'write', 10, 'moodle', 2),
(91, 'moodle/site:doclinks', 'read', 10, 'moodle', 0),
(92, 'moodle/course:sectionvisibility', 'write', 50, 'moodle', 0),
(93, 'moodle/course:useremail', 'write', 50, 'moodle', 0),
(94, 'moodle/course:viewhiddensections', 'write', 50, 'moodle', 0),
(95, 'moodle/course:setcurrentsection', 'write', 50, 'moodle', 0),
(96, 'moodle/site:mnetlogintoremote', 'read', 10, 'moodle', 0),
(97, 'moodle/grade:viewall', 'read', 50, 'moodle', 8),
(98, 'moodle/grade:view', 'read', 50, 'moodle', 0),
(99, 'moodle/grade:viewhidden', 'read', 50, 'moodle', 8),
(100, 'moodle/grade:import', 'write', 50, 'moodle', 12),
(101, 'moodle/grade:export', 'read', 50, 'moodle', 8),
(102, 'moodle/grade:manage', 'write', 50, 'moodle', 12),
(103, 'moodle/grade:edit', 'write', 50, 'moodle', 12),
(104, 'moodle/grade:manageoutcomes', 'write', 50, 'moodle', 0),
(105, 'moodle/grade:manageletters', 'write', 50, 'moodle', 0),
(106, 'moodle/grade:hide', 'write', 50, 'moodle', 0),
(107, 'moodle/grade:lock', 'write', 50, 'moodle', 0),
(108, 'moodle/grade:unlock', 'write', 50, 'moodle', 0),
(109, 'moodle/my:manageblocks', 'write', 10, 'moodle', 0),
(110, 'moodle/notes:view', 'read', 50, 'moodle', 0),
(111, 'moodle/notes:manage', 'write', 50, 'moodle', 16),
(112, 'moodle/tag:manage', 'write', 10, 'moodle', 16),
(113, 'moodle/tag:create', 'write', 10, 'moodle', 16),
(114, 'moodle/tag:edit', 'write', 10, 'moodle', 16),
(115, 'moodle/tag:editblocks', 'write', 10, 'moodle', 0),
(116, 'moodle/block:view', 'read', 80, 'moodle', 0),
(117, 'mod/assignment:view', 'read', 70, 'mod/assignment', 0),
(118, 'mod/assignment:submit', 'write', 70, 'mod/assignment', 0),
(119, 'mod/assignment:grade', 'write', 70, 'mod/assignment', 4),
(120, 'mod/chat:chat', 'write', 70, 'mod/chat', 16),
(121, 'mod/chat:readlog', 'read', 70, 'mod/chat', 0),
(122, 'mod/chat:deletelog', 'write', 70, 'mod/chat', 0),
(123, 'mod/choice:choose', 'write', 70, 'mod/choice', 0),
(124, 'mod/choice:readresponses', 'read', 70, 'mod/choice', 0),
(125, 'mod/choice:deleteresponses', 'write', 70, 'mod/choice', 0),
(126, 'mod/choice:downloadresponses', 'read', 70, 'mod/choice', 0),
(127, 'mod/data:viewentry', 'read', 70, 'mod/data', 0),
(128, 'mod/data:writeentry', 'write', 70, 'mod/data', 16),
(129, 'mod/data:comment', 'write', 70, 'mod/data', 16),
(130, 'mod/data:viewrating', 'read', 70, 'mod/data', 0),
(131, 'mod/data:rate', 'write', 70, 'mod/data', 0),
(132, 'mod/data:approve', 'write', 70, 'mod/data', 16),
(133, 'mod/data:manageentries', 'write', 70, 'mod/data', 16),
(134, 'mod/data:managecomments', 'write', 70, 'mod/data', 16),
(135, 'mod/data:managetemplates', 'write', 70, 'mod/data', 20),
(136, 'mod/data:viewalluserpresets', 'read', 70, 'mod/data', 0),
(137, 'mod/data:manageuserpresets', 'write', 70, 'mod/data', 20),
(138, 'mod/forum:viewdiscussion', 'read', 70, 'mod/forum', 0),
(139, 'mod/forum:viewhiddentimedposts', 'read', 70, 'mod/forum', 0),
(140, 'mod/forum:startdiscussion', 'write', 70, 'mod/forum', 16),
(141, 'mod/forum:replypost', 'write', 70, 'mod/forum', 16),
(142, 'mod/forum:addnews', 'write', 70, 'mod/forum', 16),
(143, 'mod/forum:replynews', 'write', 70, 'mod/forum', 16),
(144, 'mod/forum:viewrating', 'read', 70, 'mod/forum', 0),
(145, 'mod/forum:viewanyrating', 'read', 70, 'mod/forum', 0),
(146, 'mod/forum:rate', 'write', 70, 'mod/forum', 0),
(147, 'mod/forum:createattachment', 'write', 70, 'mod/forum', 16),
(148, 'mod/forum:deleteownpost', 'read', 70, 'mod/forum', 0),
(149, 'mod/forum:deleteanypost', 'read', 70, 'mod/forum', 0),
(150, 'mod/forum:splitdiscussions', 'read', 70, 'mod/forum', 0),
(151, 'mod/forum:movediscussions', 'read', 70, 'mod/forum', 0),
(152, 'mod/forum:editanypost', 'write', 70, 'mod/forum', 16),
(153, 'mod/forum:viewqandawithoutposting', 'read', 70, 'mod/forum', 0),
(154, 'mod/forum:viewsubscribers', 'read', 70, 'mod/forum', 0),
(155, 'mod/forum:managesubscriptions', 'read', 70, 'mod/forum', 16),
(156, 'mod/forum:initialsubscriptions', 'read', 70, 'mod/forum', 0),
(157, 'mod/forum:throttlingapplies', 'write', 70, 'mod/forum', 16),
(158, 'mod/glossary:write', 'write', 70, 'mod/glossary', 16),
(159, 'mod/glossary:manageentries', 'write', 70, 'mod/glossary', 16),
(160, 'mod/glossary:managecategories', 'write', 70, 'mod/glossary', 16),
(161, 'mod/glossary:comment', 'write', 70, 'mod/glossary', 16),
(162, 'mod/glossary:managecomments', 'write', 70, 'mod/glossary', 16),
(163, 'mod/glossary:import', 'write', 70, 'mod/glossary', 16),
(164, 'mod/glossary:export', 'read', 70, 'mod/glossary', 0),
(165, 'mod/glossary:approve', 'write', 70, 'mod/glossary', 16),
(166, 'mod/glossary:rate', 'write', 70, 'mod/glossary', 0),
(167, 'mod/glossary:viewrating', 'read', 70, 'mod/glossary', 0),
(168, 'mod/hotpot:attempt', 'read', 70, 'mod/hotpot', 0),
(169, 'mod/hotpot:viewreport', 'read', 70, 'mod/hotpot', 0),
(170, 'mod/hotpot:grade', 'read', 70, 'mod/hotpot', 0),
(171, 'mod/hotpot:deleteattempt', 'read', 70, 'mod/hotpot', 0),
(172, 'mod/lams:participate', 'write', 70, 'mod/lams', 0),
(173, 'mod/lams:manage', 'write', 70, 'mod/lams', 0),
(174, 'mod/lesson:edit', 'write', 70, 'mod/lesson', 4),
(175, 'mod/lesson:manage', 'write', 70, 'mod/lesson', 0),
(176, 'mod/quiz:view', 'read', 70, 'mod/quiz', 0),
(177, 'mod/quiz:attempt', 'write', 70, 'mod/quiz', 16),
(178, 'mod/quiz:reviewmyattempts', 'read', 70, 'mod/quiz', 0),
(179, 'mod/quiz:manage', 'write', 70, 'mod/quiz', 16),
(180, 'mod/quiz:preview', 'write', 70, 'mod/quiz', 0),
(181, 'mod/quiz:grade', 'write', 70, 'mod/quiz', 16),
(182, 'mod/quiz:viewreports', 'read', 70, 'mod/quiz', 8),
(183, 'mod/quiz:deleteattempts', 'write', 70, 'mod/quiz', 32),
(184, 'mod/quiz:ignoretimelimits', 'read', 70, 'mod/quiz', 0),
(185, 'mod/quiz:emailconfirmsubmission', 'read', 70, 'mod/quiz', 0),
(186, 'mod/quiz:emailnotifysubmission', 'read', 70, 'mod/quiz', 0),
(187, 'mod/scorm:viewreport', 'read', 70, 'mod/scorm', 0),
(188, 'mod/scorm:skipview', 'write', 70, 'mod/scorm', 0),
(189, 'mod/scorm:savetrack', 'write', 70, 'mod/scorm', 0),
(190, 'mod/scorm:viewscores', 'read', 70, 'mod/scorm', 0),
(191, 'mod/scorm:deleteresponses', 'read', 70, 'mod/scorm', 0),
(192, 'mod/survey:participate', 'read', 70, 'mod/survey', 0),
(193, 'mod/survey:readresponses', 'read', 70, 'mod/survey', 0),
(194, 'mod/survey:download', 'read', 70, 'mod/survey', 0),
(195, 'mod/wiki:participate', 'write', 70, 'mod/wiki', 16),
(196, 'mod/wiki:manage', 'write', 70, 'mod/wiki', 16),
(197, 'mod/wiki:overridelock', 'write', 70, 'mod/wiki', 0),
(198, 'mod/workshop:participate', 'write', 70, 'mod/workshop', 16),
(199, 'mod/workshop:manage', 'write', 70, 'mod/workshop', 16),
(200, 'block/online_users:viewlist', 'read', 80, 'block/online_users', 0),
(201, 'block/rss_client:createprivatefeeds', 'write', 80, 'block/rss_client', 0),
(202, 'block/rss_client:createsharedfeeds', 'write', 80, 'block/rss_client', 16),
(203, 'block/rss_client:manageownfeeds', 'write', 80, 'block/rss_client', 0),
(204, 'block/rss_client:manageanyfeeds', 'write', 80, 'block/rss_client', 16),
(205, 'enrol/authorize:managepayments', 'write', 10, 'enrol/authorize', 8),
(206, 'enrol/authorize:uploadcsv', 'write', 10, 'enrol/authorize', 4),
(207, 'gradeexport/ods:view', 'read', 50, 'gradeexport/ods', 8),
(208, 'gradeexport/ods:publish', 'read', 50, 'gradeexport/ods', 8),
(209, 'gradeexport/txt:view', 'read', 50, 'gradeexport/txt', 8),
(210, 'gradeexport/txt:publish', 'read', 50, 'gradeexport/txt', 8),
(211, 'gradeexport/xls:view', 'read', 50, 'gradeexport/xls', 8),
(212, 'gradeexport/xls:publish', 'read', 50, 'gradeexport/xls', 8),
(213, 'gradeexport/xml:view', 'read', 50, 'gradeexport/xml', 8),
(214, 'gradeexport/xml:publish', 'read', 50, 'gradeexport/xml', 8),
(215, 'gradeimport/csv:view', 'write', 50, 'gradeimport/csv', 0),
(216, 'gradeimport/xml:view', 'write', 50, 'gradeimport/xml', 0),
(217, 'gradeimport/xml:publish', 'write', 50, 'gradeimport/xml', 0),
(218, 'gradereport/grader:view', 'read', 50, 'gradereport/grader', 8),
(219, 'gradereport/outcomes:view', 'read', 50, 'gradereport/outcomes', 8),
(220, 'gradereport/overview:view', 'read', 50, 'gradereport/overview', 8),
(221, 'gradereport/user:view', 'read', 50, 'gradereport/user', 8),
(222, 'coursereport/log:view', 'read', 50, 'coursereport/log', 8),
(223, 'coursereport/log:viewlive', 'read', 50, 'coursereport/log', 8),
(224, 'coursereport/log:viewtoday', 'read', 50, 'coursereport/log', 8),
(225, 'coursereport/outline:view', 'read', 50, 'coursereport/outline', 8),
(226, 'coursereport/participation:view', 'read', 50, 'coursereport/participation', 8),
(227, 'coursereport/stats:view', 'read', 50, 'coursereport/stats', 8),
(228, 'report/courseoverview:view', 'read', 10, 'report/courseoverview', 8),
(229, 'report/security:view', 'read', 10, 'report/security', 2),
(230, 'report/unittest:view', 'read', 10, 'report/unittest', 32);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `keepdays` bigint(11) NOT NULL default '0',
  `studentlogs` smallint(4) NOT NULL default '0',
  `chattime` bigint(10) unsigned NOT NULL default '0',
  `schedule` smallint(4) NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `chat_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Each of these is a chat room' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat_messages`
--

CREATE TABLE IF NOT EXISTS `chat_messages` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `chatid` bigint(10) NOT NULL default '0',
  `userid` bigint(10) NOT NULL default '0',
  `groupid` bigint(10) NOT NULL default '0',
  `system` tinyint(1) unsigned NOT NULL default '0',
  `message` text NOT NULL,
  `timestamp` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `chatmess_use_ix` (`userid`),
  KEY `chatmess_gro_ix` (`groupid`),
  KEY `chatmess_timcha_ix` (`timestamp`,`chatid`),
  KEY `chatmess_cha_ix` (`chatid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stores all the actual chat messages' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat_users`
--

CREATE TABLE IF NOT EXISTS `chat_users` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `chatid` bigint(11) NOT NULL default '0',
  `userid` bigint(11) NOT NULL default '0',
  `groupid` bigint(11) NOT NULL default '0',
  `version` varchar(16) NOT NULL default '',
  `ip` varchar(15) NOT NULL default '',
  `firstping` bigint(10) unsigned NOT NULL default '0',
  `lastping` bigint(10) unsigned NOT NULL default '0',
  `lastmessageping` bigint(10) unsigned NOT NULL default '0',
  `sid` varchar(32) NOT NULL default '',
  `course` bigint(10) unsigned NOT NULL default '0',
  `lang` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `chatuser_use_ix` (`userid`),
  KEY `chatuser_las_ix` (`lastping`),
  KEY `chatuser_gro_ix` (`groupid`),
  KEY `chatuser_cha_ix` (`chatid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Keeps track of which users are in which chat rooms' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `choice`
--

CREATE TABLE IF NOT EXISTS `choice` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `text` text NOT NULL,
  `format` tinyint(2) unsigned NOT NULL default '0',
  `publish` tinyint(2) unsigned NOT NULL default '0',
  `showresults` tinyint(2) unsigned NOT NULL default '0',
  `display` smallint(4) unsigned NOT NULL default '0',
  `allowupdate` tinyint(2) unsigned NOT NULL default '0',
  `showunanswered` tinyint(2) unsigned NOT NULL default '0',
  `limitanswers` tinyint(2) unsigned NOT NULL default '0',
  `timeopen` bigint(10) unsigned NOT NULL default '0',
  `timeclose` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `choi_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Available choices are stored here' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `choice_answers`
--

CREATE TABLE IF NOT EXISTS `choice_answers` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `choiceid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `optionid` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `choiansw_use_ix` (`userid`),
  KEY `choiansw_cho_ix` (`choiceid`),
  KEY `choiansw_opt_ix` (`optionid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='choices performed by users' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `choice_options`
--

CREATE TABLE IF NOT EXISTS `choice_options` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `choiceid` bigint(10) unsigned NOT NULL default '0',
  `text` text,
  `maxanswers` bigint(10) unsigned default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `choiopti_cho_ix` (`choiceid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='available options to choice' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `config`
--

CREATE TABLE IF NOT EXISTS `config` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `conf_nam_uix` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Moodle configuration variables' AUTO_INCREMENT=428 ;

--
-- Volcado de datos para la tabla `config`
--

INSERT INTO `config` (`id`, `name`, `value`) VALUES
(1, 'unicodedb', '1'),
(2, 'statsrolesupgraded', '1286799162'),
(3, 'auth', 'email'),
(4, 'auth_pop3mailbox', 'INBOX'),
(5, 'enrol', 'manual'),
(6, 'enrol_plugins_enabled', 'manual'),
(7, 'style', 'default'),
(8, 'template', 'default'),
(9, 'theme', 'bbytemplate'),
(10, 'filter_multilang_converted', '1'),
(427, 'registerauth', ''),
(12, 'guestloginbutton', '1'),
(13, 'alternateloginurl', ''),
(14, 'forgottenpasswordurl', ''),
(15, 'auth_instructions', ''),
(16, 'allowemailaddresses', ''),
(17, 'denyemailaddresses', ''),
(18, 'verifychangedemail', '1'),
(19, 'recaptchapublickey', ''),
(20, 'recaptchaprivatekey', ''),
(21, 'nodefaultuserrolelists', '0'),
(22, 'autologinguests', '0'),
(23, 'hiddenuserfields', ''),
(24, 'allowuserswitchrolestheycantassign', '0'),
(25, 'enablecourserequests', '0'),
(26, 'courserequestnotify', ''),
(27, 'timezone', '99'),
(28, 'forcetimezone', '99'),
(29, 'country', '0'),
(30, 'geoipfile', '/usr/local/pem/vhosts/100001/webspace/siteapps/36/htdocs/moodledata/geoip/GeoLiteCity.dat'),
(31, 'googlemapkey', ''),
(32, 'autolang', '1'),
(33, 'lang', 'es_es_utf8'),
(34, 'langmenu', '1'),
(35, 'langlist', ''),
(36, 'langcache', '1'),
(37, 'locale', ''),
(38, 'latinexcelexport', '0'),
(39, 'cachetext', '60'),
(40, 'filteruploadedfiles', '0'),
(41, 'filtermatchoneperpage', '0'),
(42, 'filtermatchonepertext', '0'),
(43, 'filterall', '0'),
(44, 'filter_multilang_force_old', '0'),
(45, 'filter_mediaplugin_enable_mp3', '1'),
(46, 'filter_mediaplugin_enable_swf', '0'),
(47, 'filter_mediaplugin_enable_mov', '1'),
(48, 'filter_mediaplugin_enable_wmv', '1'),
(49, 'filter_mediaplugin_enable_mpg', '1'),
(50, 'filter_mediaplugin_enable_avi', '1'),
(51, 'filter_mediaplugin_enable_flv', '1'),
(52, 'filter_mediaplugin_enable_ram', '1'),
(53, 'filter_mediaplugin_enable_rpm', '1'),
(54, 'filter_mediaplugin_enable_rm', '1'),
(55, 'filter_mediaplugin_enable_youtube', '0'),
(56, 'filter_tex_latexpreamble', '\\usepackage[latin1]{inputenc}\n\\usepackage{amsmath}\n\\usepackage{amsfonts}\n\\RequirePackage{amsmath,amssymb,latexsym}\n'),
(57, 'filter_tex_latexbackground', '#FFFFFF'),
(58, 'filter_tex_density', '120'),
(59, 'filter_tex_pathlatex', '/usr/bin/latex'),
(60, 'filter_tex_pathdvips', '/usr/bin/dvips'),
(61, 'filter_tex_pathconvert', '/usr/bin/convert'),
(62, 'filter_tex_convertformat', 'gif'),
(63, 'filter_censor_badwords', ''),
(64, 'protectusernames', '1'),
(65, 'forcelogin', '0'),
(66, 'forceloginforprofiles', '1'),
(67, 'opentogoogle', '0'),
(68, 'maxbytes', '0'),
(69, 'messaging', '1'),
(70, 'allowobjectembed', '0'),
(71, 'enabletrusttext', '0'),
(72, 'maxeditingtime', '1800'),
(73, 'fullnamedisplay', 'language'),
(74, 'extendedusernamechars', '0'),
(75, 'sitepolicy', ''),
(76, 'bloglevel', '0'),
(77, 'usetags', '1'),
(78, 'keeptagnamecase', '1'),
(79, 'profilesforenrolledusersonly', '1'),
(80, 'cronclionly', '0'),
(81, 'cronremotepassword', ''),
(82, 'passwordpolicy', '1'),
(83, 'minpasswordlength', '8'),
(84, 'minpassworddigits', '8'),
(85, 'minpasswordlower', '1'),
(86, 'minpasswordupper', '1'),
(87, 'minpasswordnonalphanum', '1'),
(88, 'disableuserimages', '0'),
(89, 'emailchangeconfirmation', '1'),
(90, 'enablenotes', '1'),
(91, 'loginhttps', '0'),
(92, 'cookiesecure', '0'),
(93, 'cookiehttponly', '0'),
(94, 'regenloginsession', '1'),
(95, 'excludeoldflashclients', '10.0.12'),
(96, 'restrictmodulesfor', 'none'),
(97, 'restrictbydefault', '0'),
(98, 'displayloginfailures', ''),
(99, 'notifyloginfailures', ''),
(100, 'notifyloginthreshold', '10'),
(101, 'runclamonupload', '0'),
(102, 'pathtoclam', ''),
(103, 'quarantinedir', ''),
(104, 'clamfailureonupload', 'donothing'),
(105, 'themelist', ''),
(106, 'allowuserthemes', '0'),
(107, 'allowcoursethemes', '0'),
(108, 'allowcategorythemes', '0'),
(109, 'allowuserblockhiding', '1'),
(110, 'showblocksonmodpages', '0'),
(111, 'hideactivitytypenavlink', '0'),
(112, 'calendar_adminseesall', '0'),
(113, 'calendar_site_timeformat', '0'),
(114, 'calendar_startwday', '0'),
(115, 'calendar_weekend', '65'),
(116, 'calendar_lookahead', '21'),
(117, 'calendar_maxevents', '10'),
(118, 'enablecalendarexport', '1'),
(119, 'calendar_exportsalt', 'JKtsfS0YgF6xNWCFrriFYjvI6IlS0YBLww8FDQMw0Pb5IIaaAPEd2iPOt8rO'),
(120, 'htmleditor', '1'),
(121, 'editorbackgroundcolor', '#ffffff'),
(122, 'editorfontfamily', 'Trebuchet MS,Verdana,Arial,Helvetica,sans-serif'),
(123, 'editorfontsize', ''),
(124, 'editorfontlist', 'Trebuchet:Trebuchet MS,Verdana,Arial,Helvetica,sans-serif;Arial:arial,helvetica,sans-serif;Courier New:courier new,courier,monospace;Georgia:georgia,times new roman,times,serif;Tahoma:tahoma,arial,helvetica,sans-serif;Times New Roman:times new roman,times,serif;Verdana:verdana,arial,helvetica,sans-serif;Impact:impact;Wingdings:wingdings'),
(125, 'editorkillword', '1'),
(126, 'editorhidebuttons', ''),
(127, 'emoticons', ':-){:}smiley{;}:){:}smiley{;}:-D{:}biggrin{;};-){:}wink{;}:-/{:}mixed{;}V-.{:}thoughtful{;}:-P{:}tongueout{;}B-){:}cool{;}^-){:}approve{;}8-){:}wideeyes{;}:o){:}clown{;}:-({:}sad{;}:({:}sad{;}8-.{:}shy{;}:-I{:}blush{;}:-X{:}kiss{;}8-o{:}surprise{;}P-|{:}blackeye{;}8-[{:}angry{;}xx-P{:}dead{;}|-.{:}sleepy{;}}-]{:}evil{;}(h){:}heart{;}(heart){:}heart{;}(y){:}yes{;}(n){:}no{;}(martin){:}martin{;}( ){:}egg'),
(128, 'formatstringstriptags', '1'),
(129, 'docroot', 'http://docs.moodle.org'),
(130, 'doctonewwindow', '0'),
(131, 'mymoodleredirect', '0'),
(132, 'mycoursesperpage', '21'),
(133, 'enableajax', '1'),
(134, 'disablecourseajax', '1'),
(135, 'gdversion', '2'),
(136, 'zip', ''),
(137, 'unzip', ''),
(138, 'pathtodu', ''),
(139, 'aspellpath', ''),
(140, 'smtphosts', ''),
(141, 'smtpuser', ''),
(142, 'smtppass', ''),
(143, 'smtpmaxbulk', '1'),
(144, 'noreplyaddress', 'noreply@z.aps2.sw.ru'),
(145, 'digestmailtime', '17'),
(146, 'sitemailcharset', '0'),
(147, 'allowusermailcharset', '0'),
(148, 'mailnewline', 'LF'),
(149, 'supportpage', ''),
(150, 'dbsessions', '0'),
(151, 'sessiontimeout', '7200'),
(152, 'sessioncookie', ''),
(153, 'sessioncookiepath', '/'),
(154, 'sessioncookiedomain', ''),
(155, 'enablerssfeeds', '0'),
(156, 'debug', '0'),
(157, 'debugdisplay', '0'),
(158, 'xmlstrictheaders', '0'),
(159, 'debugsmtp', '0'),
(160, 'perfdebug', '7'),
(161, 'enablestats', '0'),
(162, 'statsfirstrun', 'none'),
(163, 'statsmaxruntime', '0'),
(164, 'statsruntimedays', '31'),
(165, 'statsruntimestarthour', '0'),
(166, 'statsruntimestartminute', '0'),
(167, 'statsuserthreshold', '0'),
(168, 'statscatdepth', '1'),
(169, 'framename', '_top'),
(170, 'slasharguments', '1'),
(171, 'getremoteaddrconf', '0'),
(172, 'proxyhost', ''),
(173, 'proxyport', '0'),
(174, 'proxytype', 'HTTP'),
(175, 'proxyuser', ''),
(176, 'proxypassword', ''),
(177, 'longtimenosee', '120'),
(178, 'deleteunconfirmed', '168'),
(179, 'deleteincompleteusers', '0'),
(180, 'loglifetime', '0'),
(181, 'disablegradehistory', '0'),
(182, 'gradehistorylifetime', '0'),
(183, 'extramemorylimit', '128M'),
(184, 'cachetype', ''),
(185, 'rcache', '0'),
(186, 'rcachettl', '10'),
(187, 'intcachemax', '10'),
(188, 'memcachedhosts', ''),
(189, 'memcachedpconn', '0'),
(190, 'enableglobalsearch', '0'),
(191, 'smartpix', '0'),
(192, 'enablehtmlpurifier', '0'),
(193, 'enablegroupings', '0'),
(194, 'experimentalsplitrestore', '0'),
(195, 'enableimsccimport', '0'),
(196, 'enablesafebrowserintegration', '0'),
(197, 'mnet_dispatcher_mode', 'off'),
(198, 'mnet_localhost_id', '1'),
(199, 'mnet_all_hosts_id', '2'),
(200, 'version', '2007101590'),
(201, 'release', '1.9.9 (Build: 20100609)'),
(202, 'assignment_type_online_version', '2005042900'),
(203, 'hotpot_showtimes', '0'),
(204, 'hotpot_excelencodings', ''),
(205, 'hotpot_initialdisable', '1'),
(206, 'journal_showrecentactivity', '1'),
(207, 'journal_initialdisable', '1'),
(208, 'lams_initialdisable', '1'),
(209, 'quiz_review', '16777215'),
(210, 'quiz_attemptonlast', '0'),
(211, 'quiz_attempts', '0'),
(212, 'quiz_grademethod', ''),
(213, 'quiz_decimalpoints', '2'),
(214, 'quiz_maximumgrade', '10'),
(215, 'quiz_password', ''),
(216, 'quiz_popup', '0'),
(217, 'quiz_questionsperpage', '0'),
(218, 'quiz_shuffleanswers', '1'),
(219, 'quiz_shufflequestions', '0'),
(220, 'quiz_subnet', ''),
(221, 'quiz_timelimit', '0'),
(222, 'quiz_optionflags', '1'),
(223, 'quiz_penaltyscheme', '1'),
(224, 'quiz_delay1', '0'),
(225, 'quiz_delay2', '0'),
(226, 'quiz_fix_review', '0'),
(227, 'quiz_fix_attemptonlast', '0'),
(228, 'quiz_fix_attempts', '0'),
(229, 'quiz_fix_grademethod', '0'),
(230, 'quiz_fix_decimalpoints', '0'),
(231, 'quiz_fix_password', '0'),
(232, 'quiz_fix_popup', '0'),
(233, 'quiz_fix_questionsperpage', '0'),
(234, 'quiz_fix_shuffleanswers', '0'),
(235, 'quiz_fix_shufflequestions', '0'),
(236, 'quiz_fix_subnet', '0'),
(237, 'quiz_fix_timelimit', '0'),
(238, 'quiz_fix_adaptive', '0'),
(239, 'quiz_fix_penaltyscheme', '0'),
(240, 'quiz_fix_delay1', '0'),
(241, 'quiz_fix_delay2', '0'),
(242, 'resource_hide_repository', '1'),
(243, 'workshop_initialdisable', '1'),
(244, 'qtype_calculated_version', '2006032200'),
(245, 'qtype_essay_version', '2006032200'),
(246, 'qtype_match_version', '2006032200'),
(247, 'qtype_multianswer_version', '2008050800'),
(248, 'qtype_multichoice_version', '2007081700'),
(249, 'qtype_numerical_version', '2006121500'),
(250, 'qtype_randomsamatch_version', '2006042800'),
(251, 'qtype_shortanswer_version', '2006032200'),
(252, 'qtype_truefalse_version', '2006032200'),
(253, 'backup_version', '2009111300'),
(254, 'backup_release', '1.9.7'),
(255, 'blocks_version', '2007081300'),
(256, 'enrol_authorize_version', '2006112903'),
(257, 'enrol_paypal_version', '2006092200'),
(258, 'gradeexport_ods_version', '2007092701'),
(259, 'gradeexport_txt_version', '2007092700'),
(260, 'gradeexport_xls_version', '2007092700'),
(261, 'gradeexport_xml_version', '2007092700'),
(262, 'gradeimport_csv_version', '2007072500'),
(263, 'gradeimport_xml_version', '2007092700'),
(264, 'gradereport_grader_version', '2007091700'),
(265, 'gradereport_outcomes_version', '2007073000'),
(266, 'gradereport_overview_version', '2009022500'),
(267, 'gradereport_user_version', '2007092500'),
(268, 'coursereport_log_version', '2007101504'),
(269, 'coursereport_outline_version', '2007101501'),
(270, 'coursereport_participation_version', '2007101501'),
(271, 'coursereport_stats_version', '2007101501'),
(272, 'report_courseoverview_version', '2007101503'),
(273, 'report_security_version', '2007101500'),
(274, 'report_unittest_version', '2007101501'),
(275, 'adminblocks_initialised', '1'),
(276, 'siteidentifier', 'twRi6HZPmsNWStdzeBy0KJV6enRd2Bavz.aps2.sw.ru'),
(277, 'rolesactive', '1'),
(278, 'guestroleid', '6'),
(279, 'creatornewroleid', '3'),
(280, 'notloggedinroleid', '6'),
(281, 'defaultuserroleid', '7'),
(282, 'defaultcourseroleid', '5'),
(283, 'nonmetacoursesyncroleids', ''),
(284, 'defaultrequestcategory', '1'),
(285, 'gradebookroles', '5'),
(286, 'enableoutcomes', '0'),
(287, 'grade_profilereport', 'user'),
(288, 'grade_aggregationposition', '1'),
(289, 'grade_includescalesinaggregation', '1'),
(290, 'grade_hiddenasdate', '0'),
(291, 'gradepublishing', '0'),
(292, 'grade_export_displaytype', '1'),
(293, 'grade_export_decimalpoints', '2'),
(294, 'grade_navmethod', '0'),
(295, 'gradeexport', ''),
(296, 'unlimitedgrades', '0'),
(297, 'grade_hideforcedsettings', '1'),
(298, 'grade_aggregation', '11'),
(299, 'grade_aggregation_flag', '0'),
(300, 'grade_aggregations_visible', '0,10,11,12,2,4,6,8,13'),
(301, 'grade_aggregateonlygraded', '1'),
(302, 'grade_aggregateonlygraded_flag', '2'),
(303, 'grade_aggregateoutcomes', '0'),
(304, 'grade_aggregateoutcomes_flag', '2'),
(305, 'grade_aggregatesubcats', '0'),
(306, 'grade_aggregatesubcats_flag', '2'),
(307, 'grade_keephigh', '0'),
(308, 'grade_keephigh_flag', '3'),
(309, 'grade_droplow', '0'),
(310, 'grade_droplow_flag', '2'),
(311, 'grade_displaytype', '1'),
(312, 'grade_decimalpoints', '2'),
(313, 'grade_item_advanced', 'iteminfo,idnumber,gradepass,plusfactor,multfactor,display,decimals,hiddenuntil,locktime'),
(314, 'grade_report_studentsperpage', '100'),
(315, 'grade_report_quickgrading', '1'),
(316, 'grade_report_showquickfeedback', '0'),
(317, 'grade_report_fixedstudents', '0'),
(318, 'grade_report_meanselection', '1'),
(319, 'grade_report_showcalculations', '0'),
(320, 'grade_report_showeyecons', '0'),
(321, 'grade_report_showaverages', '1'),
(322, 'grade_report_showlocks', '0'),
(323, 'grade_report_showranges', '0'),
(324, 'grade_report_showuserimage', '1'),
(325, 'grade_report_showuseridnumber', '0'),
(326, 'grade_report_showactivityicons', '1'),
(327, 'grade_report_shownumberofgrades', '0'),
(328, 'grade_report_averagesdisplaytype', 'inherit'),
(329, 'grade_report_rangesdisplaytype', 'inherit'),
(330, 'grade_report_averagesdecimalpoints', 'inherit'),
(331, 'grade_report_rangesdecimalpoints', 'inherit'),
(332, 'grade_report_overview_showrank', '0'),
(333, 'grade_report_overview_showtotalsifcontainhidden', '0'),
(334, 'grade_report_user_showrank', '0'),
(335, 'grade_report_user_showpercentage', '2'),
(336, 'grade_report_user_showhiddenitems', '1'),
(337, 'grade_report_user_showtotalsifcontainhidden', '0'),
(338, 'assignment_maxbytes', '1048576'),
(339, 'assignment_itemstocount', '1'),
(340, 'assignment_showrecentsubmissions', '1'),
(341, 'chat_method', 'header_js'),
(342, 'chat_refresh_userlist', '10'),
(343, 'chat_old_ping', '35'),
(344, 'chat_refresh_room', '5'),
(345, 'chat_normal_updatemode', 'jsupdate'),
(346, 'chat_serverhost', 'z.aps2.sw.ru'),
(347, 'chat_serverip', '127.0.0.1'),
(348, 'chat_serverport', '9111'),
(349, 'chat_servermax', '100'),
(350, 'data_enablerssfeeds', '0'),
(351, 'forum_displaymode', '3'),
(352, 'forum_replytouser', '1'),
(353, 'forum_shortpost', '300'),
(354, 'forum_longpost', '600'),
(355, 'forum_manydiscussions', '100'),
(356, 'forum_maxbytes', '512000'),
(357, 'forum_trackreadposts', '1'),
(358, 'forum_oldpostdays', '14'),
(359, 'forum_usermarksread', '0'),
(360, 'forum_cleanreadtime', '2'),
(361, 'forum_enablerssfeeds', '0'),
(362, 'forum_enabletimedposts', '0'),
(363, 'forum_logblocked', '1'),
(364, 'forum_ajaxrating', '0'),
(365, 'glossary_entbypage', '10'),
(366, 'glossary_dupentries', '0'),
(367, 'glossary_allowcomments', '0'),
(368, 'glossary_linkbydefault', '1'),
(369, 'glossary_defaultapproval', '1'),
(370, 'glossary_enablerssfeeds', '0'),
(371, 'glossary_linkentries', '0'),
(372, 'glossary_casesensitive', '0'),
(373, 'glossary_fullmatch', '0'),
(374, 'lams_serverurl', ''),
(375, 'lams_serverid', ''),
(376, 'lams_serverkey', ''),
(377, 'resource_framesize', '130'),
(378, 'resource_websearch', 'http://google.com/'),
(379, 'resource_defaulturl', 'http://'),
(380, 'resource_secretphrase', 'T4peom0tg9qclipDfFBW'),
(381, 'resource_allowlocalfiles', '0'),
(382, 'resource_popup', ''),
(383, 'resource_popupresizable', 'checked'),
(384, 'resource_popupscrollbars', 'checked'),
(385, 'resource_popupdirectories', 'checked'),
(386, 'resource_popuplocation', 'checked'),
(387, 'resource_popupmenubar', 'checked'),
(388, 'resource_popuptoolbar', 'checked'),
(389, 'resource_popupstatus', 'checked'),
(390, 'resource_popupwidth', '620'),
(391, 'resource_popupheight', '450'),
(392, 'resource_autofilerename', '1'),
(393, 'resource_blockdeletingfile', '1'),
(394, 'scorm_grademethod', '1'),
(395, 'scorm_maxgrade', '100'),
(396, 'scorm_maxattempts', '0'),
(397, 'scorm_whatgrade', '0'),
(398, 'scorm_framewidth', '100%'),
(399, 'scorm_frameheight', '500'),
(400, 'scorm_popup', '0'),
(401, 'scorm_resizable', '0'),
(402, 'scorm_scrollbars', '0'),
(403, 'scorm_directories', '0'),
(404, 'scorm_location', '0'),
(405, 'scorm_menubar', '0'),
(406, 'scorm_toolbar', '0'),
(407, 'scorm_status', '0'),
(408, 'scorm_skipview', '0'),
(409, 'scorm_hidebrowse', '0'),
(410, 'scorm_hidetoc', '0'),
(411, 'scorm_hidenav', '0'),
(412, 'scorm_auto', '0'),
(413, 'scorm_updatefreq', '0'),
(414, 'block_course_list_adminview', 'all'),
(415, 'block_course_list_hideallcourseslink', '0'),
(416, 'block_online_users_timetosee', '5'),
(417, 'defaultallowedmodules', ''),
(418, 'coursemanager', '3'),
(419, 'frontpage', ''),
(420, 'frontpageloggedin', '0'),
(421, 'maxcategorydepth', '0'),
(422, 'coursesperpage', '20'),
(423, 'allowvisiblecoursesinhiddencategories', '0'),
(424, 'defaultfrontpageroleid', '0'),
(425, 'supportname', 'Admin User'),
(426, 'supportemail', 'adas@sdf.lo');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `config_plugins`
--

CREATE TABLE IF NOT EXISTS `config_plugins` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `plugin` varchar(100) NOT NULL default 'core',
  `name` varchar(100) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `confplug_plunam_uix` (`plugin`,`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Moodle modules and plugins configuration variables' AUTO_INCREMENT=14 ;

--
-- Volcado de datos para la tabla `config_plugins`
--

INSERT INTO `config_plugins` (`id`, `plugin`, `name`, `value`) VALUES
(1, 'moodlecourse', 'format', 'weeks'),
(2, 'moodlecourse', 'numsections', '10'),
(3, 'moodlecourse', 'hiddensections', '0'),
(4, 'moodlecourse', 'newsitems', '5'),
(5, 'moodlecourse', 'showgrades', '1'),
(6, 'moodlecourse', 'showreports', '0'),
(7, 'moodlecourse', 'maxbytes', '8388608'),
(8, 'moodlecourse', 'metacourse', '0'),
(9, 'qtype_random', 'selectmanual', '0'),
(10, 'blocks/section_links', 'numsections1', '22'),
(11, 'blocks/section_links', 'incby1', '2'),
(12, 'blocks/section_links', 'numsections2', '40'),
(13, 'blocks/section_links', 'incby2', '5');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `context`
--

CREATE TABLE IF NOT EXISTS `context` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `contextlevel` bigint(10) unsigned NOT NULL default '0',
  `instanceid` bigint(10) unsigned NOT NULL default '0',
  `path` varchar(255) default NULL,
  `depth` tinyint(2) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `cont_conins_uix` (`contextlevel`,`instanceid`),
  KEY `cont_ins_ix` (`instanceid`),
  KEY `cont_pat_ix` (`path`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='one of these must be set' AUTO_INCREMENT=48 ;

--
-- Volcado de datos para la tabla `context`
--

INSERT INTO `context` (`id`, `contextlevel`, `instanceid`, `path`, `depth`) VALUES
(1, 10, 0, '/1', 1),
(2, 50, 1, '/1/2', 2),
(3, 40, 1, '/1/3', 2),
(4, 80, 1, '/1/2/4', 3),
(5, 80, 2, '/1/2/5', 3),
(6, 80, 3, '/1/2/6', 3),
(7, 80, 4, '/1/2/7', 3),
(8, 80, 5, '/1/8', 2),
(9, 80, 6, '/1/9', 2),
(10, 70, 1, '/1/2/10', 3),
(11, 50, 2, '/1/3/11', 3),
(12, 80, 7, '/1/3/11/12', 4),
(13, 80, 8, '/1/3/11/13', 4),
(14, 80, 9, '/1/3/11/14', 4),
(15, 80, 10, '/1/3/11/15', 4),
(16, 80, 11, '/1/3/11/16', 4),
(17, 80, 12, '/1/3/11/17', 4),
(18, 70, 2, '/1/3/11/18', 4),
(19, 80, 13, '/1/3/11/19', 4),
(20, 80, 14, '/1/3/11/20', 4),
(21, 50, 3, '/1/3/21', 3),
(22, 80, 15, '/1/3/21/22', 4),
(23, 80, 16, '/1/3/21/23', 4),
(24, 80, 17, '/1/3/21/24', 4),
(25, 80, 18, '/1/3/21/25', 4),
(26, 80, 19, '/1/3/21/26', 4),
(27, 80, 20, '/1/3/21/27', 4),
(28, 70, 3, '/1/3/21/28', 4),
(29, 80, 21, '/1/3/21/29', 4),
(30, 80, 22, '/1/3/21/30', 4),
(31, 70, 4, '/1/3/21/31', 4),
(32, 70, 5, '/1/3/21/32', 4),
(34, 70, 7, '/1/3/21/34', 4),
(35, 70, 8, '/1/3/21/35', 4),
(36, 70, 9, '/1/3/21/36', 4),
(37, 70, 10, '/1/3/21/37', 4),
(38, 70, 11, '/1/3/21/38', 4),
(39, 70, 12, '/1/3/21/39', 4),
(42, 70, 15, '/1/3/21/42', 4),
(43, 70, 16, '/1/3/21/43', 4),
(44, 70, 17, '/1/3/21/44', 4),
(45, 70, 18, '/1/3/21/45', 4),
(46, 70, 19, '/1/3/21/46', 4),
(47, 70, 20, '/1/3/21/47', 4);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `context_temp`
--

CREATE TABLE IF NOT EXISTS `context_temp` (
  `id` bigint(10) unsigned NOT NULL,
  `path` varchar(255) NOT NULL default '',
  `depth` tinyint(2) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Used by build_context_path() in upgrade and cron to keep con';

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course`
--

CREATE TABLE IF NOT EXISTS `course` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `category` bigint(10) unsigned NOT NULL default '0',
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  `password` varchar(50) NOT NULL default '',
  `fullname` varchar(254) NOT NULL default '',
  `shortname` varchar(100) NOT NULL default '',
  `idnumber` varchar(100) NOT NULL default '',
  `summary` text,
  `format` varchar(10) NOT NULL default 'topics',
  `showgrades` tinyint(2) unsigned NOT NULL default '1',
  `modinfo` longtext,
  `newsitems` mediumint(5) unsigned NOT NULL default '1',
  `teacher` varchar(100) NOT NULL default 'Teacher',
  `teachers` varchar(100) NOT NULL default 'Teachers',
  `student` varchar(100) NOT NULL default 'Student',
  `students` varchar(100) NOT NULL default 'Students',
  `guest` tinyint(2) unsigned NOT NULL default '0',
  `startdate` bigint(10) unsigned NOT NULL default '0',
  `enrolperiod` bigint(10) unsigned NOT NULL default '0',
  `numsections` mediumint(5) unsigned NOT NULL default '1',
  `marker` bigint(10) unsigned NOT NULL default '0',
  `maxbytes` bigint(10) unsigned NOT NULL default '0',
  `showreports` smallint(4) unsigned NOT NULL default '0',
  `visible` tinyint(1) unsigned NOT NULL default '1',
  `hiddensections` tinyint(2) unsigned NOT NULL default '0',
  `groupmode` smallint(4) unsigned NOT NULL default '0',
  `groupmodeforce` smallint(4) unsigned NOT NULL default '0',
  `defaultgroupingid` bigint(10) unsigned NOT NULL default '0',
  `lang` varchar(30) NOT NULL default '',
  `theme` varchar(50) NOT NULL default '',
  `cost` varchar(10) NOT NULL default '',
  `currency` varchar(3) NOT NULL default 'USD',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `metacourse` tinyint(1) unsigned NOT NULL default '0',
  `requested` tinyint(1) unsigned NOT NULL default '0',
  `restrictmodules` tinyint(1) unsigned NOT NULL default '0',
  `expirynotify` tinyint(1) unsigned NOT NULL default '0',
  `expirythreshold` bigint(10) unsigned NOT NULL default '0',
  `notifystudents` tinyint(1) unsigned NOT NULL default '0',
  `enrollable` tinyint(1) unsigned NOT NULL default '1',
  `enrolstartdate` bigint(10) unsigned NOT NULL default '0',
  `enrolenddate` bigint(10) unsigned NOT NULL default '0',
  `enrol` varchar(20) NOT NULL default '',
  `defaultrole` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `cour_cat_ix` (`category`),
  KEY `cour_idn_ix` (`idnumber`),
  KEY `cour_sho_ix` (`shortname`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Central course table' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `course`
--

INSERT INTO `course` (`id`, `category`, `sortorder`, `password`, `fullname`, `shortname`, `idnumber`, `summary`, `format`, `showgrades`, `modinfo`, `newsitems`, `teacher`, `teachers`, `student`, `students`, `guest`, `startdate`, `enrolperiod`, `numsections`, `marker`, `maxbytes`, `showreports`, `visible`, `hiddensections`, `groupmode`, `groupmodeforce`, `defaultgroupingid`, `lang`, `theme`, `cost`, `currency`, `timecreated`, `timemodified`, `metacourse`, `requested`, `restrictmodules`, `expirynotify`, `expirythreshold`, `notifystudents`, `enrollable`, `enrolstartdate`, `enrolenddate`, `enrol`, `defaultrole`) VALUES
(1, 0, 0, '', 'Formación Laboratorio de Seguridad Telemática', 'Formación Laboratorio de Seguridad Telemática', '', '', 'site', 1, 'a:1:{i:1;O:8:"stdClass":10:{s:2:"id";s:1:"1";s:2:"cm";i:1;s:3:"mod";s:5:"forum";s:7:"section";s:1:"0";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:9:"Novedades";}}', 3, 'Teacher', 'Teachers', 'Student', 'Students', 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, '', '', '', 'USD', 0, 1395692722, 0, 0, 0, 0, 0, 0, 1, 0, 0, '', 0),
(2, 1, 100, '', 'Introducción a la L.O.P.D.', 'Intro_LOPD_01', '', '', 'topics', 1, 'a:1:{i:2;O:8:"stdClass":10:{s:2:"id";s:1:"2";s:2:"cm";i:2;s:3:"mod";s:5:"forum";s:7:"section";s:1:"0";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:9:"Novedades";}}', 5, 'Profesor', 'Profesores', 'Estudiante', 'Estudiantes', 0, 1395788400, 0, 10, 0, 20971520, 0, 1, 0, 0, 0, 0, 'es_utf8', '', '', 'USD', 1395695795, 1395695795, 0, 0, 0, 0, 864000, 0, 0, 0, 0, 'manual', 0),
(3, 1, 99, '', 'Protección de Datos', 'CF101', '', '', 'weeks', 1, 'a:15:{i:3;O:8:"stdClass":10:{s:2:"id";s:1:"3";s:2:"cm";i:3;s:3:"mod";s:5:"forum";s:7:"section";s:1:"0";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:10:"News+forum";}i:4;O:8:"stdClass":10:{s:2:"id";s:1:"1";s:2:"cm";i:4;s:3:"mod";s:5:"label";s:7:"section";s:1:"1";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:33:"Fundamentos+a+la+Privacidad%0D%0A";s:4:"name";s:43:"Fundamentos%2Ba%2Bla%2BPrivacidad%250D%250A";}i:5;O:8:"stdClass":10:{s:2:"id";s:1:"2";s:2:"cm";i:5;s:3:"mod";s:5:"label";s:7:"section";s:1:"1";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:21:"La+AEPD+y+su+Registro";s:4:"name";s:29:"La%2BAEPD%2By%2Bsu%2BRegistro";}i:12;O:8:"stdClass":10:{s:2:"id";s:1:"1";s:2:"cm";i:12;s:3:"mod";s:8:"resource";s:7:"section";s:1:"1";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:301:"onclick%3D%22this.target%3D%27resource1%27%3B+return+openpopup%28%27%2Fmod%2Fresource%2Fview.php%3Finpopup%3Dtrue%26amp%3Bid%3D12%27%2C%27resource1%27%2C%27resizable%3D1%2Cscrollbars%3D1%2Cdirectories%3D1%2Clocation%3D1%2Cmenubar%3D1%2Ctoolbar%3D1%2Cstatus%3D1%2Cwidth%3D620%2Cheight%3D450%27%29%3B%22";s:4:"name";s:16:"Texto+de+estudio";}i:20;O:8:"stdClass":10:{s:2:"id";s:1:"1";s:2:"cm";i:20;s:3:"mod";s:4:"quiz";s:7:"section";s:1:"1";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:14:"Cuestionario+1";}i:7;O:8:"stdClass":10:{s:2:"id";s:1:"4";s:2:"cm";i:7;s:3:"mod";s:5:"label";s:7:"section";s:1:"2";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:37:"Medidas+t%C3%A9cnicas+y+organizativas";s:4:"name";s:47:"Medidas%2Bt%25C3%25A9cnicas%2By%2Borganizativas";}i:8;O:8:"stdClass":10:{s:2:"id";s:1:"5";s:2:"cm";i:8;s:3:"mod";s:5:"label";s:7:"section";s:1:"2";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:22:"Documento+de+Seguridad";s:4:"name";s:26:"Documento%2Bde%2BSeguridad";}i:17;O:8:"stdClass":11:{s:2:"id";s:1:"3";s:2:"cm";i:17;s:3:"mod";s:8:"resource";s:7:"section";s:1:"2";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"icon";s:9:"f/pdf.gif";s:4:"name";s:16:"Texto+de+estudio";}i:18;O:8:"stdClass":10:{s:2:"id";s:1:"2";s:2:"cm";i:18;s:3:"mod";s:10:"assignment";s:7:"section";s:1:"2";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:15:"Examen+semana+2";}i:9;O:8:"stdClass":10:{s:2:"id";s:1:"6";s:2:"cm";i:9;s:3:"mod";s:5:"label";s:7:"section";s:1:"3";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:24:"Derechos+de+los+usuarios";s:4:"name";s:30:"Derechos%2Bde%2Blos%2Busuarios";}i:10;O:8:"stdClass":10:{s:2:"id";s:1:"7";s:2:"cm";i:10;s:3:"mod";s:5:"label";s:7:"section";s:1:"3";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:24:"Sanciones+e+Infracciones";s:4:"name";s:28:"Sanciones%2Be%2BInfracciones";}i:16;O:8:"stdClass":10:{s:2:"id";s:1:"2";s:2:"cm";i:16;s:3:"mod";s:8:"resource";s:7:"section";s:1:"3";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:16:"Texto+de+estudio";}i:19;O:8:"stdClass":10:{s:2:"id";s:1:"3";s:2:"cm";i:19;s:3:"mod";s:10:"assignment";s:7:"section";s:1:"3";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:15:"Examen+semana+3";}i:11;O:8:"stdClass":10:{s:2:"id";s:1:"8";s:2:"cm";i:11;s:3:"mod";s:5:"label";s:7:"section";s:1:"4";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:9:"Practicum";s:4:"name";s:9:"Practicum";}i:15;O:8:"stdClass":10:{s:2:"id";s:1:"1";s:2:"cm";i:15;s:3:"mod";s:10:"assignment";s:7:"section";s:1:"4";s:7:"visible";s:1:"1";s:9:"groupmode";s:1:"0";s:10:"groupingid";s:1:"0";s:16:"groupmembersonly";s:1:"0";s:5:"extra";s:0:"";s:4:"name";s:12:"Examen+final";}}', 5, 'Teacher', 'Teachers', 'Student', 'Students', 0, 1403301600, 0, 4, 0, 134217728, 0, 1, 0, 0, 0, 0, '', '', '', 'USD', 1400585378, 1402037648, 0, 0, 0, 0, 864000, 0, 1, 0, 0, '', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_allowed_modules`
--

CREATE TABLE IF NOT EXISTS `course_allowed_modules` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `module` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `courallomodu_cou_ix` (`course`),
  KEY `courallomodu_mod_ix` (`module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='allowed modules foreach course' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_categories`
--

CREATE TABLE IF NOT EXISTS `course_categories` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text,
  `parent` bigint(10) unsigned NOT NULL default '0',
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  `coursecount` bigint(10) unsigned NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '1',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `depth` bigint(10) unsigned NOT NULL default '0',
  `path` varchar(255) NOT NULL default '',
  `theme` varchar(50) default NULL,
  PRIMARY KEY  (`id`),
  KEY `courcate_par_ix` (`parent`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Course categories' AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `course_categories`
--

INSERT INTO `course_categories` (`id`, `name`, `description`, `parent`, `sortorder`, `coursecount`, `visible`, `timemodified`, `depth`, `path`, `theme`) VALUES
(1, 'Miscellaneous', NULL, 0, 0, 2, 1, 0, 1, '/1', NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_display`
--

CREATE TABLE IF NOT EXISTS `course_display` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `display` bigint(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `courdisp_couuse_ix` (`course`,`userid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores info about how to display the course' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `course_display`
--

INSERT INTO `course_display` (`id`, `course`, `userid`, `display`) VALUES
(1, 2, 2, 1),
(2, 3, 2, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_meta`
--

CREATE TABLE IF NOT EXISTS `course_meta` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `parent_course` bigint(10) unsigned NOT NULL default '0',
  `child_course` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `courmeta_par_ix` (`parent_course`),
  KEY `courmeta_chi_ix` (`child_course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to store meta-courses relations' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_modules`
--

CREATE TABLE IF NOT EXISTS `course_modules` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `module` bigint(10) unsigned NOT NULL default '0',
  `instance` bigint(10) unsigned NOT NULL default '0',
  `section` bigint(10) unsigned NOT NULL default '0',
  `idnumber` varchar(100) default NULL,
  `added` bigint(10) unsigned NOT NULL default '0',
  `score` smallint(4) NOT NULL default '0',
  `indent` mediumint(5) unsigned NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '1',
  `visibleold` tinyint(1) NOT NULL default '1',
  `groupmode` smallint(4) NOT NULL default '0',
  `groupingid` bigint(10) unsigned NOT NULL default '0',
  `groupmembersonly` smallint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `courmodu_vis_ix` (`visible`),
  KEY `courmodu_cou_ix` (`course`),
  KEY `courmodu_mod_ix` (`module`),
  KEY `courmodu_ins_ix` (`instance`),
  KEY `courmodu_idncou_ix` (`idnumber`,`course`),
  KEY `courmodu_gro_ix` (`groupingid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='course_modules table retrofitted from MySQL' AUTO_INCREMENT=21 ;

--
-- Volcado de datos para la tabla `course_modules`
--

INSERT INTO `course_modules` (`id`, `course`, `module`, `instance`, `section`, `idnumber`, `added`, `score`, `indent`, `visible`, `visibleold`, `groupmode`, `groupingid`, `groupmembersonly`) VALUES
(1, 1, 5, 1, 2, NULL, 1395694158, 0, 0, 1, 1, 0, 0, 0),
(2, 2, 5, 2, 3, NULL, 1395695879, 0, 0, 1, 1, 0, 0, 0),
(3, 3, 5, 3, 14, NULL, 1400585386, 0, 0, 1, 1, 0, 0, 0),
(4, 3, 9, 1, 15, NULL, 1400585528, 0, 0, 1, 1, 0, 0, 0),
(5, 3, 9, 2, 15, NULL, 1400585574, 0, 0, 1, 1, 0, 0, 0),
(7, 3, 9, 4, 16, NULL, 1400585723, 0, 0, 1, 1, 0, 0, 0),
(8, 3, 9, 5, 16, NULL, 1400585740, 0, 0, 1, 1, 0, 0, 0),
(9, 3, 9, 6, 17, NULL, 1400585773, 0, 0, 1, 1, 0, 0, 0),
(10, 3, 9, 7, 17, NULL, 1400585800, 0, 0, 1, 1, 0, 0, 0),
(11, 3, 9, 8, 18, NULL, 1400585825, 0, 0, 1, 1, 0, 0, 0),
(12, 3, 13, 1, 15, '', 1402037976, 0, 1, 1, 1, 0, 0, 0),
(15, 3, 1, 1, 18, '', 1402039043, 0, 1, 1, 1, 0, 0, 0),
(16, 3, 13, 2, 17, '', 1402039274, 0, 1, 1, 1, 0, 0, 0),
(17, 3, 13, 3, 16, '', 1402039358, 0, 1, 1, 1, 0, 0, 0),
(18, 3, 1, 2, 16, '', 1402039533, 0, 2, 1, 1, 0, 0, 0),
(19, 3, 1, 3, 17, '', 1402039619, 0, 2, 1, 1, 0, 0, 0),
(20, 3, 12, 1, 15, '', 1402752266, 0, 2, 1, 1, 0, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_request`
--

CREATE TABLE IF NOT EXISTS `course_request` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `fullname` varchar(254) NOT NULL default '',
  `shortname` varchar(15) NOT NULL default '',
  `summary` text NOT NULL,
  `reason` text NOT NULL,
  `requester` bigint(10) unsigned NOT NULL default '0',
  `password` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `courrequ_sho_ix` (`shortname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='course requests' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `course_sections`
--

CREATE TABLE IF NOT EXISTS `course_sections` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `section` bigint(10) unsigned NOT NULL default '0',
  `summary` text,
  `sequence` text,
  `visible` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `coursect_cousec_ix` (`course`,`section`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='to define the sections for each course' AUTO_INCREMENT=19 ;

--
-- Volcado de datos para la tabla `course_sections`
--

INSERT INTO `course_sections` (`id`, `course`, `section`, `summary`, `sequence`, `visible`) VALUES
(1, 1, 1, '', '', 1),
(2, 1, 0, '', '1', 1),
(3, 2, 0, NULL, '2', 1),
(4, 2, 1, '', NULL, 1),
(5, 2, 2, '', NULL, 1),
(6, 2, 3, '', NULL, 1),
(7, 2, 4, '', NULL, 1),
(8, 2, 5, '', NULL, 1),
(9, 2, 6, '', NULL, 1),
(10, 2, 7, '', NULL, 1),
(11, 2, 8, '', NULL, 1),
(12, 2, 9, '', NULL, 1),
(13, 2, 10, '', NULL, 1),
(14, 3, 0, NULL, '3', 1),
(15, 3, 1, '', '4,5,12,20', 1),
(16, 3, 2, '', '7,8,17,18', 1),
(17, 3, 3, '', '9,10,16,19', 1),
(18, 3, 4, '', '11,15', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `data`
--

CREATE TABLE IF NOT EXISTS `data` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `comments` smallint(4) unsigned NOT NULL default '0',
  `timeavailablefrom` bigint(10) unsigned NOT NULL default '0',
  `timeavailableto` bigint(10) unsigned NOT NULL default '0',
  `timeviewfrom` bigint(10) unsigned NOT NULL default '0',
  `timeviewto` bigint(10) unsigned NOT NULL default '0',
  `requiredentries` int(8) unsigned NOT NULL default '0',
  `requiredentriestoview` int(8) unsigned NOT NULL default '0',
  `maxentries` int(8) unsigned NOT NULL default '0',
  `rssarticles` smallint(4) unsigned NOT NULL default '0',
  `singletemplate` text,
  `listtemplate` text,
  `listtemplateheader` text,
  `listtemplatefooter` text,
  `addtemplate` text,
  `rsstemplate` text,
  `rsstitletemplate` text,
  `csstemplate` text,
  `jstemplate` text,
  `asearchtemplate` text,
  `approval` smallint(4) unsigned NOT NULL default '0',
  `scale` bigint(10) NOT NULL default '0',
  `assessed` bigint(10) unsigned NOT NULL default '0',
  `defaultsort` bigint(10) unsigned NOT NULL default '0',
  `defaultsortdir` smallint(4) unsigned NOT NULL default '0',
  `editany` smallint(4) unsigned NOT NULL default '0',
  `notification` bigint(10) default NULL,
  PRIMARY KEY  (`id`),
  KEY `data_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Removed ratings column' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `data_comments`
--

CREATE TABLE IF NOT EXISTS `data_comments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `recordid` bigint(10) unsigned NOT NULL default '0',
  `content` text NOT NULL,
  `format` tinyint(2) unsigned NOT NULL default '0',
  `created` bigint(10) unsigned NOT NULL default '0',
  `modified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `datacomm_rec_ix` (`recordid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to comment data records' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `data_content`
--

CREATE TABLE IF NOT EXISTS `data_content` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `fieldid` bigint(10) unsigned NOT NULL default '0',
  `recordid` bigint(10) unsigned NOT NULL default '0',
  `content` longtext,
  `content1` longtext,
  `content2` longtext,
  `content3` longtext,
  `content4` longtext,
  PRIMARY KEY  (`id`),
  KEY `datacont_rec_ix` (`recordid`),
  KEY `datacont_fie_ix` (`fieldid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='the content introduced in each record/fields' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `data_fields`
--

CREATE TABLE IF NOT EXISTS `data_fields` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `dataid` bigint(10) unsigned NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `param1` text,
  `param2` text,
  `param3` text,
  `param4` text,
  `param5` text,
  `param6` text,
  `param7` text,
  `param8` text,
  `param9` text,
  `param10` text,
  PRIMARY KEY  (`id`),
  KEY `datafiel_typdat_ix` (`type`,`dataid`),
  KEY `datafiel_dat_ix` (`dataid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='every field available' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `data_ratings`
--

CREATE TABLE IF NOT EXISTS `data_ratings` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `recordid` bigint(10) unsigned NOT NULL default '0',
  `rating` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `datarati_rec_ix` (`recordid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to rate data records' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `data_records`
--

CREATE TABLE IF NOT EXISTS `data_records` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) unsigned NOT NULL default '0',
  `dataid` bigint(10) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `approved` smallint(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `datareco_dat_ix` (`dataid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='every record introduced' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `enrol_authorize`
--

CREATE TABLE IF NOT EXISTS `enrol_authorize` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `paymentmethod` enum('cc','echeck') NOT NULL default 'cc',
  `refundinfo` smallint(4) unsigned NOT NULL default '0',
  `ccname` varchar(255) NOT NULL default '',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `transid` bigint(20) unsigned NOT NULL default '0',
  `status` bigint(10) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `settletime` bigint(10) unsigned NOT NULL default '0',
  `amount` varchar(10) NOT NULL default '',
  `currency` varchar(3) NOT NULL default 'USD',
  PRIMARY KEY  (`id`),
  KEY `enroauth_cou_ix` (`courseid`),
  KEY `enroauth_use_ix` (`userid`),
  KEY `enroauth_sta_ix` (`status`),
  KEY `enroauth_tra_ix` (`transid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Holds all known information about authorize.net transactions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `enrol_authorize_refunds`
--

CREATE TABLE IF NOT EXISTS `enrol_authorize_refunds` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `orderid` bigint(10) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `amount` varchar(10) NOT NULL default '',
  `transid` bigint(20) unsigned default '0',
  `settletime` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `enroauthrefu_tra_ix` (`transid`),
  KEY `enroauthrefu_ord_ix` (`orderid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Authorize.net refunds' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `enrol_paypal`
--

CREATE TABLE IF NOT EXISTS `enrol_paypal` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `business` varchar(255) NOT NULL default '',
  `receiver_email` varchar(255) NOT NULL default '',
  `receiver_id` varchar(255) NOT NULL default '',
  `item_name` varchar(255) NOT NULL default '',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `memo` varchar(255) NOT NULL default '',
  `tax` varchar(255) NOT NULL default '',
  `option_name1` varchar(255) NOT NULL default '',
  `option_selection1_x` varchar(255) NOT NULL default '',
  `option_name2` varchar(255) NOT NULL default '',
  `option_selection2_x` varchar(255) NOT NULL default '',
  `payment_status` varchar(255) NOT NULL default '',
  `pending_reason` varchar(255) NOT NULL default '',
  `reason_code` varchar(30) NOT NULL default '',
  `txn_id` varchar(255) NOT NULL default '',
  `parent_txn_id` varchar(255) NOT NULL default '',
  `payment_type` varchar(30) NOT NULL default '',
  `timeupdated` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Holds all known information about PayPal transactions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `event`
--

CREATE TABLE IF NOT EXISTS `event` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `format` smallint(4) unsigned NOT NULL default '0',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `repeatid` bigint(10) unsigned NOT NULL default '0',
  `modulename` varchar(20) NOT NULL default '',
  `instance` bigint(10) unsigned NOT NULL default '0',
  `eventtype` varchar(20) NOT NULL default '',
  `timestart` bigint(10) unsigned NOT NULL default '0',
  `timeduration` bigint(10) unsigned NOT NULL default '0',
  `visible` smallint(4) NOT NULL default '1',
  `uuid` varchar(36) NOT NULL default '',
  `sequence` bigint(10) unsigned NOT NULL default '1',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `even_cou_ix` (`courseid`),
  KEY `even_use_ix` (`userid`),
  KEY `even_tim_ix` (`timestart`),
  KEY `even_tim2_ix` (`timeduration`),
  KEY `even_grocouvisuse_ix` (`groupid`,`courseid`,`visible`,`userid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='For everything with a time associated to it' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `event`
--

INSERT INTO `event` (`id`, `name`, `description`, `format`, `courseid`, `groupid`, `userid`, `repeatid`, `modulename`, `instance`, `eventtype`, `timestart`, `timeduration`, `visible`, `uuid`, `sequence`, `timemodified`) VALUES
(1, 'Examen final', 'CASO 1:\r\n\r\nLa base de datos MPRL.mdb ubicada en un ordenador de la institución que da un master. Hay dos personas autorizadas a usar la base de datos desde el mismo ordenador.  No esta dada de alta en la AGENCIA DE PROTECCIÓN DE DATOS. No se añaden ni modifican los datos con mucha frecuencia. La copia de seguridad se realiza una vez cada dos semanas y se guardan en la misma sala. Están cifrados.\r\n\r\n\r\nCASO 2:\r\n\r\nUna empresa de servicios ubica las páginas web (http://www.lsi.uvigo.es/didega/) de otra. El servidor realiza una copia de seguridad total una vez a la semana. Las copias se ubican en la misma sala. Para las copias de seguridad se emplea el propio software que viene con el sistema operativo (LINUX) y usa cintas DAT cuyo lector está ubicado en la misma CPU.  Para subir las nuevas páginas la empresa usan el servicio de ftp. El servidor es Linux.\r\n\r\n\r\nElija uno de los dos casos y haga un documento de seguridad completo. Cualquier duda o cuestión realizará al tutor de la asignatura como si fuese una toma de datos ante un Plan de Adaptación al Reglamento.\r\n\r\n\r\nNOTAS: \r\n\r\n1) NO SUPONGA NADA QUE NO ESTE ESCRITO POR TANTO CONTEMPLE CUALQUIER CASO AUNQUE NO ESTE ESPÉCIFICADO.\r\n\r\n	2)  LEA TODO EL CASO ANTES DE EMPEZAR A SOLUCIONAR EL PROBLEMA.\r\n', 0, 3, 0, 0, 0, 'assignment', 1, 'due', 1402643400, 0, 1, '', 1, 1402039043),
(2, 'Examen semana 2', 'Realice un estudio para ver las diferencias entre el RD 994/1999 y 1720/2007. Minimo 8 páginas', 0, 3, 0, 0, 0, 'assignment', 2, 'due', 1402644000, 0, 1, '', 1, 1402039533),
(3, 'Examen semana 3', 'Busque los ficheros declarados por la UOC. Realice el protocolo de actuación para realizar el derecho de acceso, rectificación y oposición. Una vez finalizado entregueselo al tutor.', 0, 3, 0, 0, 0, 'assignment', 3, 'due', 1402644300, 0, 1, '', 1, 1402039619);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `events_handlers`
--

CREATE TABLE IF NOT EXISTS `events_handlers` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `eventname` varchar(166) NOT NULL default '',
  `handlermodule` varchar(166) NOT NULL default '',
  `handlerfile` varchar(255) NOT NULL default '',
  `handlerfunction` mediumtext,
  `schedule` varchar(255) default NULL,
  `status` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `evenhand_evehan_uix` (`eventname`,`handlermodule`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='This table is for storing which components requests what typ' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `events_queue`
--

CREATE TABLE IF NOT EXISTS `events_queue` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `eventdata` longtext NOT NULL,
  `stackdump` mediumtext,
  `userid` bigint(10) unsigned default NULL,
  `timecreated` bigint(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `evenqueu_use_ix` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='This table is for storing queued events. It stores only one ' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `events_queue_handlers`
--

CREATE TABLE IF NOT EXISTS `events_queue_handlers` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `queuedeventid` bigint(10) unsigned NOT NULL,
  `handlerid` bigint(10) unsigned NOT NULL,
  `status` bigint(10) default NULL,
  `errormessage` mediumtext,
  `timemodified` bigint(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `evenqueuhand_que_ix` (`queuedeventid`),
  KEY `evenqueuhand_han_ix` (`handlerid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='This is the list of queued handlers for processing. The even' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum`
--

CREATE TABLE IF NOT EXISTS `forum` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `type` enum('single','news','general','social','eachuser','teacher','qanda') NOT NULL default 'general',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `assessed` bigint(10) unsigned NOT NULL default '0',
  `assesstimestart` bigint(10) unsigned NOT NULL default '0',
  `assesstimefinish` bigint(10) unsigned NOT NULL default '0',
  `scale` bigint(10) NOT NULL default '0',
  `maxbytes` bigint(10) unsigned NOT NULL default '0',
  `forcesubscribe` tinyint(1) unsigned NOT NULL default '0',
  `trackingtype` tinyint(2) unsigned NOT NULL default '1',
  `rsstype` tinyint(2) unsigned NOT NULL default '0',
  `rssarticles` tinyint(2) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `warnafter` bigint(10) unsigned NOT NULL default '0',
  `blockafter` bigint(10) unsigned NOT NULL default '0',
  `blockperiod` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `foru_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Forums contain and structure discussion' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `forum`
--

INSERT INTO `forum` (`id`, `course`, `type`, `name`, `intro`, `assessed`, `assesstimestart`, `assesstimefinish`, `scale`, `maxbytes`, `forcesubscribe`, `trackingtype`, `rsstype`, `rssarticles`, `timemodified`, `warnafter`, `blockafter`, `blockperiod`) VALUES
(1, 1, 'news', 'Novedades', 'Novedades y anuncios', 0, 0, 0, 1, 0, 0, 1, 0, 0, 1395694158, 0, 0, 0),
(2, 2, 'news', 'Novedades', 'Novedades y anuncios', 0, 0, 0, 1, 0, 1, 1, 0, 0, 1395695879, 0, 0, 0),
(3, 3, 'news', 'News forum', 'General news and announcements', 0, 0, 0, 1, 0, 1, 1, 0, 0, 1400585386, 0, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_discussions`
--

CREATE TABLE IF NOT EXISTS `forum_discussions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `forum` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `firstpost` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) NOT NULL default '-1',
  `assessed` tinyint(1) NOT NULL default '1',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `usermodified` bigint(10) unsigned NOT NULL default '0',
  `timestart` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `forudisc_use_ix` (`userid`),
  KEY `forudisc_for_ix` (`forum`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Forums are composed of discussions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_posts`
--

CREATE TABLE IF NOT EXISTS `forum_posts` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `discussion` bigint(10) unsigned NOT NULL default '0',
  `parent` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `created` bigint(10) unsigned NOT NULL default '0',
  `modified` bigint(10) unsigned NOT NULL default '0',
  `mailed` tinyint(2) unsigned NOT NULL default '0',
  `subject` varchar(255) NOT NULL default '',
  `message` text NOT NULL,
  `format` tinyint(2) NOT NULL default '0',
  `attachment` varchar(100) NOT NULL default '',
  `totalscore` smallint(4) NOT NULL default '0',
  `mailnow` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `forupost_use_ix` (`userid`),
  KEY `forupost_cre_ix` (`created`),
  KEY `forupost_mai_ix` (`mailed`),
  KEY `forupost_dis_ix` (`discussion`),
  KEY `forupost_par_ix` (`parent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='All posts are stored in this table' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_queue`
--

CREATE TABLE IF NOT EXISTS `forum_queue` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `discussionid` bigint(10) unsigned NOT NULL default '0',
  `postid` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `foruqueu_use_ix` (`userid`),
  KEY `foruqueu_dis_ix` (`discussionid`),
  KEY `foruqueu_pos_ix` (`postid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='For keeping track of posts that will be mailed in digest for' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_ratings`
--

CREATE TABLE IF NOT EXISTS `forum_ratings` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `post` bigint(10) unsigned NOT NULL default '0',
  `time` bigint(10) unsigned NOT NULL default '0',
  `rating` smallint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `forurati_use_ix` (`userid`),
  KEY `forurati_pos_ix` (`post`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='forum_ratings table retrofitted from MySQL' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_read`
--

CREATE TABLE IF NOT EXISTS `forum_read` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `forumid` bigint(10) unsigned NOT NULL default '0',
  `discussionid` bigint(10) unsigned NOT NULL default '0',
  `postid` bigint(10) unsigned NOT NULL default '0',
  `firstread` bigint(10) unsigned NOT NULL default '0',
  `lastread` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `foruread_usefor_ix` (`userid`,`forumid`),
  KEY `foruread_usedis_ix` (`userid`,`discussionid`),
  KEY `foruread_usepos_ix` (`userid`,`postid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Tracks each users read posts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_subscriptions`
--

CREATE TABLE IF NOT EXISTS `forum_subscriptions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `forum` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `forusubs_use_ix` (`userid`),
  KEY `forusubs_for_ix` (`forum`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Keeps track of who is subscribed to what forum' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forum_track_prefs`
--

CREATE TABLE IF NOT EXISTS `forum_track_prefs` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `forumid` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `forutracpref_usefor_ix` (`userid`,`forumid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Tracks each users untracked forums' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary`
--

CREATE TABLE IF NOT EXISTS `glossary` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `allowduplicatedentries` tinyint(2) unsigned NOT NULL default '0',
  `displayformat` varchar(50) NOT NULL default 'dictionary',
  `mainglossary` tinyint(2) unsigned NOT NULL default '0',
  `showspecial` tinyint(2) unsigned NOT NULL default '1',
  `showalphabet` tinyint(2) unsigned NOT NULL default '1',
  `showall` tinyint(2) unsigned NOT NULL default '1',
  `allowcomments` tinyint(2) unsigned NOT NULL default '0',
  `allowprintview` tinyint(2) unsigned NOT NULL default '1',
  `usedynalink` tinyint(2) unsigned NOT NULL default '1',
  `defaultapproval` tinyint(2) unsigned NOT NULL default '1',
  `globalglossary` tinyint(2) unsigned NOT NULL default '0',
  `entbypage` smallint(3) unsigned NOT NULL default '10',
  `editalways` tinyint(2) unsigned NOT NULL default '0',
  `rsstype` tinyint(2) unsigned NOT NULL default '0',
  `rssarticles` tinyint(2) unsigned NOT NULL default '0',
  `assessed` bigint(10) unsigned NOT NULL default '0',
  `assesstimestart` bigint(10) unsigned NOT NULL default '0',
  `assesstimefinish` bigint(10) unsigned NOT NULL default '0',
  `scale` bigint(10) NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `glos_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='all glossaries' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_alias`
--

CREATE TABLE IF NOT EXISTS `glossary_alias` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `entryid` bigint(10) unsigned NOT NULL default '0',
  `alias` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `glosalia_ent_ix` (`entryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='entries alias' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_categories`
--

CREATE TABLE IF NOT EXISTS `glossary_categories` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `glossaryid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `usedynalink` tinyint(2) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `gloscate_glo_ix` (`glossaryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='all categories for glossary entries' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_comments`
--

CREATE TABLE IF NOT EXISTS `glossary_comments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `entryid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `entrycomment` text NOT NULL,
  `format` tinyint(2) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `gloscomm_use_ix` (`userid`),
  KEY `gloscomm_ent_ix` (`entryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='comments on glossary entries' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_entries`
--

CREATE TABLE IF NOT EXISTS `glossary_entries` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `glossaryid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `concept` varchar(255) NOT NULL default '',
  `definition` text NOT NULL,
  `format` tinyint(2) unsigned NOT NULL default '0',
  `attachment` varchar(100) NOT NULL default '',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `teacherentry` tinyint(2) unsigned NOT NULL default '0',
  `sourceglossaryid` bigint(10) unsigned NOT NULL default '0',
  `usedynalink` tinyint(2) unsigned NOT NULL default '1',
  `casesensitive` tinyint(2) unsigned NOT NULL default '0',
  `fullmatch` tinyint(2) unsigned NOT NULL default '1',
  `approved` tinyint(2) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `glosentr_use_ix` (`userid`),
  KEY `glosentr_con_ix` (`concept`),
  KEY `glosentr_glo_ix` (`glossaryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='all glossary entries' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_entries_categories`
--

CREATE TABLE IF NOT EXISTS `glossary_entries_categories` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `categoryid` bigint(10) unsigned NOT NULL default '0',
  `entryid` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `glosentrcate_cat_ix` (`categoryid`),
  KEY `glosentrcate_ent_ix` (`entryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='categories of each glossary entry' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_formats`
--

CREATE TABLE IF NOT EXISTS `glossary_formats` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `popupformatname` varchar(50) NOT NULL default '',
  `visible` tinyint(2) unsigned NOT NULL default '1',
  `showgroup` tinyint(2) unsigned NOT NULL default '1',
  `defaultmode` varchar(50) NOT NULL default '',
  `defaulthook` varchar(50) NOT NULL default '',
  `sortkey` varchar(50) NOT NULL default '',
  `sortorder` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Setting of the display formats' AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `glossary_formats`
--

INSERT INTO `glossary_formats` (`id`, `name`, `popupformatname`, `visible`, `showgroup`, `defaultmode`, `defaulthook`, `sortkey`, `sortorder`) VALUES
(1, 'continuous', 'continuous', 1, 1, '', '', '', ''),
(2, 'dictionary', 'dictionary', 1, 1, '', '', '', ''),
(3, 'encyclopedia', 'encyclopedia', 1, 1, '', '', '', ''),
(4, 'entrylist', 'entrylist', 1, 1, '', '', '', ''),
(5, 'faq', 'faq', 1, 1, '', '', '', ''),
(6, 'fullwithauthor', 'fullwithauthor', 1, 1, '', '', '', ''),
(7, 'fullwithoutauthor', 'fullwithoutauthor', 1, 1, '', '', '', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `glossary_ratings`
--

CREATE TABLE IF NOT EXISTS `glossary_ratings` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `entryid` bigint(10) unsigned NOT NULL default '0',
  `time` bigint(10) unsigned NOT NULL default '0',
  `rating` smallint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `glosrati_use_ix` (`userid`),
  KEY `glosrati_ent_ix` (`entryid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Contains user ratings for entries' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_categories`
--

CREATE TABLE IF NOT EXISTS `grade_categories` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL,
  `parent` bigint(10) unsigned default NULL,
  `depth` bigint(10) unsigned NOT NULL default '0',
  `path` varchar(255) default NULL,
  `fullname` varchar(255) NOT NULL default '',
  `aggregation` bigint(10) NOT NULL default '0',
  `keephigh` bigint(10) NOT NULL default '0',
  `droplow` bigint(10) NOT NULL default '0',
  `aggregateonlygraded` tinyint(1) unsigned NOT NULL default '0',
  `aggregateoutcomes` tinyint(1) unsigned NOT NULL default '0',
  `aggregatesubcats` tinyint(1) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL,
  `timemodified` bigint(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `gradcate_cou_ix` (`courseid`),
  KEY `gradcate_par_ix` (`parent`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='This table keeps information about categories, used for grou' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `grade_categories`
--

INSERT INTO `grade_categories` (`id`, `courseid`, `parent`, `depth`, `path`, `fullname`, `aggregation`, `keephigh`, `droplow`, `aggregateonlygraded`, `aggregateoutcomes`, `aggregatesubcats`, `timecreated`, `timemodified`) VALUES
(1, 3, NULL, 1, '/1/', '?', 11, 0, 0, 1, 0, 0, 1400585529, 1400585529),
(2, 2, NULL, 1, '/2/', '?', 11, 0, 0, 1, 0, 0, 1402751266, 1402751266);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_categories_history`
--

CREATE TABLE IF NOT EXISTS `grade_categories_history` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `action` bigint(10) unsigned NOT NULL default '0',
  `oldid` bigint(10) unsigned NOT NULL,
  `source` varchar(255) default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  `loggeduser` bigint(10) unsigned default NULL,
  `courseid` bigint(10) unsigned NOT NULL,
  `parent` bigint(10) unsigned default NULL,
  `depth` bigint(10) unsigned NOT NULL default '0',
  `path` varchar(255) default NULL,
  `fullname` varchar(255) NOT NULL default '',
  `aggregation` bigint(10) NOT NULL default '0',
  `keephigh` bigint(10) NOT NULL default '0',
  `droplow` bigint(10) NOT NULL default '0',
  `aggregateonlygraded` tinyint(1) unsigned NOT NULL default '0',
  `aggregateoutcomes` tinyint(1) unsigned NOT NULL default '0',
  `aggregatesubcats` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `gradcatehist_act_ix` (`action`),
  KEY `gradcatehist_old_ix` (`oldid`),
  KEY `gradcatehist_cou_ix` (`courseid`),
  KEY `gradcatehist_par_ix` (`parent`),
  KEY `gradcatehist_log_ix` (`loggeduser`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='History of grade_categories' AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `grade_categories_history`
--

INSERT INTO `grade_categories_history` (`id`, `action`, `oldid`, `source`, `timemodified`, `loggeduser`, `courseid`, `parent`, `depth`, `path`, `fullname`, `aggregation`, `keephigh`, `droplow`, `aggregateonlygraded`, `aggregateoutcomes`, `aggregatesubcats`) VALUES
(1, 1, 1, 'system', 1400585529, NULL, 3, NULL, 0, NULL, '?', 11, 0, 0, 1, 0, 0),
(2, 2, 1, 'system', 1400585529, NULL, 3, NULL, 1, '/1/', '?', 11, 0, 0, 1, 0, 0),
(3, 1, 2, 'system', 1402751266, NULL, 2, NULL, 0, NULL, '?', 11, 0, 0, 1, 0, 0),
(4, 2, 2, 'system', 1402751266, NULL, 2, NULL, 1, '/2/', '?', 11, 0, 0, 1, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_grades`
--

CREATE TABLE IF NOT EXISTS `grade_grades` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `itemid` bigint(10) unsigned NOT NULL,
  `userid` bigint(10) unsigned NOT NULL,
  `rawgrade` decimal(10,5) default NULL,
  `rawgrademax` decimal(10,5) NOT NULL default '100.00000',
  `rawgrademin` decimal(10,5) NOT NULL default '0.00000',
  `rawscaleid` bigint(10) unsigned default NULL,
  `usermodified` bigint(10) unsigned default NULL,
  `finalgrade` decimal(10,5) default NULL,
  `hidden` bigint(10) unsigned NOT NULL default '0',
  `locked` bigint(10) unsigned NOT NULL default '0',
  `locktime` bigint(10) unsigned NOT NULL default '0',
  `exported` bigint(10) unsigned NOT NULL default '0',
  `overridden` bigint(10) unsigned NOT NULL default '0',
  `excluded` bigint(10) unsigned NOT NULL default '0',
  `feedback` mediumtext,
  `feedbackformat` bigint(10) unsigned NOT NULL default '0',
  `information` mediumtext,
  `informationformat` bigint(10) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gradgrad_useite_uix` (`userid`,`itemid`),
  KEY `gradgrad_locloc_ix` (`locked`,`locktime`),
  KEY `gradgrad_ite_ix` (`itemid`),
  KEY `gradgrad_use_ix` (`userid`),
  KEY `gradgrad_raw_ix` (`rawscaleid`),
  KEY `gradgrad_use2_ix` (`usermodified`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='grade_grades  This table keeps individual grades for each us' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `grade_grades`
--

INSERT INTO `grade_grades` (`id`, `itemid`, `userid`, `rawgrade`, `rawgrademax`, `rawgrademin`, `rawscaleid`, `usermodified`, `finalgrade`, `hidden`, `locked`, `locktime`, `exported`, `overridden`, `excluded`, `feedback`, `feedbackformat`, `information`, `informationformat`, `timecreated`, `timemodified`) VALUES
(1, 6, 2, NULL, 10.00000, 0.00000, NULL, 2, NULL, 0, 0, 0, 0, 0, 0, NULL, 0, NULL, 0, NULL, NULL),
(2, 1, 2, NULL, 100.00000, 0.00000, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 0, NULL, 0, NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_grades_history`
--

CREATE TABLE IF NOT EXISTS `grade_grades_history` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `action` bigint(10) unsigned NOT NULL default '0',
  `oldid` bigint(10) unsigned NOT NULL,
  `source` varchar(255) default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  `loggeduser` bigint(10) unsigned default NULL,
  `itemid` bigint(10) unsigned NOT NULL,
  `userid` bigint(10) unsigned NOT NULL,
  `rawgrade` decimal(10,5) default NULL,
  `rawgrademax` decimal(10,5) NOT NULL default '100.00000',
  `rawgrademin` decimal(10,5) NOT NULL default '0.00000',
  `rawscaleid` bigint(10) unsigned default NULL,
  `usermodified` bigint(10) unsigned default NULL,
  `finalgrade` decimal(10,5) default NULL,
  `hidden` bigint(10) unsigned NOT NULL default '0',
  `locked` bigint(10) unsigned NOT NULL default '0',
  `locktime` bigint(10) unsigned NOT NULL default '0',
  `exported` bigint(10) unsigned NOT NULL default '0',
  `overridden` bigint(10) unsigned NOT NULL default '0',
  `excluded` bigint(10) unsigned NOT NULL default '0',
  `feedback` mediumtext,
  `feedbackformat` bigint(10) unsigned NOT NULL default '0',
  `information` mediumtext,
  `informationformat` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `gradgradhist_act_ix` (`action`),
  KEY `gradgradhist_old_ix` (`oldid`),
  KEY `gradgradhist_ite_ix` (`itemid`),
  KEY `gradgradhist_use_ix` (`userid`),
  KEY `gradgradhist_raw_ix` (`rawscaleid`),
  KEY `gradgradhist_use2_ix` (`usermodified`),
  KEY `gradgradhist_log_ix` (`loggeduser`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='History table' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `grade_grades_history`
--

INSERT INTO `grade_grades_history` (`id`, `action`, `oldid`, `source`, `timemodified`, `loggeduser`, `itemid`, `userid`, `rawgrade`, `rawgrademax`, `rawgrademin`, `rawscaleid`, `usermodified`, `finalgrade`, `hidden`, `locked`, `locktime`, `exported`, `overridden`, `excluded`, `feedback`, `feedbackformat`, `information`, `informationformat`) VALUES
(1, 1, 1, 'mod/quiz', 1402752822, NULL, 6, 2, NULL, 10.00000, 0.00000, NULL, 2, NULL, 0, 0, 0, 0, 0, 0, NULL, 0, NULL, 0),
(2, 1, 2, 'system', 1402752822, NULL, 1, 2, NULL, 100.00000, 0.00000, NULL, NULL, NULL, 0, 0, 0, 0, 0, 0, NULL, 0, NULL, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_import_newitem`
--

CREATE TABLE IF NOT EXISTS `grade_import_newitem` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `itemname` varchar(255) NOT NULL default '',
  `importcode` bigint(10) unsigned NOT NULL,
  `importer` bigint(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `gradimponewi_imp_ix` (`importer`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='temporary table for storing new grade_item names from grade ' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_import_values`
--

CREATE TABLE IF NOT EXISTS `grade_import_values` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `itemid` bigint(10) unsigned default NULL,
  `newgradeitem` bigint(10) unsigned default NULL,
  `userid` bigint(10) unsigned NOT NULL,
  `finalgrade` decimal(10,5) default NULL,
  `feedback` mediumtext,
  `importcode` bigint(10) unsigned NOT NULL,
  `importer` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `gradimpovalu_ite_ix` (`itemid`),
  KEY `gradimpovalu_new_ix` (`newgradeitem`),
  KEY `gradimpovalu_imp_ix` (`importer`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Temporary table for importing grades' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_items`
--

CREATE TABLE IF NOT EXISTS `grade_items` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned default NULL,
  `categoryid` bigint(10) unsigned default NULL,
  `itemname` varchar(255) default NULL,
  `itemtype` varchar(30) NOT NULL default '',
  `itemmodule` varchar(30) default NULL,
  `iteminstance` bigint(10) unsigned default NULL,
  `itemnumber` bigint(10) unsigned default NULL,
  `iteminfo` mediumtext,
  `idnumber` varchar(255) default NULL,
  `calculation` mediumtext,
  `gradetype` smallint(4) NOT NULL default '1',
  `grademax` decimal(10,5) NOT NULL default '100.00000',
  `grademin` decimal(10,5) NOT NULL default '0.00000',
  `scaleid` bigint(10) unsigned default NULL,
  `outcomeid` bigint(10) unsigned default NULL,
  `gradepass` decimal(10,5) NOT NULL default '0.00000',
  `multfactor` decimal(10,5) NOT NULL default '1.00000',
  `plusfactor` decimal(10,5) NOT NULL default '0.00000',
  `aggregationcoef` decimal(10,5) NOT NULL default '0.00000',
  `sortorder` bigint(10) NOT NULL default '0',
  `display` bigint(10) NOT NULL default '0',
  `decimals` tinyint(1) unsigned default NULL,
  `hidden` bigint(10) NOT NULL default '0',
  `locked` bigint(10) NOT NULL default '0',
  `locktime` bigint(10) unsigned NOT NULL default '0',
  `needsupdate` bigint(10) NOT NULL default '0',
  `timecreated` bigint(10) unsigned default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `graditem_locloc_ix` (`locked`,`locktime`),
  KEY `graditem_itenee_ix` (`itemtype`,`needsupdate`),
  KEY `graditem_gra_ix` (`gradetype`),
  KEY `graditem_idncou_ix` (`idnumber`,`courseid`),
  KEY `graditem_cou_ix` (`courseid`),
  KEY `graditem_cat_ix` (`categoryid`),
  KEY `graditem_sca_ix` (`scaleid`),
  KEY `graditem_out_ix` (`outcomeid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='This table keeps information about gradeable items (ie colum' AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `grade_items`
--

INSERT INTO `grade_items` (`id`, `courseid`, `categoryid`, `itemname`, `itemtype`, `itemmodule`, `iteminstance`, `itemnumber`, `iteminfo`, `idnumber`, `calculation`, `gradetype`, `grademax`, `grademin`, `scaleid`, `outcomeid`, `gradepass`, `multfactor`, `plusfactor`, `aggregationcoef`, `sortorder`, `display`, `decimals`, `hidden`, `locked`, `locktime`, `needsupdate`, `timecreated`, `timemodified`) VALUES
(1, 3, NULL, NULL, 'course', NULL, 1, NULL, NULL, NULL, NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 1, 0, NULL, 0, 0, 0, 0, 1400585529, 1400585529),
(2, 3, 1, 'Examen final', 'mod', 'assignment', 1, 0, NULL, '', NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 2, 0, NULL, 0, 0, 0, 0, 1402039043, 1402039043),
(3, 3, 1, 'Examen semana 2', 'mod', 'assignment', 2, 0, NULL, '', NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 3, 0, NULL, 0, 0, 0, 0, 1402039533, 1402039533),
(4, 3, 1, 'Examen semana 3', 'mod', 'assignment', 3, 0, NULL, '', NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 4, 0, NULL, 0, 0, 0, 0, 1402039619, 1402039619),
(5, 2, NULL, NULL, 'course', NULL, 2, NULL, NULL, NULL, NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 1, 0, NULL, 0, 0, 0, 0, 1402751266, 1402751266),
(6, 3, 1, 'Cuestionario 1', 'mod', 'quiz', 1, 0, NULL, '', NULL, 1, 10.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 5, 0, NULL, 0, 0, 0, 0, 1402752266, 1402752266);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_items_history`
--

CREATE TABLE IF NOT EXISTS `grade_items_history` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `action` bigint(10) unsigned NOT NULL default '0',
  `oldid` bigint(10) unsigned NOT NULL,
  `source` varchar(255) default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  `loggeduser` bigint(10) unsigned default NULL,
  `courseid` bigint(10) unsigned default NULL,
  `categoryid` bigint(10) unsigned default NULL,
  `itemname` varchar(255) default NULL,
  `itemtype` varchar(30) NOT NULL default '',
  `itemmodule` varchar(30) default NULL,
  `iteminstance` bigint(10) unsigned default NULL,
  `itemnumber` bigint(10) unsigned default NULL,
  `iteminfo` mediumtext,
  `idnumber` varchar(255) default NULL,
  `calculation` mediumtext,
  `gradetype` smallint(4) NOT NULL default '1',
  `grademax` decimal(10,5) NOT NULL default '100.00000',
  `grademin` decimal(10,5) NOT NULL default '0.00000',
  `scaleid` bigint(10) unsigned default NULL,
  `outcomeid` bigint(10) unsigned default NULL,
  `gradepass` decimal(10,5) NOT NULL default '0.00000',
  `multfactor` decimal(10,5) NOT NULL default '1.00000',
  `plusfactor` decimal(10,5) NOT NULL default '0.00000',
  `aggregationcoef` decimal(10,5) NOT NULL default '0.00000',
  `sortorder` bigint(10) NOT NULL default '0',
  `hidden` bigint(10) NOT NULL default '0',
  `locked` bigint(10) NOT NULL default '0',
  `locktime` bigint(10) unsigned NOT NULL default '0',
  `needsupdate` bigint(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `graditemhist_act_ix` (`action`),
  KEY `graditemhist_old_ix` (`oldid`),
  KEY `graditemhist_cou_ix` (`courseid`),
  KEY `graditemhist_cat_ix` (`categoryid`),
  KEY `graditemhist_sca_ix` (`scaleid`),
  KEY `graditemhist_out_ix` (`outcomeid`),
  KEY `graditemhist_log_ix` (`loggeduser`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='History of grade_items' AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `grade_items_history`
--

INSERT INTO `grade_items_history` (`id`, `action`, `oldid`, `source`, `timemodified`, `loggeduser`, `courseid`, `categoryid`, `itemname`, `itemtype`, `itemmodule`, `iteminstance`, `itemnumber`, `iteminfo`, `idnumber`, `calculation`, `gradetype`, `grademax`, `grademin`, `scaleid`, `outcomeid`, `gradepass`, `multfactor`, `plusfactor`, `aggregationcoef`, `sortorder`, `hidden`, `locked`, `locktime`, `needsupdate`) VALUES
(1, 1, 1, 'system', 1400585529, NULL, 3, NULL, NULL, 'course', NULL, 1, NULL, NULL, NULL, NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 1, 0, 0, 0, 1),
(2, 1, 2, NULL, 1402039043, NULL, 3, 1, 'Examen final', 'mod', 'assignment', 1, 0, NULL, '', NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 2, 0, 0, 0, 1),
(3, 1, 3, NULL, 1402039533, NULL, 3, 1, 'Examen semana 2', 'mod', 'assignment', 2, 0, NULL, '', NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 3, 0, 0, 0, 1),
(4, 1, 4, NULL, 1402039619, NULL, 3, 1, 'Examen semana 3', 'mod', 'assignment', 3, 0, NULL, '', NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 4, 0, 0, 0, 1),
(5, 1, 5, 'system', 1402751266, NULL, 2, NULL, NULL, 'course', NULL, 2, NULL, NULL, NULL, NULL, 1, 100.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 1, 0, 0, 0, 1),
(6, 1, 6, NULL, 1402752266, NULL, 3, 1, 'Cuestionario 1', 'mod', 'quiz', 1, 0, NULL, '', NULL, 1, 10.00000, 0.00000, NULL, NULL, 0.00000, 1.00000, 0.00000, 0.00000, 5, 0, 0, 0, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_letters`
--

CREATE TABLE IF NOT EXISTS `grade_letters` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `contextid` bigint(10) unsigned NOT NULL,
  `lowerboundary` decimal(10,5) NOT NULL,
  `letter` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `gradlett_conlow_ix` (`contextid`,`lowerboundary`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Repository for grade letters, for courses and other moodle e' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_outcomes`
--

CREATE TABLE IF NOT EXISTS `grade_outcomes` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned default NULL,
  `shortname` varchar(255) NOT NULL default '',
  `fullname` text NOT NULL,
  `scaleid` bigint(10) unsigned default NULL,
  `description` text,
  `timecreated` bigint(10) unsigned default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  `usermodified` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gradoutc_cousho_uix` (`courseid`,`shortname`),
  KEY `gradoutc_cou_ix` (`courseid`),
  KEY `gradoutc_sca_ix` (`scaleid`),
  KEY `gradoutc_use_ix` (`usermodified`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='This table describes the outcomes used in the system. An out' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_outcomes_courses`
--

CREATE TABLE IF NOT EXISTS `grade_outcomes_courses` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL,
  `outcomeid` bigint(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gradoutccour_couout_uix` (`courseid`,`outcomeid`),
  KEY `gradoutccour_cou_ix` (`courseid`),
  KEY `gradoutccour_out_ix` (`outcomeid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='stores what outcomes are used in what courses.' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_outcomes_history`
--

CREATE TABLE IF NOT EXISTS `grade_outcomes_history` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `action` bigint(10) unsigned NOT NULL default '0',
  `oldid` bigint(10) unsigned NOT NULL,
  `source` varchar(255) default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  `loggeduser` bigint(10) unsigned default NULL,
  `courseid` bigint(10) unsigned default NULL,
  `shortname` varchar(255) NOT NULL default '',
  `fullname` text NOT NULL,
  `scaleid` bigint(10) unsigned default NULL,
  `description` text,
  PRIMARY KEY  (`id`),
  KEY `gradoutchist_act_ix` (`action`),
  KEY `gradoutchist_old_ix` (`oldid`),
  KEY `gradoutchist_cou_ix` (`courseid`),
  KEY `gradoutchist_sca_ix` (`scaleid`),
  KEY `gradoutchist_log_ix` (`loggeduser`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='History table' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grade_settings`
--

CREATE TABLE IF NOT EXISTS `grade_settings` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `value` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gradsett_counam_uix` (`courseid`,`name`),
  KEY `gradsett_cou_ix` (`courseid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='gradebook settings' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `groupings`
--

CREATE TABLE IF NOT EXISTS `groupings` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` text,
  `configdata` text,
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `grou_cou2_ix` (`courseid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='A grouping is a collection of groups. WAS: groups_groupings' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `groupings_groups`
--

CREATE TABLE IF NOT EXISTS `groupings_groups` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `groupingid` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) unsigned NOT NULL default '0',
  `timeadded` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `grougrou_gro_ix` (`groupingid`),
  KEY `grougrou_gro2_ix` (`groupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Link a grouping to a group (note, groups can be in multiple ' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL,
  `name` varchar(254) NOT NULL default '',
  `description` text,
  `enrolmentkey` varchar(50) default NULL,
  `picture` bigint(10) unsigned NOT NULL default '0',
  `hidepicture` tinyint(1) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `grou_cou_ix` (`courseid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Each record represents a group.' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `groups_members`
--

CREATE TABLE IF NOT EXISTS `groups_members` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `groupid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `timeadded` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `groumemb_gro_ix` (`groupid`),
  KEY `groumemb_use_ix` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Link a user to a group.' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hotpot`
--

CREATE TABLE IF NOT EXISTS `hotpot` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `summary` text NOT NULL,
  `timeopen` bigint(10) unsigned NOT NULL default '0',
  `timeclose` bigint(10) unsigned NOT NULL default '0',
  `location` smallint(4) unsigned NOT NULL default '0',
  `reference` varchar(255) NOT NULL default '',
  `outputformat` smallint(4) unsigned NOT NULL default '1',
  `navigation` smallint(4) unsigned NOT NULL default '1',
  `studentfeedback` smallint(4) unsigned NOT NULL default '0',
  `studentfeedbackurl` varchar(255) NOT NULL default '',
  `forceplugins` smallint(4) unsigned NOT NULL default '0',
  `shownextquiz` smallint(4) unsigned NOT NULL default '0',
  `review` smallint(4) NOT NULL default '0',
  `grade` bigint(10) NOT NULL default '0',
  `grademethod` smallint(4) NOT NULL default '1',
  `attempts` mediumint(6) NOT NULL default '0',
  `password` varchar(255) NOT NULL default '',
  `subnet` varchar(255) NOT NULL default '',
  `clickreporting` smallint(4) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='details about Hot Potatoes quizzes' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hotpot_attempts`
--

CREATE TABLE IF NOT EXISTS `hotpot_attempts` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `hotpot` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `starttime` bigint(10) unsigned NOT NULL default '0',
  `endtime` bigint(10) unsigned NOT NULL default '0',
  `score` mediumint(6) unsigned NOT NULL default '0',
  `penalties` mediumint(6) unsigned NOT NULL default '0',
  `attempt` mediumint(6) unsigned NOT NULL default '0',
  `timestart` bigint(10) unsigned NOT NULL default '0',
  `timefinish` bigint(10) unsigned NOT NULL default '0',
  `status` smallint(4) unsigned NOT NULL default '1',
  `clickreportid` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `hotpatte_use_ix` (`userid`),
  KEY `hotpatte_hot_ix` (`hotpot`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='details about Hot Potatoes quiz attempts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hotpot_details`
--

CREATE TABLE IF NOT EXISTS `hotpot_details` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `attempt` bigint(10) unsigned NOT NULL default '0',
  `details` text,
  PRIMARY KEY  (`id`),
  KEY `hotpdeta_att_ix` (`attempt`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='raw details (as XML) of Hot Potatoes quiz attempts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hotpot_questions`
--

CREATE TABLE IF NOT EXISTS `hotpot_questions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` text NOT NULL,
  `type` smallint(4) unsigned NOT NULL default '0',
  `text` bigint(10) unsigned NOT NULL default '0',
  `hotpot` bigint(10) unsigned NOT NULL default '0',
  `md5key` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `hotpques_md5_ix` (`md5key`),
  KEY `hotpques_hot_ix` (`hotpot`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='details about questions in Hot Potatoes quiz attempts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hotpot_responses`
--

CREATE TABLE IF NOT EXISTS `hotpot_responses` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `attempt` bigint(10) unsigned NOT NULL default '0',
  `question` bigint(10) unsigned NOT NULL default '0',
  `score` mediumint(6) NOT NULL default '0',
  `weighting` mediumint(6) NOT NULL default '0',
  `correct` varchar(255) NOT NULL default '',
  `wrong` varchar(255) NOT NULL default '',
  `ignored` varchar(255) NOT NULL default '',
  `hints` mediumint(6) unsigned NOT NULL default '0',
  `clues` mediumint(6) unsigned NOT NULL default '0',
  `checks` mediumint(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `hotpresp_att_ix` (`attempt`),
  KEY `hotpresp_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='details about responses in Hot Potatoes quiz attempts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `hotpot_strings`
--

CREATE TABLE IF NOT EXISTS `hotpot_strings` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `string` text NOT NULL,
  `md5key` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `hotpstri_md5_ix` (`md5key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='strings used in Hot Potatoes questions and responses' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `journal`
--

CREATE TABLE IF NOT EXISTS `journal` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `introformat` tinyint(2) NOT NULL default '0',
  `days` mediumint(5) unsigned NOT NULL default '7',
  `assessed` bigint(10) NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `jour_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='data for each journal' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `journal_entries`
--

CREATE TABLE IF NOT EXISTS `journal_entries` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `journal` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `modified` bigint(10) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  `format` tinyint(2) NOT NULL default '0',
  `rating` bigint(10) default '0',
  `entrycomment` text,
  `teacher` bigint(10) unsigned NOT NULL default '0',
  `timemarked` bigint(10) unsigned NOT NULL default '0',
  `mailed` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `jourentr_use_ix` (`userid`),
  KEY `jourentr_jou_ix` (`journal`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='All the journal entries of all people' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `label`
--

CREATE TABLE IF NOT EXISTS `label` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `labe_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Defines labels' AUTO_INCREMENT=9 ;

--
-- Volcado de datos para la tabla `label`
--

INSERT INTO `label` (`id`, `course`, `name`, `content`, `timemodified`) VALUES
(1, 3, 'Fundamentos a la Privacidad\r\n', 'Fundamentos a la Privacidad\r\n', 1400585623),
(2, 3, 'La AEPD y su Registro', 'La AEPD y su Registro', 1400585637),
(4, 3, 'Medidas técnicas y organizativas', 'Medidas técnicas y organizativas', 1400585723),
(5, 3, 'Documento de Seguridad', 'Documento de Seguridad', 1400585740),
(6, 3, 'Derechos de los usuarios', 'Derechos de los usuarios', 1400585773),
(7, 3, 'Sanciones e Infracciones', 'Sanciones e Infracciones', 1400585800),
(8, 3, 'Practicum', 'Practicum', 1400585825);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lams`
--

CREATE TABLE IF NOT EXISTS `lams` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `introduction` text NOT NULL,
  `learning_session_id` bigint(20) default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `lams_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='LAMS activity' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson`
--

CREATE TABLE IF NOT EXISTS `lesson` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `practice` smallint(3) unsigned NOT NULL default '0',
  `modattempts` smallint(3) unsigned NOT NULL default '0',
  `usepassword` smallint(3) unsigned NOT NULL default '0',
  `password` varchar(32) NOT NULL default '',
  `dependency` bigint(10) unsigned NOT NULL default '0',
  `conditions` text NOT NULL,
  `grade` smallint(3) NOT NULL default '0',
  `custom` smallint(3) unsigned NOT NULL default '0',
  `ongoing` smallint(3) unsigned NOT NULL default '0',
  `usemaxgrade` smallint(3) NOT NULL default '0',
  `maxanswers` smallint(3) unsigned NOT NULL default '4',
  `maxattempts` smallint(3) unsigned NOT NULL default '5',
  `review` smallint(3) unsigned NOT NULL default '0',
  `nextpagedefault` smallint(3) unsigned NOT NULL default '0',
  `feedback` smallint(3) unsigned NOT NULL default '1',
  `minquestions` smallint(3) unsigned NOT NULL default '0',
  `maxpages` smallint(3) unsigned NOT NULL default '0',
  `timed` smallint(3) unsigned NOT NULL default '0',
  `maxtime` bigint(10) unsigned NOT NULL default '0',
  `retake` smallint(3) unsigned NOT NULL default '1',
  `activitylink` bigint(10) unsigned NOT NULL default '0',
  `mediafile` varchar(255) NOT NULL default '',
  `mediaheight` bigint(10) unsigned NOT NULL default '100',
  `mediawidth` bigint(10) unsigned NOT NULL default '650',
  `mediaclose` smallint(3) unsigned NOT NULL default '0',
  `slideshow` smallint(3) unsigned NOT NULL default '0',
  `width` bigint(10) unsigned NOT NULL default '640',
  `height` bigint(10) unsigned NOT NULL default '480',
  `bgcolor` varchar(7) NOT NULL default '#FFFFFF',
  `displayleft` smallint(3) unsigned NOT NULL default '0',
  `displayleftif` smallint(3) unsigned NOT NULL default '0',
  `progressbar` smallint(3) unsigned NOT NULL default '0',
  `highscores` smallint(3) unsigned NOT NULL default '0',
  `maxhighscores` bigint(10) unsigned NOT NULL default '0',
  `available` bigint(10) unsigned NOT NULL default '0',
  `deadline` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `less_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Defines lesson' AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_answers`
--

CREATE TABLE IF NOT EXISTS `lesson_answers` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `pageid` bigint(10) unsigned NOT NULL default '0',
  `jumpto` bigint(11) NOT NULL default '0',
  `grade` smallint(3) unsigned NOT NULL default '0',
  `score` bigint(10) NOT NULL default '0',
  `flags` smallint(3) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `answer` text,
  `response` text,
  PRIMARY KEY  (`id`),
  KEY `lessansw_les_ix` (`lessonid`),
  KEY `lessansw_pag_ix` (`pageid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Defines lesson_answers' AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_attempts`
--

CREATE TABLE IF NOT EXISTS `lesson_attempts` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `pageid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `answerid` bigint(10) unsigned NOT NULL default '0',
  `retry` smallint(3) unsigned NOT NULL default '0',
  `correct` bigint(10) unsigned NOT NULL default '0',
  `useranswer` text,
  `timeseen` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `lessatte_use_ix` (`userid`),
  KEY `lessatte_les_ix` (`lessonid`),
  KEY `lessatte_pag_ix` (`pageid`),
  KEY `lessatte_ans_ix` (`answerid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines lesson_attempts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_branch`
--

CREATE TABLE IF NOT EXISTS `lesson_branch` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `pageid` bigint(10) unsigned NOT NULL default '0',
  `retry` bigint(10) unsigned NOT NULL default '0',
  `flag` smallint(3) unsigned NOT NULL default '0',
  `timeseen` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `lessbran_use_ix` (`userid`),
  KEY `lessbran_les_ix` (`lessonid`),
  KEY `lessbran_pag_ix` (`pageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='branches for each lesson/user' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_default`
--

CREATE TABLE IF NOT EXISTS `lesson_default` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `practice` smallint(3) unsigned NOT NULL default '0',
  `modattempts` smallint(3) unsigned NOT NULL default '0',
  `usepassword` smallint(3) unsigned NOT NULL default '0',
  `password` varchar(32) NOT NULL default '',
  `conditions` text NOT NULL,
  `grade` smallint(3) NOT NULL default '0',
  `custom` smallint(3) unsigned NOT NULL default '0',
  `ongoing` smallint(3) unsigned NOT NULL default '0',
  `usemaxgrade` smallint(3) unsigned NOT NULL default '0',
  `maxanswers` smallint(3) unsigned NOT NULL default '4',
  `maxattempts` smallint(3) unsigned NOT NULL default '5',
  `review` smallint(3) unsigned NOT NULL default '0',
  `nextpagedefault` smallint(3) unsigned NOT NULL default '0',
  `feedback` smallint(3) unsigned NOT NULL default '1',
  `minquestions` smallint(3) unsigned NOT NULL default '0',
  `maxpages` smallint(3) unsigned NOT NULL default '0',
  `timed` smallint(3) unsigned NOT NULL default '0',
  `maxtime` bigint(10) unsigned NOT NULL default '0',
  `retake` smallint(3) unsigned NOT NULL default '1',
  `mediaheight` bigint(10) unsigned NOT NULL default '100',
  `mediawidth` bigint(10) unsigned NOT NULL default '650',
  `mediaclose` smallint(3) unsigned NOT NULL default '0',
  `slideshow` smallint(3) unsigned NOT NULL default '0',
  `width` bigint(10) unsigned NOT NULL default '640',
  `height` bigint(10) unsigned NOT NULL default '480',
  `bgcolor` varchar(7) default '#FFFFFF',
  `displayleft` smallint(3) unsigned NOT NULL default '0',
  `displayleftif` smallint(3) unsigned NOT NULL default '0',
  `progressbar` smallint(3) unsigned NOT NULL default '0',
  `highscores` smallint(3) unsigned NOT NULL default '0',
  `maxhighscores` bigint(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines lesson_default' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_grades`
--

CREATE TABLE IF NOT EXISTS `lesson_grades` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `grade` double unsigned NOT NULL default '0',
  `late` smallint(3) unsigned NOT NULL default '0',
  `completed` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `lessgrad_use_ix` (`userid`),
  KEY `lessgrad_les_ix` (`lessonid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines lesson_grades' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_high_scores`
--

CREATE TABLE IF NOT EXISTS `lesson_high_scores` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `gradeid` bigint(10) unsigned NOT NULL default '0',
  `nickname` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `lesshighscor_use_ix` (`userid`),
  KEY `lesshighscor_les_ix` (`lessonid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='high scores for each lesson' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_pages`
--

CREATE TABLE IF NOT EXISTS `lesson_pages` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `prevpageid` bigint(10) unsigned NOT NULL default '0',
  `nextpageid` bigint(10) unsigned NOT NULL default '0',
  `qtype` smallint(3) unsigned NOT NULL default '0',
  `qoption` smallint(3) unsigned NOT NULL default '0',
  `layout` smallint(3) unsigned NOT NULL default '1',
  `display` smallint(3) unsigned NOT NULL default '1',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `contents` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `lesspage_les_ix` (`lessonid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Defines lesson_pages' AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `lesson_timer`
--

CREATE TABLE IF NOT EXISTS `lesson_timer` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `lessonid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `starttime` bigint(10) unsigned NOT NULL default '0',
  `lessontime` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `lesstime_use_ix` (`userid`),
  KEY `lesstime_les_ix` (`lessonid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='lesson timer for each lesson' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `log`
--

CREATE TABLE IF NOT EXISTS `log` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `time` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `course` bigint(10) unsigned NOT NULL default '0',
  `module` varchar(20) NOT NULL default '',
  `cmid` bigint(10) unsigned NOT NULL default '0',
  `action` varchar(40) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `log_coumodact_ix` (`course`,`module`,`action`),
  KEY `log_tim_ix` (`time`),
  KEY `log_act_ix` (`action`),
  KEY `log_usecou_ix` (`userid`,`course`),
  KEY `log_cmi_ix` (`cmid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Every action is logged as far as possible' AUTO_INCREMENT=311 ;

--
-- Volcado de datos para la tabla `log`
--

INSERT INTO `log` (`id`, `time`, `userid`, `ip`, `course`, `module`, `cmid`, `action`, `url`, `info`) VALUES
(1, 1286799293, 2, '10.30.19.127', 1, 'user', 0, 'update', 'view.php?id=2&course=1', ''),
(2, 1286799327, 2, '10.30.19.127', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(3, 1286799366, 2, '10.30.19.127', 1, 'user', 0, 'logout', 'view.php?id=2&course=1', '2'),
(4, 1286799387, 2, '10.30.19.127', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(5, 1286799388, 2, '10.30.19.127', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(6, 1395690839, 2, '91.117.129.9', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(7, 1395690839, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(8, 1395691798, 2, '91.117.129.9', 1, 'user', 0, 'logout', 'view.php?id=2&course=1', '2'),
(9, 1395691820, 2, '91.117.129.9', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(10, 1395691820, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(11, 1395691832, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(12, 1395694157, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(13, 1395694874, 0, '91.117.129.9', 1, 'forum', 1, 'view forum', 'view.php?id=1', '1'),
(14, 1395695361, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(15, 1395695372, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(16, 1395695372, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(17, 1395695387, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(18, 1395695387, 2, '91.117.129.9', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(19, 1395695795, 2, '91.117.129.9', 1, 'course', 0, 'new', 'view.php?id=2', 'Introducción a la L.O.P.D. (ID 2)'),
(20, 1395695809, 2, '91.117.129.9', 2, 'role', 0, 'assign', 'admin/roles/assign.php?contextid=11&roleid=1', 'Administrator'),
(21, 1395695825, 2, '91.117.129.9', 2, 'role', 0, 'assign', 'admin/roles/assign.php?contextid=11&roleid=2', 'Course creator'),
(22, 1395695842, 2, '91.117.129.9', 2, 'role', 0, 'assign', 'admin/roles/assign.php?contextid=11&roleid=3', 'Teacher'),
(23, 1395695879, 2, '91.117.129.9', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(24, 1400585288, 2, '83.165.235.104', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(25, 1400585291, 2, '83.165.235.104', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(26, 1400585300, 2, '83.165.235.104', 1, 'user', 0, 'login', 'view.php?id=2&course=1', '2'),
(27, 1400585300, 2, '83.165.235.104', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(28, 1400585378, 2, '83.165.235.104', 1, 'course', 0, 'new', 'view.php?id=3', 'Protección de Datos (ID 3)'),
(29, 1400585386, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(30, 1400585397, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(31, 1400585415, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(32, 1400585528, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=4', 'label 1'),
(33, 1400585528, 2, '83.165.235.104', 3, 'label', 4, 'add', 'view.php?id=4', '1'),
(34, 1400585529, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(35, 1400585574, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=5', 'label 2'),
(36, 1400585574, 2, '83.165.235.104', 3, 'label', 5, 'add', 'view.php?id=5', '2'),
(37, 1400585574, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(38, 1400585600, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(39, 1400585606, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(40, 1400585623, 2, '83.165.235.104', 3, 'course', 0, 'update mod', '../mod/label/view.php?id=4', 'label 1'),
(41, 1400585623, 2, '83.165.235.104', 3, 'label', 4, 'update', 'view.php?id=4', '1'),
(42, 1400585624, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(43, 1400585637, 2, '83.165.235.104', 3, 'course', 0, 'update mod', '../mod/label/view.php?id=5', 'label 2'),
(44, 1400585637, 2, '83.165.235.104', 3, 'label', 5, 'update', 'view.php?id=5', '2'),
(45, 1400585640, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(46, 1400585678, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=6', 'label 3'),
(47, 1400585678, 2, '83.165.235.104', 3, 'label', 6, 'add', 'view.php?id=6', '3'),
(48, 1400585678, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(49, 1400585692, 2, '83.165.235.104', 3, 'course', 6, 'delete mod', 'view.php?id=3', 'label 3'),
(50, 1400585692, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(51, 1400585698, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(52, 1400585723, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=7', 'label 4'),
(53, 1400585723, 2, '83.165.235.104', 3, 'label', 7, 'add', 'view.php?id=7', '4'),
(54, 1400585723, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(55, 1400585740, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=8', 'label 5'),
(56, 1400585740, 2, '83.165.235.104', 3, 'label', 8, 'add', 'view.php?id=8', '5'),
(57, 1400585742, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(58, 1400585753, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(59, 1400585773, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=9', 'label 6'),
(60, 1400585773, 2, '83.165.235.104', 3, 'label', 9, 'add', 'view.php?id=9', '6'),
(61, 1400585774, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(62, 1400585800, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=10', 'label 7'),
(63, 1400585800, 2, '83.165.235.104', 3, 'label', 10, 'add', 'view.php?id=10', '7'),
(64, 1400585800, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(65, 1400585809, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(66, 1400585825, 2, '83.165.235.104', 3, 'course', 0, 'add mod', '../mod/label/view.php?id=11', 'label 8'),
(67, 1400585825, 2, '83.165.235.104', 3, 'label', 11, 'add', 'view.php?id=11', '8'),
(68, 1400585825, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(69, 1400585836, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(70, 1400585843, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(71, 1400585850, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(72, 1400585899, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(73, 1400585900, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(74, 1400585938, 2, '83.165.235.104', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(75, 1402037130, 2, '83.165.129.78', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(76, 1402037132, 2, '83.165.129.78', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(77, 1402037174, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(78, 1402037184, 2, '83.165.129.78', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(79, 1402037648, 2, '83.165.129.78', 3, 'course', 0, 'update', 'edit.php?id=3', '3'),
(80, 1402037648, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(81, 1402037653, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(82, 1402037663, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(83, 1402037671, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(84, 1402037976, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/resource/view.php?id=12', 'resource 1'),
(85, 1402037976, 2, '83.165.129.78', 3, 'resource', 12, 'add', 'view.php?id=12', '1'),
(86, 1402037988, 2, '83.165.129.78', 3, 'resource', 12, 'view', 'view.php?id=12', '1'),
(87, 1402038054, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(88, 1402038175, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/lesson/view.php?id=13', 'lesson 1'),
(89, 1402038175, 2, '83.165.129.78', 3, 'lesson', 13, 'add', 'view.php?id=13', '1'),
(90, 1402038176, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/lesson/view.php?id=14', 'lesson 2'),
(91, 1402038176, 2, '83.165.129.78', 3, 'lesson', 14, 'add', 'view.php?id=14', '2'),
(92, 1402038331, 2, '83.165.129.78', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(93, 1402038331, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(94, 1402038628, 2, '83.165.129.78', 3, 'course', 0, 'update mod', '../mod/lesson/view.php?id=14', 'lesson 2'),
(95, 1402038628, 2, '83.165.129.78', 3, 'lesson', 14, 'update', 'view.php?id=14', '2'),
(96, 1402038629, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(97, 1402038640, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(98, 1402038651, 2, '83.165.129.78', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(99, 1402038651, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(100, 1402038661, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '3'),
(101, 1402038773, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '3'),
(102, 1402038777, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '3'),
(103, 1402038788, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(104, 1402038792, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(105, 1402038797, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(106, 1402038804, 2, '83.165.129.78', 3, 'course', 13, 'delete mod', 'view.php?id=3', 'lesson 1'),
(107, 1402038804, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(108, 1402038807, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(109, 1402038812, 2, '83.165.129.78', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(110, 1402038812, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(111, 1402038815, 2, '83.165.129.78', 3, 'lesson', 14, 'view', 'view.php?id=14', '3'),
(112, 1402038852, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(113, 1402039043, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/assignment/view.php?id=15', 'assignment 1'),
(114, 1402039043, 2, '83.165.129.78', 3, 'assignment', 15, 'add', 'view.php?id=15', '1'),
(115, 1402039043, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(116, 1402039053, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(117, 1402039057, 2, '83.165.129.78', 3, 'assignment', 15, 'view', 'view.php?id=15', '1'),
(118, 1402039113, 2, '83.165.129.78', 3, 'resource', 12, 'view', 'view.php?id=12', '1'),
(119, 1402039122, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(120, 1402039130, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(121, 1402039136, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(122, 1402039139, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(123, 1402039198, 2, '83.165.129.78', 3, 'course', 0, 'update mod', '../mod/resource/view.php?id=12', 'resource 1'),
(124, 1402039198, 2, '83.165.129.78', 3, 'resource', 12, 'update', 'view.php?id=12', '1'),
(125, 1402039198, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(126, 1402039274, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/resource/view.php?id=16', 'resource 2'),
(127, 1402039274, 2, '83.165.129.78', 3, 'resource', 16, 'add', 'view.php?id=16', '2'),
(128, 1402039274, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(129, 1402039280, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(130, 1402039284, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(131, 1402039358, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/resource/view.php?id=17', 'resource 3'),
(132, 1402039358, 2, '83.165.129.78', 3, 'resource', 17, 'add', 'view.php?id=17', '3'),
(133, 1402039358, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(134, 1402039364, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(135, 1402039370, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(136, 1402039378, 2, '83.165.129.78', 3, 'resource', 17, 'view', 'view.php?id=17', '3'),
(137, 1402039383, 2, '83.165.129.78', 3, 'resource', 16, 'view', 'view.php?id=16', '2'),
(138, 1402039414, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(139, 1402039533, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/assignment/view.php?id=18', 'assignment 2'),
(140, 1402039533, 2, '83.165.129.78', 3, 'assignment', 18, 'add', 'view.php?id=18', '2'),
(141, 1402039533, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(142, 1402039542, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(143, 1402039548, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(144, 1402039619, 2, '83.165.129.78', 3, 'course', 0, 'add mod', '../mod/assignment/view.php?id=19', 'assignment 3'),
(145, 1402039619, 2, '83.165.129.78', 3, 'assignment', 19, 'add', 'view.php?id=19', '3'),
(146, 1402039620, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(147, 1402039628, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(148, 1402039632, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(149, 1402039638, 2, '83.165.129.78', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(150, 1402750964, 2, '79.150.41.68', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(151, 1402750966, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(152, 1402751019, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(153, 1402751026, 2, '79.150.41.68', 1, 'forum', 1, 'view forum', 'view.php?id=1', '1'),
(154, 1402751031, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(155, 1402751031, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(156, 1402751134, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(157, 1402751143, 2, '79.150.41.68', 3, 'assignment', 15, 'view', 'view.php?id=15', '1'),
(158, 1402751199, 2, '79.150.41.68', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(159, 1402751217, 2, '79.150.41.68', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(160, 1402751273, 2, '79.150.41.68', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(161, 1402751294, 2, '79.150.41.68', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(162, 1402751374, 2, '79.150.41.68', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(163, 1402751389, 2, '79.150.41.68', 2, 'course', 0, 'view', 'view.php?id=2', '2'),
(164, 1402751487, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(165, 1402751498, 2, '79.150.41.68', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(166, 1402751498, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(167, 1402751504, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(168, 1402751555, 2, '79.150.41.68', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(169, 1402751555, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(170, 1402751709, 2, '79.150.41.68', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(171, 1402751709, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(172, 1402751713, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '3'),
(173, 1402751720, 2, '79.150.41.68', 3, 'lesson', 0, 'view all', 'index.php?id=3', ''),
(174, 1402751724, 2, '79.150.41.68', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(175, 1402751724, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(176, 1402751823, 2, '79.150.41.68', 3, 'lesson', 0, 'view all', 'index.php?id=3', ''),
(177, 1402751825, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(178, 1402751842, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(179, 1402751904, 2, '79.150.41.68', 3, 'resource', 0, 'view all', 'index.php?id=3', ''),
(180, 1402751912, 2, '79.150.41.68', 3, 'resource', 12, 'view', 'view.php?id=12', '1'),
(181, 1402751916, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(182, 1402751930, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(183, 1402751956, 2, '79.150.41.68', 3, 'resource', 0, 'view all', 'index.php?id=3', ''),
(184, 1402751959, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(185, 1402752003, 2, '79.150.41.68', 3, 'resource', 0, 'view all', 'index.php?id=3', ''),
(186, 1402752005, 2, '79.150.41.68', 3, 'resource', 12, 'view', 'view.php?id=12', '1'),
(187, 1402752014, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(188, 1402752045, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(189, 1402752266, 2, '79.150.41.68', 3, 'course', 0, 'add mod', '../mod/quiz/view.php?id=20', 'quiz 1'),
(190, 1402752266, 2, '79.150.41.68', 3, 'quiz', 20, 'add', 'view.php?id=20', '1'),
(191, 1402752267, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(192, 1402752473, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(193, 1402752481, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(194, 1402752488, 2, '79.150.41.68', 3, 'assignment', 18, 'view', 'view.php?id=18', '2'),
(195, 1402752495, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(196, 1402752510, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(197, 1402752523, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(198, 1402752535, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(199, 1402752550, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(200, 1402752554, 2, '79.150.41.68', 3, 'quiz', 20, 'preview', 'attempt.php?id=20', '1'),
(201, 1402752595, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=1', '1'),
(202, 1402752599, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(203, 1402752612, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(204, 1402752616, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(205, 1402752616, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(206, 1402752811, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(207, 1402752816, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=1', '1'),
(208, 1402752818, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(209, 1402752822, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(210, 1402752827, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(211, 1402752829, 2, '79.150.41.68', 3, 'quiz', 20, 'preview', 'attempt.php?id=20', '1'),
(212, 1402753011, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(213, 1402753117, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(214, 1402753120, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(215, 1402753185, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(216, 1402753189, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(217, 1402753250, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(218, 1402753254, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(219, 1402753313, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(220, 1402753317, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(221, 1402753399, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(222, 1402753413, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(223, 1402753489, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(224, 1402753494, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(225, 1402753533, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(226, 1402753539, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(227, 1402753591, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(228, 1402753596, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(229, 1402753678, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(230, 1402753685, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(231, 1402753688, 2, '79.150.41.68', 3, 'quiz', 20, 'preview', 'attempt.php?id=20', '1'),
(232, 1402753718, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(233, 1402753803, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(234, 1402753808, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(235, 1402753834, 2, '79.150.41.68', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(236, 1402753842, 2, '79.150.41.68', 3, 'quiz', 20, 'report', 'report.php?id=20', '1'),
(237, 1402753852, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(238, 1402753856, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(239, 1402753858, 2, '79.150.41.68', 3, 'quiz', 0, 'view all', 'index.php?id=3', ''),
(240, 1402753860, 2, '79.150.41.68', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(241, 1402753863, 2, '79.150.41.68', 3, 'quiz', 20, 'report', 'report.php?id=20', '1'),
(242, 1402753866, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(243, 1402753941, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(244, 1402753981, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(245, 1402753983, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(246, 1402753988, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(247, 1402754088, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(248, 1402754117, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(249, 1402754139, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(250, 1402754162, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(251, 1402754191, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(252, 1402754280, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(253, 1402754355, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(254, 1402754435, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(255, 1402754461, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(256, 1402754486, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(257, 1402754488, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(258, 1402754502, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(259, 1402754507, 2, '79.150.41.68', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(260, 1402754507, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(261, 1402754542, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(262, 1402754553, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(263, 1402754562, 2, '79.150.41.68', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(264, 1402754562, 2, '79.150.41.68', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(265, 1402754595, 2, '79.150.41.68', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(266, 1402754600, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(267, 1402754614, 2, '79.150.41.68', 3, 'assignment', 18, 'view', 'view.php?id=18', '2'),
(268, 1402754623, 2, '79.150.41.68', 3, 'assignment', 19, 'view', 'view.php?id=19', '3'),
(269, 1402754627, 2, '79.150.41.68', 3, 'assignment', 15, 'view', 'view.php?id=15', '1'),
(270, 1402754846, 2, '79.150.41.68', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(271, 1402754849, 2, '79.150.41.68', 3, 'quiz', 20, 'report', 'report.php?id=20', '1'),
(272, 1402754854, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(273, 1402754855, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(274, 1402754871, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(275, 1402754883, 2, '79.150.41.68', 1, 'user', 0, 'logout', 'view.php?id=2&course=1', '2'),
(276, 1402754900, 2, '79.150.41.68', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(277, 1402754901, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(278, 1402754914, 2, '79.150.41.68', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(279, 1402754916, 2, '79.150.41.68', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(280, 1402754918, 2, '79.150.41.68', 3, 'quiz', 20, 'continue attemp', 'review.php?attempt=3', '1'),
(281, 1402754935, 2, '79.150.41.68', 3, 'quiz', 20, 'report', 'report.php?id=20', '1'),
(282, 1402754939, 2, '79.150.41.68', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(283, 1402754942, 2, '79.150.41.68', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(284, 1402754944, 2, '79.150.41.68', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(285, 1402754963, 2, '79.150.41.68', 1, 'user', 0, 'logout', 'view.php?id=2&course=1', '2'),
(286, 1402900720, 2, '128.193.43.158', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(287, 1402900998, 2, '128.193.43.158', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(288, 1402902485, 2, '128.193.43.158', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(289, 1402902691, 2, '194.183.97.93', 1, 'user', 0, 'login', 'view.php?id=0&course=1', '2'),
(290, 1402902695, 2, '194.183.97.93', 1, 'course', 0, 'view', 'view.php?id=1', '1'),
(291, 1402902720, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(292, 1402902728, 2, '194.183.97.93', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(293, 1402902728, 2, '194.183.97.93', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(294, 1402902757, 2, '194.183.97.93', 3, 'quiz', 20, 'view', 'view.php?id=20', '1'),
(295, 1402902768, 2, '194.183.97.93', 3, 'quiz', 20, 'editquestions', 'view.php?id=20', '1'),
(296, 1402902820, 2, '194.183.97.93', 3, 'lesson', 14, 'start', 'view.php?id=14', '2'),
(297, 1402902820, 2, '194.183.97.93', 3, 'lesson', 14, 'view', 'view.php?id=14', '1'),
(298, 1402902914, 2, '194.183.97.93', 3, 'lesson', 0, 'view all', 'index.php?id=3', ''),
(299, 1402902923, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(300, 1402902934, 2, '194.183.97.93', 3, 'lesson', 0, 'view all', 'index.php?id=3', ''),
(301, 1402902941, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(302, 1402902946, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(303, 1402902958, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(304, 1402902987, 2, '194.183.97.93', 3, 'course', 14, 'delete mod', 'view.php?id=3', 'lesson 2'),
(305, 1402902988, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(306, 1402903007, 2, '194.183.97.93', 3, 'course', 0, 'recent', 'recent.php?id=3', '3'),
(307, 1402904303, 2, '194.183.97.93', 3, 'course', 0, 'view', 'view.php?id=3', '3'),
(308, 1402904345, 2, '194.183.97.93', 1, 'user', 0, 'logout', 'view.php?id=2&course=1', '2'),
(309, 1403045207, 0, '83.165.129.78', 0, 'login', 0, 'error', 'index.php', 'guest'),
(310, 1403045245, 0, '83.165.129.78', 1, 'forum', 1, 'view forum', 'view.php?id=1', '1');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `log_display`
--

CREATE TABLE IF NOT EXISTS `log_display` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `module` varchar(20) NOT NULL default '',
  `action` varchar(40) NOT NULL default '',
  `mtable` varchar(30) NOT NULL default '',
  `field` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `logdisp_modact_uix` (`module`,`action`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='For a particular module/action, specifies a moodle table/fie' AUTO_INCREMENT=113 ;

--
-- Volcado de datos para la tabla `log_display`
--

INSERT INTO `log_display` (`id`, `module`, `action`, `mtable`, `field`) VALUES
(1, 'user', 'view', 'user', 'CONCAT(firstname,'' '',lastname)'),
(2, 'course', 'user report', 'user', 'CONCAT(firstname,'' '',lastname)'),
(3, 'course', 'view', 'course', 'fullname'),
(4, 'course', 'update', 'course', 'fullname'),
(5, 'course', 'enrol', 'course', 'fullname'),
(6, 'course', 'unenrol', 'course', 'fullname'),
(7, 'course', 'report log', 'course', 'fullname'),
(8, 'course', 'report live', 'course', 'fullname'),
(9, 'course', 'report outline', 'course', 'fullname'),
(10, 'course', 'report participation', 'course', 'fullname'),
(11, 'course', 'report stats', 'course', 'fullname'),
(12, 'message', 'write', 'user', 'CONCAT(firstname,'' '',lastname)'),
(13, 'message', 'read', 'user', 'CONCAT(firstname,'' '',lastname)'),
(14, 'message', 'add contact', 'user', 'CONCAT(firstname,'' '',lastname)'),
(15, 'message', 'remove contact', 'user', 'CONCAT(firstname,'' '',lastname)'),
(16, 'message', 'block contact', 'user', 'CONCAT(firstname,'' '',lastname)'),
(17, 'message', 'unblock contact', 'user', 'CONCAT(firstname,'' '',lastname)'),
(18, 'group', 'view', 'groups', 'name'),
(19, 'tag', 'update', 'tag', 'name'),
(20, 'assignment', 'view', 'assignment', 'name'),
(21, 'assignment', 'add', 'assignment', 'name'),
(22, 'assignment', 'update', 'assignment', 'name'),
(23, 'assignment', 'view submission', 'assignment', 'name'),
(24, 'assignment', 'upload', 'assignment', 'name'),
(25, 'chat', 'view', 'chat', 'name'),
(26, 'chat', 'add', 'chat', 'name'),
(27, 'chat', 'update', 'chat', 'name'),
(28, 'chat', 'report', 'chat', 'name'),
(29, 'chat', 'talk', 'chat', 'name'),
(30, 'choice', 'view', 'choice', 'name'),
(31, 'choice', 'update', 'choice', 'name'),
(32, 'choice', 'add', 'choice', 'name'),
(33, 'choice', 'report', 'choice', 'name'),
(34, 'choice', 'choose', 'choice', 'name'),
(35, 'choice', 'choose again', 'choice', 'name'),
(36, 'data', 'view', 'data', 'name'),
(37, 'data', 'add', 'data', 'name'),
(38, 'data', 'update', 'data', 'name'),
(39, 'data', 'record delete', 'data', 'name'),
(40, 'data', 'fields add', 'data_fields', 'name'),
(41, 'data', 'fields update', 'data_fields', 'name'),
(42, 'data', 'templates saved', 'data', 'name'),
(43, 'data', 'templates def', 'data', 'name'),
(44, 'forum', 'add', 'forum', 'name'),
(45, 'forum', 'update', 'forum', 'name'),
(46, 'forum', 'add discussion', 'forum_discussions', 'name'),
(47, 'forum', 'add post', 'forum_posts', 'subject'),
(48, 'forum', 'update post', 'forum_posts', 'subject'),
(49, 'forum', 'user report', 'user', 'CONCAT(firstname,'' '',lastname)'),
(50, 'forum', 'move discussion', 'forum_discussions', 'name'),
(51, 'forum', 'view subscribers', 'forum', 'name'),
(52, 'forum', 'view discussion', 'forum_discussions', 'name'),
(53, 'forum', 'view forum', 'forum', 'name'),
(54, 'forum', 'subscribe', 'forum', 'name'),
(55, 'forum', 'unsubscribe', 'forum', 'name'),
(56, 'glossary', 'add', 'glossary', 'name'),
(57, 'glossary', 'update', 'glossary', 'name'),
(58, 'glossary', 'view', 'glossary', 'name'),
(59, 'glossary', 'view all', 'glossary', 'name'),
(60, 'glossary', 'add entry', 'glossary', 'name'),
(61, 'glossary', 'update entry', 'glossary', 'name'),
(62, 'glossary', 'add category', 'glossary', 'name'),
(63, 'glossary', 'update category', 'glossary', 'name'),
(64, 'glossary', 'delete category', 'glossary', 'name'),
(65, 'glossary', 'add comment', 'glossary', 'name'),
(66, 'glossary', 'update comment', 'glossary', 'name'),
(67, 'glossary', 'delete comment', 'glossary', 'name'),
(68, 'glossary', 'approve entry', 'glossary', 'name'),
(69, 'glossary', 'view entry', 'glossary_entries', 'concept'),
(70, 'journal', 'view', 'journal', 'name'),
(71, 'journal', 'add entry', 'journal', 'name'),
(72, 'journal', 'update entry', 'journal', 'name'),
(73, 'journal', 'view responses', 'journal', 'name'),
(74, 'label', 'add', 'label', 'name'),
(75, 'label', 'update', 'label', 'name'),
(76, 'lesson', 'start', 'lesson', 'name'),
(77, 'lesson', 'end', 'lesson', 'name'),
(78, 'lesson', 'view', 'lesson_pages', 'title'),
(79, 'quiz', 'add', 'quiz', 'name'),
(80, 'quiz', 'update', 'quiz', 'name'),
(81, 'quiz', 'view', 'quiz', 'name'),
(82, 'quiz', 'report', 'quiz', 'name'),
(83, 'quiz', 'attempt', 'quiz', 'name'),
(84, 'quiz', 'submit', 'quiz', 'name'),
(85, 'quiz', 'review', 'quiz', 'name'),
(86, 'quiz', 'editquestions', 'quiz', 'name'),
(87, 'quiz', 'preview', 'quiz', 'name'),
(88, 'quiz', 'start attempt', 'quiz', 'name'),
(89, 'quiz', 'close attempt', 'quiz', 'name'),
(90, 'quiz', 'continue attempt', 'quiz', 'name'),
(91, 'resource', 'view', 'resource', 'name'),
(92, 'resource', 'update', 'resource', 'name'),
(93, 'resource', 'add', 'resource', 'name'),
(94, 'scorm', 'view', 'scorm', 'name'),
(95, 'scorm', 'review', 'scorm', 'name'),
(96, 'scorm', 'update', 'scorm', 'name'),
(97, 'scorm', 'add', 'scorm', 'name'),
(98, 'survey', 'add', 'survey', 'name'),
(99, 'survey', 'update', 'survey', 'name'),
(100, 'survey', 'download', 'survey', 'name'),
(101, 'survey', 'view form', 'survey', 'name'),
(102, 'survey', 'view graph', 'survey', 'name'),
(103, 'survey', 'view report', 'survey', 'name'),
(104, 'survey', 'submit', 'survey', 'name'),
(105, 'workshop', 'assessments', 'workshop', 'name'),
(106, 'workshop', 'close', 'workshop', 'name'),
(107, 'workshop', 'display', 'workshop', 'name'),
(108, 'workshop', 'resubmit', 'workshop', 'name'),
(109, 'workshop', 'set up', 'workshop', 'name'),
(110, 'workshop', 'submissions', 'workshop', 'name'),
(111, 'workshop', 'view', 'workshop', 'name'),
(112, 'workshop', 'update', 'workshop', 'name');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `message`
--

CREATE TABLE IF NOT EXISTS `message` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `useridfrom` bigint(10) unsigned NOT NULL default '0',
  `useridto` bigint(10) unsigned NOT NULL default '0',
  `message` text NOT NULL,
  `format` smallint(4) unsigned NOT NULL default '0',
  `timecreated` bigint(10) NOT NULL default '0',
  `messagetype` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `mess_use_ix` (`useridfrom`),
  KEY `mess_use2_ix` (`useridto`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stores all unread messages' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `message_contacts`
--

CREATE TABLE IF NOT EXISTS `message_contacts` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `contactid` bigint(10) unsigned NOT NULL default '0',
  `blocked` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `messcont_usecon_uix` (`userid`,`contactid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Maintains lists of relationships between users' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `message_read`
--

CREATE TABLE IF NOT EXISTS `message_read` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `useridfrom` bigint(10) unsigned NOT NULL default '0',
  `useridto` bigint(10) unsigned NOT NULL default '0',
  `message` text NOT NULL,
  `format` smallint(4) unsigned NOT NULL default '0',
  `timecreated` bigint(10) NOT NULL default '0',
  `timeread` bigint(10) NOT NULL default '0',
  `messagetype` varchar(50) NOT NULL default '',
  `mailed` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `messread_use_ix` (`useridfrom`),
  KEY `messread_use2_ix` (`useridto`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stores all messages that have been read' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_application`
--

CREATE TABLE IF NOT EXISTS `mnet_application` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `display_name` varchar(50) NOT NULL default '',
  `xmlrpc_server_url` varchar(255) NOT NULL default '',
  `sso_land_url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Information about applications on remote hosts' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `mnet_application`
--

INSERT INTO `mnet_application` (`id`, `name`, `display_name`, `xmlrpc_server_url`, `sso_land_url`) VALUES
(1, 'moodle', 'Moodle', '/mnet/xmlrpc/server.php', '/auth/mnet/land.php'),
(2, 'mahara', 'Mahara', '/api/xmlrpc/server.php', '/auth/xmlrpc/land.php');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_enrol_assignments`
--

CREATE TABLE IF NOT EXISTS `mnet_enrol_assignments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `hostid` bigint(10) unsigned NOT NULL default '0',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `rolename` varchar(255) NOT NULL default '',
  `enroltime` bigint(10) unsigned NOT NULL default '0',
  `enroltype` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `mnetenroassi_hoscou_ix` (`hostid`,`courseid`),
  KEY `mnetenroassi_use_ix` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Information about enrolments on courses on remote hosts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_enrol_course`
--

CREATE TABLE IF NOT EXISTS `mnet_enrol_course` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `hostid` bigint(10) unsigned NOT NULL default '0',
  `remoteid` bigint(10) unsigned NOT NULL default '0',
  `cat_id` bigint(10) unsigned NOT NULL default '0',
  `cat_name` varchar(255) NOT NULL default '',
  `cat_description` mediumtext NOT NULL,
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  `fullname` varchar(254) NOT NULL default '',
  `shortname` varchar(15) NOT NULL default '',
  `idnumber` varchar(100) NOT NULL default '',
  `summary` mediumtext NOT NULL,
  `startdate` bigint(10) unsigned NOT NULL default '0',
  `cost` varchar(10) NOT NULL default '',
  `currency` varchar(3) NOT NULL default '',
  `defaultroleid` smallint(4) unsigned NOT NULL default '0',
  `defaultrolename` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mnetenrocour_hosrem_uix` (`hostid`,`remoteid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Information about courses on remote hosts' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_host`
--

CREATE TABLE IF NOT EXISTS `mnet_host` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `deleted` tinyint(1) unsigned NOT NULL default '0',
  `wwwroot` varchar(255) NOT NULL default '',
  `ip_address` varchar(39) NOT NULL default '',
  `name` varchar(80) NOT NULL default '',
  `public_key` mediumtext NOT NULL,
  `public_key_expires` bigint(10) unsigned NOT NULL default '0',
  `transport` tinyint(2) unsigned NOT NULL default '0',
  `portno` mediumint(5) unsigned NOT NULL default '0',
  `last_connect_time` bigint(10) unsigned NOT NULL default '0',
  `last_log_id` bigint(10) unsigned NOT NULL default '0',
  `force_theme` tinyint(1) unsigned NOT NULL default '0',
  `theme` varchar(100) default NULL,
  `applicationid` bigint(10) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `mnethost_app_ix` (`applicationid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Information about the local and remote hosts for RPC' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `mnet_host`
--

INSERT INTO `mnet_host` (`id`, `deleted`, `wwwroot`, `ip_address`, `name`, `public_key`, `public_key_expires`, `transport`, `portno`, `last_connect_time`, `last_log_id`, `force_theme`, `theme`, `applicationid`) VALUES
(1, 0, 'http://formacion.laboratoriodeseguridadtelematica.com', '127.0.0.1', '', '', 0, 0, 0, 0, 0, 0, NULL, 1),
(2, 0, '', '', 'All Hosts', '', 0, 0, 0, 0, 0, 0, NULL, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_host2service`
--

CREATE TABLE IF NOT EXISTS `mnet_host2service` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `hostid` bigint(10) unsigned NOT NULL default '0',
  `serviceid` bigint(10) unsigned NOT NULL default '0',
  `publish` tinyint(1) unsigned NOT NULL default '0',
  `subscribe` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mnethost_hosser_uix` (`hostid`,`serviceid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Information about the services for a given host' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_log`
--

CREATE TABLE IF NOT EXISTS `mnet_log` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `hostid` bigint(10) unsigned NOT NULL default '0',
  `remoteid` bigint(10) unsigned NOT NULL default '0',
  `time` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `course` bigint(10) unsigned NOT NULL default '0',
  `coursename` varchar(40) NOT NULL default '',
  `module` varchar(20) NOT NULL default '',
  `cmid` bigint(10) unsigned NOT NULL default '0',
  `action` varchar(40) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `mnetlog_hosusecou_ix` (`hostid`,`userid`,`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Store session data from users migrating to other sites' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_rpc`
--

CREATE TABLE IF NOT EXISTS `mnet_rpc` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `function_name` varchar(40) NOT NULL default '',
  `xmlrpc_path` varchar(80) NOT NULL default '',
  `parent_type` varchar(6) NOT NULL default '',
  `parent` varchar(20) NOT NULL default '',
  `enabled` tinyint(1) unsigned NOT NULL default '0',
  `help` mediumtext NOT NULL,
  `profile` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `mnetrpc_enaxml_ix` (`enabled`,`xmlrpc_path`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Functions or methods that we may publish or subscribe to' AUTO_INCREMENT=15 ;

--
-- Volcado de datos para la tabla `mnet_rpc`
--

INSERT INTO `mnet_rpc` (`id`, `function_name`, `xmlrpc_path`, `parent_type`, `parent`, `enabled`, `help`, `profile`) VALUES
(1, 'user_authorise', 'auth/mnet/auth.php/user_authorise', 'auth', 'mnet', 0, 'Return user data for the provided token, compare with user_agent string.', 'a:3:{i:0;a:2:{s:4:"type";s:5:"array";s:11:"description";s:44:"$userdata Array of user info for remote host";}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:45:"token - The unique ID provided by remotehost.";}i:2;a:2:{s:4:"type";s:6:"string";s:11:"description";s:30:"useragent - User Agent string.";}}'),
(2, 'keepalive_server', 'auth/mnet/auth.php/keepalive_server', 'auth', 'mnet', 0, 'Receives an array of usernames from a remote machine and prods their\\n sessions to keep them alive', 'a:2:{i:0;a:2:{s:4:"type";s:6:"string";s:11:"description";s:30:"\\"All ok\\" or an error message";}i:1;a:2:{s:4:"type";s:5:"array";s:11:"description";s:29:"array - An array of usernames";}}'),
(3, 'kill_children', 'auth/mnet/auth.php/kill_children', 'auth', 'mnet', 0, 'The IdP uses this function to kill child sessions on other hosts', 'a:3:{i:0;a:2:{s:4:"type";s:6:"string";s:11:"description";s:39:"A plaintext report of what has happened";}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:39:"username - Username for session to kill";}i:2;a:2:{s:4:"type";s:6:"string";s:11:"description";s:47:"useragent - SHA1 hash of user agent to look for";}}'),
(4, 'refresh_log', 'auth/mnet/auth.php/refresh_log', 'auth', 'mnet', 0, 'Receives an array of log entries from an SP and adds them to the mnet_log\\n table', 'a:2:{i:0;a:2:{s:4:"type";s:6:"string";s:11:"description";s:30:"\\"All ok\\" or an error message";}i:1;a:2:{s:4:"type";s:5:"array";s:11:"description";s:29:"array - An array of usernames";}}'),
(5, 'fetch_user_image', 'auth/mnet/auth.php/fetch_user_image', 'auth', 'mnet', 0, 'Returns the user''s image as a base64 encoded string.', 'a:2:{i:0;a:2:{s:4:"type";s:6:"string";s:11:"description";s:17:"The encoded image";}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:29:"username - The id of the user";}}'),
(6, 'fetch_theme_info', 'auth/mnet/auth.php/fetch_theme_info', 'auth', 'mnet', 0, 'Returns the theme information and logo url as strings.', 'a:1:{i:0;a:2:{s:4:"type";s:6:"string";s:11:"description";s:14:"The theme info";}}'),
(7, 'update_enrolments', 'auth/mnet/auth.php/update_enrolments', 'auth', 'mnet', 0, 'Invoke this function _on_ the IDP to update it with enrolment info local to\\n the SP right after calling user_authorise()\\n \\n Normally called by the SP after calling', 'a:3:{i:0;a:2:{s:4:"type";s:7:"boolean";s:11:"description";N;}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:23:"username - The username";}i:2;a:2:{s:4:"type";s:6:"string";s:11:"description";s:77:"courses - Assoc array of courses following the structure of mnet_enrol_course";}}'),
(8, 'keepalive_client', 'auth/mnet/auth.php/keepalive_client', 'auth', 'mnet', 0, 'Poll the IdP server to let it know that a user it has authenticated is still\\n online', 'a:1:{i:0;a:2:{s:4:"type";s:6:"string";s:11:"description";N;}}'),
(9, 'kill_child', 'auth/mnet/auth.php/kill_child', 'auth', 'mnet', 0, 'TODO:Untested When the IdP requests that child sessions are terminated,\\n this function will be called on each of the child hosts. The machine that\\n calls the function (over xmlrpc) provides us with the mnethostid we need.', 'a:3:{i:0;a:2:{s:4:"type";s:7:"boolean";s:11:"description";s:15:"True on success";}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:39:"username - Username for session to kill";}i:2;a:2:{s:4:"type";s:6:"string";s:11:"description";s:47:"useragent - SHA1 hash of user agent to look for";}}'),
(10, 'available_courses', 'enrol/mnet/enrol.php/available_courses', 'enrol', 'mnet', 0, 'Does Foo', 'a:1:{i:0;a:2:{s:4:"type";s:7:"boolean";s:11:"description";s:47:"Whether the user can login from the remote host";}}'),
(11, 'user_enrolments', 'enrol/mnet/enrol.php/user_enrolments', 'enrol', 'mnet', 0, 'No description given.', 'a:2:{i:0;a:2:{s:4:"type";s:4:"void";s:11:"description";s:0:"";}i:1;s:6:"userid";}'),
(12, 'enrol_user', 'enrol/mnet/enrol.php/enrol_user', 'enrol', 'mnet', 0, 'Enrols user to course with the default role', 'a:3:{i:0;a:2:{s:4:"type";s:7:"boolean";s:11:"description";s:41:"Whether the enrolment has been successful";}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:37:"user - The username of the remote use";}i:2;a:2:{s:4:"type";s:3:"int";s:11:"description";s:37:"courseid - The id of the local course";}}'),
(13, 'unenrol_user', 'enrol/mnet/enrol.php/unenrol_user', 'enrol', 'mnet', 0, 'Unenrol a user from a course', 'a:3:{i:0;a:2:{s:4:"type";s:7:"boolean";s:11:"description";s:47:"Whether the user can login from the remote host";}i:1;a:2:{s:4:"type";s:6:"string";s:11:"description";s:23:"username - The username";}i:2;a:2:{s:4:"type";s:3:"int";s:11:"description";s:37:"courseid - The id of the local course";}}'),
(14, 'course_enrolments', 'enrol/mnet/enrol.php/course_enrolments', 'enrol', 'mnet', 0, 'Get a list of users from the client server who are enrolled in a course', 'a:3:{i:0;a:2:{s:4:"type";s:5:"array";s:11:"description";s:39:"Array of usernames who are homed on the";}i:1;a:2:{s:4:"type";s:3:"int";s:11:"description";s:24:"courseid - The Course ID";}i:2;a:2:{s:4:"type";s:6:"string";s:11:"description";s:47:"roles - Comma-separated list of role shortnames";}}');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_service`
--

CREATE TABLE IF NOT EXISTS `mnet_service` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `description` varchar(40) NOT NULL default '',
  `apiversion` varchar(10) NOT NULL default '',
  `offer` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='A service is a group of functions' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `mnet_service`
--

INSERT INTO `mnet_service` (`id`, `name`, `description`, `apiversion`, `offer`) VALUES
(1, 'sso_idp', '', '1', 1),
(2, 'sso_sp', '', '1', 1),
(3, 'mnet_enrol', '', '1', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_service2rpc`
--

CREATE TABLE IF NOT EXISTS `mnet_service2rpc` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `serviceid` bigint(10) unsigned NOT NULL default '0',
  `rpcid` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mnetserv_rpcser_uix` (`rpcid`,`serviceid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Group functions or methods under a service' AUTO_INCREMENT=15 ;

--
-- Volcado de datos para la tabla `mnet_service2rpc`
--

INSERT INTO `mnet_service2rpc` (`id`, `serviceid`, `rpcid`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 1, 3),
(4, 1, 4),
(5, 1, 5),
(6, 1, 6),
(7, 1, 7),
(8, 2, 8),
(9, 2, 9),
(10, 3, 10),
(11, 3, 11),
(12, 3, 12),
(13, 3, 13),
(14, 3, 14);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_session`
--

CREATE TABLE IF NOT EXISTS `mnet_session` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `username` varchar(100) NOT NULL default '',
  `token` varchar(40) NOT NULL default '',
  `mnethostid` bigint(10) unsigned NOT NULL default '0',
  `useragent` varchar(40) NOT NULL default '',
  `confirm_timeout` bigint(10) unsigned NOT NULL default '0',
  `session_id` varchar(40) NOT NULL default '',
  `expires` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mnetsess_tok_uix` (`token`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Store session data from users migrating to other sites' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mnet_sso_access_control`
--

CREATE TABLE IF NOT EXISTS `mnet_sso_access_control` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `username` varchar(100) NOT NULL default '',
  `mnet_host_id` bigint(10) unsigned NOT NULL default '0',
  `accessctrl` varchar(20) NOT NULL default 'allow',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mnetssoaccecont_mneu_uix` (`mnet_host_id`,`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Users by host permitted (or not) to login from a remote prov' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `modules`
--

CREATE TABLE IF NOT EXISTS `modules` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(20) NOT NULL default '',
  `version` bigint(10) NOT NULL default '0',
  `cron` bigint(10) unsigned NOT NULL default '0',
  `lastcron` bigint(10) unsigned NOT NULL default '0',
  `search` varchar(255) NOT NULL default '',
  `visible` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `modu_nam_ix` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='modules available in the site' AUTO_INCREMENT=18 ;

--
-- Volcado de datos para la tabla `modules`
--

INSERT INTO `modules` (`id`, `name`, `version`, `cron`, `lastcron`, `search`, `visible`) VALUES
(1, 'assignment', 2007101511, 60, 0, '', 1),
(2, 'chat', 2009031100, 300, 0, '', 1),
(3, 'choice', 2007101509, 0, 0, '', 1),
(4, 'data', 2007101514, 60, 0, '', 1),
(5, 'forum', 2007101513, 60, 0, '', 1),
(6, 'glossary', 2007101509, 0, 0, '', 1),
(7, 'hotpot', 2007101513, 0, 0, '', 0),
(8, 'journal', 2007101509, 60, 0, '', 0),
(9, 'label', 2007101510, 0, 0, '', 1),
(10, 'lams', 2007101509, 0, 0, '', 0),
(11, 'lesson', 2008112601, 0, 0, '', 1),
(12, 'quiz', 2007101511, 0, 0, '', 1),
(13, 'resource', 2007101510, 0, 0, '', 1),
(14, 'scorm', 2007110502, 300, 0, '', 1),
(15, 'survey', 2007101509, 0, 0, '', 1),
(16, 'wiki', 2007101509, 3600, 0, '', 1),
(17, 'workshop', 2007101510, 60, 0, '', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `post`
--

CREATE TABLE IF NOT EXISTS `post` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `module` varchar(20) NOT NULL default '',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) unsigned NOT NULL default '0',
  `moduleid` bigint(10) unsigned NOT NULL default '0',
  `coursemoduleid` bigint(10) unsigned NOT NULL default '0',
  `subject` varchar(128) NOT NULL default '',
  `summary` longtext,
  `content` longtext,
  `uniquehash` varchar(128) NOT NULL default '',
  `rating` bigint(10) unsigned NOT NULL default '0',
  `format` bigint(10) unsigned NOT NULL default '0',
  `attachment` varchar(100) default NULL,
  `publishstate` enum('draft','site','public') NOT NULL default 'draft',
  `lastmodified` bigint(10) unsigned NOT NULL default '0',
  `created` bigint(10) unsigned NOT NULL default '0',
  `usermodified` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `post_iduse_uix` (`id`,`userid`),
  KEY `post_las_ix` (`lastmodified`),
  KEY `post_mod_ix` (`module`),
  KEY `post_sub_ix` (`subject`),
  KEY `post_use_ix` (`usermodified`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Generic post table to hold data blog entries etc in differen' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question`
--

CREATE TABLE IF NOT EXISTS `question` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `category` bigint(10) NOT NULL default '0',
  `parent` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `questiontext` text NOT NULL,
  `questiontextformat` tinyint(2) NOT NULL default '0',
  `image` varchar(255) NOT NULL default '',
  `generalfeedback` text NOT NULL,
  `defaultgrade` bigint(10) unsigned NOT NULL default '1',
  `penalty` double NOT NULL default '0.1',
  `qtype` varchar(20) NOT NULL default '',
  `length` bigint(10) unsigned NOT NULL default '1',
  `stamp` varchar(255) NOT NULL default '',
  `version` varchar(255) NOT NULL default '',
  `hidden` tinyint(1) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `createdby` bigint(10) unsigned default NULL,
  `modifiedby` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `ques_cat_ix` (`category`),
  KEY `ques_par_ix` (`parent`),
  KEY `ques_cre_ix` (`createdby`),
  KEY `ques_mod_ix` (`modifiedby`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='The questions themselves' AUTO_INCREMENT=12 ;

--
-- Volcado de datos para la tabla `question`
--

INSERT INTO `question` (`id`, `category`, `parent`, `name`, `questiontext`, `questiontextformat`, `image`, `generalfeedback`, `defaultgrade`, `penalty`, `qtype`, `length`, `stamp`, `version`, `hidden`, `timecreated`, `timemodified`, `createdby`, `modifiedby`) VALUES
(1, 6, 0, 'Question 1', '¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?', 1, '', 'Seleccione una respuesta.', 1, 1, 'truefalse', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614132752+SHoC4X', 'formacion.laboratoriodeseguridadtelematica.com+140614132753+X4Isrw', 1, 1402752472, 1402752472, 2, 2),
(2, 6, 0, 'Question 1', '¿La Agencia Española de Protección de Datos puede realizar inspecciones de oficio?<br />', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614133331+2oNVDJ', 'formacion.laboratoriodeseguridadtelematica.com+140614135447+Lp8S4u', 0, 1402752811, 1402754087, 2, 2),
(3, 6, 0, 'Question 2', '¿Puede el titular de los datos negarse a que éstos sean utilizados para el envió de información comercial?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614133836+5Ov21a', 'formacion.laboratoriodeseguridadtelematica.com+140614135516+MaiC3X', 0, 1402753116, 1402754116, 2, 2),
(4, 6, 0, 'Question 3', '¿Qué entidad es competente para instruir y resolver los expedientes sancionadores por la comisión de las infracciones previstas por la ley?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614133945+xCYQQl', 'formacion.laboratoriodeseguridadtelematica.com+140614135539+kpUo6J', 0, 1402753185, 1402754139, 2, 2),
(5, 6, 0, 'Question 4', '¿La LOPD exige inscribir en el Registro General de Protección de Datos los ficheros(automatizados o en papel) que contengán datos personales?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134050+p001pn', 'formacion.laboratoriodeseguridadtelematica.com+140614135601+8tivfw', 0, 1402753250, 1402754161, 2, 2),
(6, 6, 0, 'Question 5', '¿Qué Reglamento de Desarrollo de la LOPD está en vigor actualmente?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134153+8DeYm8', 'formacion.laboratoriodeseguridadtelematica.com+140614135631+ygMubo', 0, 1402753313, 1402754191, 2, 2),
(7, 6, 0, 'Question 6', 'La Agencia Española de Protección de Datos se autofinacia por medio de las sanciones que ella misma impone.', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134318+lU28dl', 'formacion.laboratoriodeseguridadtelematica.com+140614135800+088y3h', 0, 1402753398, 1402754280, 2, 2),
(8, 6, 0, 'Question 7', '¿La antigua LORTAD sólo regulaba los datos personales registrados en soporte papel?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134449+XrJj9v', 'formacion.laboratoriodeseguridadtelematica.com+140614135915+t4f7BA', 0, 1402753489, 1402754355, 2, 2),
(9, 6, 0, 'Question 8', 'La creación de los ficheros de titularidad pública sólo podrá hacerse por medio de disposición general o acuerdo publicado en el &quot;Boletín Oficial del Estado&quot; o diario oficial correspondiente.', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134533+QkJG94', 'formacion.laboratoriodeseguridadtelematica.com+140614140035+KLd2kB', 0, 1402753533, 1402754435, 2, 2),
(10, 6, 0, 'Question 9', '¿La LOPD admite otros soportes además de los informáticos, como el soporte en papel, en imágenes o sonido?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134630+Nr0hH2', 'formacion.laboratoriodeseguridadtelematica.com+140614140101+5wZonX', 0, 1402753590, 1402754461, 2, 2),
(11, 6, 0, 'Question 10', '¿La AGPD es una entidad pública o privada?', 1, '', '', 1, 1, 'multichoice', 1, 'formacion.laboratoriodeseguridadtelematica.com+140614134758+NjoPNr', 'formacion.laboratoriodeseguridadtelematica.com+140614140126+zgmgoQ', 0, 1402753678, 1402754486, 2, 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_answers`
--

CREATE TABLE IF NOT EXISTS `question_answers` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `answer` text NOT NULL,
  `fraction` double NOT NULL default '0',
  `feedback` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `quesansw_que_ix` (`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Answers, with a fractional grade (0-1) and feedback' AUTO_INCREMENT=24 ;

--
-- Volcado de datos para la tabla `question_answers`
--

INSERT INTO `question_answers` (`id`, `question`, `answer`, `fraction`, `feedback`) VALUES
(1, 1, 'True', 1, ''),
(2, 1, 'False', 0, ''),
(3, 2, 'SI', 1, ' SI '),
(4, 2, 'NO', 0, ' NO '),
(5, 3, 'SI', 1, ' SI '),
(6, 3, 'NO', 0, ' NO '),
(7, 4, 'RGPD', 0, ' RGPD '),
(8, 4, 'AGPD', 1, ' AGPD '),
(9, 5, 'SI', 1, ' SI '),
(10, 5, 'NO, sólo los ficheros automatizados', 0, ' NO, sólo los ficheros automatizados '),
(11, 6, 'RD 994/1999', 0, ' RD 994/1999 '),
(12, 6, 'RD 1720/2007', 1, ' RD 1720/2007 '),
(13, 7, 'Verdadero', 1, ' Verdadero '),
(14, 7, 'Falso', 0, ' Falso '),
(15, 8, 'Verdadero', 0, ' Verdadero '),
(16, 8, 'Falso', 1, ' Falso '),
(17, 9, 'Verdadero', 1, ' Verdadero '),
(18, 9, 'Falso', 0, ' Falso '),
(19, 10, 'SI', 1, ' SI '),
(20, 10, 'NO', 0, ' NO, sólo los informáticos '),
(21, 11, 'Publica', 1, ' Pública '),
(22, 11, 'Privada', 0, ' Privada '),
(23, 11, 'Semipublica', 0, ' Semipública ');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_attempts`
--

CREATE TABLE IF NOT EXISTS `question_attempts` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `modulename` varchar(20) NOT NULL default 'quiz',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Student attempts. This table gets extended by the modules' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `question_attempts`
--

INSERT INTO `question_attempts` (`id`, `modulename`) VALUES
(3, 'quiz');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_calculated`
--

CREATE TABLE IF NOT EXISTS `question_calculated` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `answer` bigint(10) unsigned NOT NULL default '0',
  `tolerance` varchar(20) NOT NULL default '0.0',
  `tolerancetype` bigint(10) NOT NULL default '1',
  `correctanswerlength` bigint(10) NOT NULL default '2',
  `correctanswerformat` bigint(10) NOT NULL default '2',
  PRIMARY KEY  (`id`),
  KEY `quescalc_ans_ix` (`answer`),
  KEY `quescalc_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Options for questions of type calculated' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_categories`
--

CREATE TABLE IF NOT EXISTS `question_categories` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `contextid` bigint(10) unsigned NOT NULL default '0',
  `info` text NOT NULL,
  `stamp` varchar(255) NOT NULL default '',
  `parent` bigint(10) unsigned NOT NULL default '0',
  `sortorder` bigint(10) unsigned NOT NULL default '999',
  PRIMARY KEY  (`id`),
  KEY `quescate_con_ix` (`contextid`),
  KEY `quescate_par_ix` (`parent`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Categories are for grouping questions' AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `question_categories`
--

INSERT INTO `question_categories` (`id`, `name`, `contextid`, `info`, `stamp`, `parent`, `sortorder`) VALUES
(1, 'Valor por defecto para Portada', 2, 'Categoría por defecto para preguntas compartidas en el contexto Portada.', 'formacion.laboratoriodeseguridadtelematica.com+140324204237+psEFjB', 0, 999),
(2, 'Valor por defecto para Núcleo del sistema', 1, 'Categoría por defecto para preguntas compartidas en el contexto Núcleo del sistema.', 'formacion.laboratoriodeseguridadtelematica.com+140324204237+UpLRBU', 0, 999),
(3, 'Valor por defecto para Introducción a la L.O.P.D.', 11, 'Categoría por defecto para preguntas compartidas en el contexto Introducción a la L.O.P.D..', 'formacion.laboratoriodeseguridadtelematica.com+140614130800+4EWMGJ', 0, 999),
(4, 'Valor por defecto para Miscellaneous', 3, 'Categoría por defecto para preguntas compartidas en el contexto Miscellaneous.', 'formacion.laboratoriodeseguridadtelematica.com+140614130800+EToMel', 0, 999),
(5, 'Default for Cuestionario 1', 47, 'The default category for questions shared in context ''Cuestionario 1''.', 'formacion.laboratoriodeseguridadtelematica.com+140614132427+iBhLfM', 0, 999),
(6, 'Default for Protección de Datos', 21, 'The default category for questions shared in context ''Protección de Datos''.', 'formacion.laboratoriodeseguridadtelematica.com+140614132427+0LNcvv', 0, 999);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_dataset_definitions`
--

CREATE TABLE IF NOT EXISTS `question_dataset_definitions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `category` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `type` bigint(10) NOT NULL default '0',
  `options` varchar(255) NOT NULL default '',
  `itemcount` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quesdatadefi_cat_ix` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Organises and stores properties for dataset items' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_dataset_items`
--

CREATE TABLE IF NOT EXISTS `question_dataset_items` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `definition` bigint(10) unsigned NOT NULL default '0',
  `itemnumber` bigint(10) unsigned NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `quesdataitem_def_ix` (`definition`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Individual dataset items' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_datasets`
--

CREATE TABLE IF NOT EXISTS `question_datasets` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `datasetdefinition` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quesdata_quedat_ix` (`question`,`datasetdefinition`),
  KEY `quesdata_que_ix` (`question`),
  KEY `quesdata_dat_ix` (`datasetdefinition`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Many-many relation between questions and dataset definitions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_match`
--

CREATE TABLE IF NOT EXISTS `question_match` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `subquestions` varchar(255) NOT NULL default '',
  `shuffleanswers` smallint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `quesmatc_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines fixed matching questions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_match_sub`
--

CREATE TABLE IF NOT EXISTS `question_match_sub` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `code` bigint(10) unsigned NOT NULL default '0',
  `question` bigint(10) unsigned NOT NULL default '0',
  `questiontext` text NOT NULL,
  `answertext` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `quesmatcsub_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines the subquestions that make up a matching question' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_multianswer`
--

CREATE TABLE IF NOT EXISTS `question_multianswer` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `sequence` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `quesmult_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Options for multianswer questions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_multichoice`
--

CREATE TABLE IF NOT EXISTS `question_multichoice` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `layout` smallint(4) NOT NULL default '0',
  `answers` varchar(255) NOT NULL default '',
  `single` smallint(4) NOT NULL default '0',
  `shuffleanswers` smallint(4) NOT NULL default '1',
  `correctfeedback` text NOT NULL,
  `partiallycorrectfeedback` text NOT NULL,
  `incorrectfeedback` text NOT NULL,
  `answernumbering` varchar(10) NOT NULL default 'abc',
  PRIMARY KEY  (`id`),
  KEY `quesmult_que2_ix` (`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Options for multiple choice questions' AUTO_INCREMENT=11 ;

--
-- Volcado de datos para la tabla `question_multichoice`
--

INSERT INTO `question_multichoice` (`id`, `question`, `layout`, `answers`, `single`, `shuffleanswers`, `correctfeedback`, `partiallycorrectfeedback`, `incorrectfeedback`, `answernumbering`) VALUES
(1, 2, 0, '3,4', 1, 0, 'Correcto', '', '', 'none'),
(2, 3, 0, '5,6', 1, 0, 'Correcto', '', '', 'none'),
(3, 4, 0, '7,8', 1, 0, 'Correcto', '', '', 'none'),
(4, 5, 0, '9,10', 1, 0, 'Correcto', '', '', 'none'),
(5, 6, 0, '11,12', 1, 0, 'Correcto', '', '', 'none'),
(6, 7, 0, '13,14', 1, 0, 'Correcto', '', '', 'none'),
(7, 8, 0, '15,16', 1, 0, 'Correcto', '', 'Incorrecto', 'none'),
(8, 9, 0, '17,18', 1, 0, 'Correcto', '', '', 'none'),
(9, 10, 0, '19,20', 1, 0, 'Correcto', '', '', 'none'),
(10, 11, 0, '21,22,23', 1, 0, 'Correcto', '', '', 'abc');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_numerical`
--

CREATE TABLE IF NOT EXISTS `question_numerical` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `answer` bigint(10) unsigned NOT NULL default '0',
  `tolerance` varchar(255) NOT NULL default '0.0',
  PRIMARY KEY  (`id`),
  KEY `quesnume_ans_ix` (`answer`),
  KEY `quesnume_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Options for numerical questions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_numerical_units`
--

CREATE TABLE IF NOT EXISTS `question_numerical_units` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `multiplier` decimal(40,20) NOT NULL default '1.00000000000000000000',
  `unit` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `quesnumeunit_queuni_uix` (`question`,`unit`),
  KEY `quesnumeunit_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Optional unit options for numerical questions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_randomsamatch`
--

CREATE TABLE IF NOT EXISTS `question_randomsamatch` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `choose` bigint(10) unsigned NOT NULL default '4',
  PRIMARY KEY  (`id`),
  KEY `quesrand_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about a random short-answer matching question' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_sessions`
--

CREATE TABLE IF NOT EXISTS `question_sessions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `attemptid` bigint(10) unsigned NOT NULL default '0',
  `questionid` bigint(10) unsigned NOT NULL default '0',
  `newest` bigint(10) unsigned NOT NULL default '0',
  `newgraded` bigint(10) unsigned NOT NULL default '0',
  `sumpenalty` double NOT NULL default '0',
  `manualcomment` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `quessess_attque_uix` (`attemptid`,`questionid`),
  KEY `quessess_att_ix` (`attemptid`),
  KEY `quessess_que_ix` (`questionid`),
  KEY `quessess_new_ix` (`newest`),
  KEY `quessess_new2_ix` (`newgraded`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Gives ids of the newest open and newest graded states' AUTO_INCREMENT=13 ;

--
-- Volcado de datos para la tabla `question_sessions`
--

INSERT INTO `question_sessions` (`id`, `attemptid`, `questionid`, `newest`, `newgraded`, `sumpenalty`, `manualcomment`) VALUES
(3, 3, 2, 3, 3, 0, ''),
(4, 3, 3, 4, 4, 0, ''),
(5, 3, 4, 5, 5, 0, ''),
(6, 3, 5, 6, 6, 0, ''),
(7, 3, 6, 7, 7, 0, ''),
(8, 3, 7, 8, 8, 0, ''),
(9, 3, 8, 9, 9, 0, ''),
(10, 3, 9, 10, 10, 0, ''),
(11, 3, 10, 11, 11, 0, ''),
(12, 3, 11, 12, 12, 0, '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_shortanswer`
--

CREATE TABLE IF NOT EXISTS `question_shortanswer` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `answers` varchar(255) NOT NULL default '',
  `usecase` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quesshor_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Options for short answer questions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_states`
--

CREATE TABLE IF NOT EXISTS `question_states` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `attempt` bigint(10) unsigned NOT NULL default '0',
  `question` bigint(10) unsigned NOT NULL default '0',
  `originalquestion` bigint(10) unsigned NOT NULL default '0',
  `seq_number` mediumint(6) unsigned NOT NULL default '0',
  `answer` text NOT NULL,
  `timestamp` bigint(10) unsigned NOT NULL default '0',
  `event` smallint(4) unsigned NOT NULL default '0',
  `grade` double NOT NULL default '0',
  `raw_grade` double NOT NULL default '0',
  `penalty` double NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quesstat_att_ix` (`attempt`),
  KEY `quesstat_que_ix` (`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores user responses to an attempt, and percentage grades' AUTO_INCREMENT=13 ;

--
-- Volcado de datos para la tabla `question_states`
--

INSERT INTO `question_states` (`id`, `attempt`, `question`, `originalquestion`, `seq_number`, `answer`, `timestamp`, `event`, `grade`, `raw_grade`, `penalty`) VALUES
(4, 3, 3, 0, 0, '5,6:', 1402753688, 0, 0, 0, 0),
(3, 3, 2, 0, 0, '3,4:', 1402753688, 0, 0, 0, 0),
(5, 3, 4, 0, 0, '7,8:', 1402753688, 0, 0, 0, 0),
(6, 3, 5, 0, 0, '9,10:', 1402753688, 0, 0, 0, 0),
(7, 3, 6, 0, 0, '11,12:', 1402753688, 0, 0, 0, 0),
(8, 3, 7, 0, 0, '13,14:', 1402753688, 0, 0, 0, 0),
(9, 3, 8, 0, 0, '16,15:', 1402753688, 0, 0, 0, 0),
(10, 3, 9, 0, 0, '17,18:', 1402753688, 0, 0, 0, 0),
(11, 3, 10, 0, 0, '19,20:', 1402753688, 0, 0, 0, 0),
(12, 3, 11, 0, 0, '21,22,23:', 1402753688, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `question_truefalse`
--

CREATE TABLE IF NOT EXISTS `question_truefalse` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `question` bigint(10) unsigned NOT NULL default '0',
  `trueanswer` bigint(10) unsigned NOT NULL default '0',
  `falseanswer` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `questrue_que_ix` (`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Options for True-False questions' AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `question_truefalse`
--

INSERT INTO `question_truefalse` (`id`, `question`, `trueanswer`, `falseanswer`) VALUES
(1, 1, 1, 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `quiz`
--

CREATE TABLE IF NOT EXISTS `quiz` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `timeopen` bigint(10) unsigned NOT NULL default '0',
  `timeclose` bigint(10) unsigned NOT NULL default '0',
  `optionflags` bigint(10) unsigned NOT NULL default '0',
  `penaltyscheme` smallint(4) unsigned NOT NULL default '0',
  `attempts` mediumint(6) NOT NULL default '0',
  `attemptonlast` smallint(4) NOT NULL default '0',
  `grademethod` smallint(4) NOT NULL default '1',
  `decimalpoints` smallint(4) NOT NULL default '2',
  `review` bigint(10) unsigned NOT NULL default '0',
  `questionsperpage` bigint(10) NOT NULL default '0',
  `shufflequestions` smallint(4) NOT NULL default '0',
  `shuffleanswers` smallint(4) NOT NULL default '0',
  `questions` text NOT NULL,
  `sumgrades` bigint(10) NOT NULL default '0',
  `grade` bigint(10) NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `timelimit` bigint(10) unsigned NOT NULL default '0',
  `password` varchar(255) NOT NULL default '',
  `subnet` varchar(255) NOT NULL default '',
  `popup` smallint(4) NOT NULL default '0',
  `delay1` bigint(10) NOT NULL default '0',
  `delay2` bigint(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quiz_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Main information about each quiz' AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `quiz`
--

INSERT INTO `quiz` (`id`, `course`, `name`, `intro`, `timeopen`, `timeclose`, `optionflags`, `penaltyscheme`, `attempts`, `attemptonlast`, `grademethod`, `decimalpoints`, `review`, `questionsperpage`, `shufflequestions`, `shuffleanswers`, `questions`, `sumgrades`, `grade`, `timecreated`, `timemodified`, `timelimit`, `password`, `subnet`, `popup`, `delay1`, `delay2`) VALUES
(1, 3, 'Cuestionario 1', '', 0, 0, 1, 1, 0, 0, 1, 2, 4652015, 0, 0, 1, '2,3,4,5,6,7,8,9,10,11,0', 10, 10, 0, 1402752266, 0, '', '', 0, 0, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `quiz_attempts`
--

CREATE TABLE IF NOT EXISTS `quiz_attempts` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `uniqueid` bigint(10) unsigned NOT NULL default '0',
  `quiz` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `attempt` mediumint(6) NOT NULL default '0',
  `sumgrades` double NOT NULL default '0',
  `timestart` bigint(10) unsigned NOT NULL default '0',
  `timefinish` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `layout` text NOT NULL,
  `preview` smallint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `quizatte_uni_uix` (`uniqueid`),
  KEY `quizatte_use_ix` (`userid`),
  KEY `quizatte_qui_ix` (`quiz`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Stores various attempts on a quiz' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `quiz_attempts`
--

INSERT INTO `quiz_attempts` (`id`, `uniqueid`, `quiz`, `userid`, `attempt`, `sumgrades`, `timestart`, `timefinish`, `timemodified`, `layout`, `preview`) VALUES
(3, 3, 1, 2, 1, 0, 1402753688, 0, 1402753688, '2,3,4,5,6,7,8,9,10,11,0', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `quiz_feedback`
--

CREATE TABLE IF NOT EXISTS `quiz_feedback` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `quizid` bigint(10) unsigned NOT NULL default '0',
  `feedbacktext` text NOT NULL,
  `mingrade` double NOT NULL default '0',
  `maxgrade` double NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quizfeed_qui_ix` (`quizid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Feedback given to students based on their overall score on t' AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `quiz_feedback`
--

INSERT INTO `quiz_feedback` (`id`, `quizid`, `feedbacktext`, `mingrade`, `maxgrade`) VALUES
(1, 1, '', 0, 11);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `quiz_grades`
--

CREATE TABLE IF NOT EXISTS `quiz_grades` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `quiz` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `grade` double NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quizgrad_use_ix` (`userid`),
  KEY `quizgrad_qui_ix` (`quiz`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Final quiz grade (may be best of several attempts)' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `quiz_question_instances`
--

CREATE TABLE IF NOT EXISTS `quiz_question_instances` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `quiz` bigint(10) unsigned NOT NULL default '0',
  `question` bigint(10) unsigned NOT NULL default '0',
  `grade` mediumint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quizquesinst_qui_ix` (`quiz`),
  KEY `quizquesinst_que_ix` (`question`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='The grade for a question in a quiz' AUTO_INCREMENT=12 ;

--
-- Volcado de datos para la tabla `quiz_question_instances`
--

INSERT INTO `quiz_question_instances` (`id`, `quiz`, `question`, `grade`) VALUES
(2, 1, 2, 1),
(3, 1, 3, 1),
(4, 1, 4, 1),
(5, 1, 5, 1),
(6, 1, 6, 1),
(7, 1, 7, 1),
(8, 1, 8, 1),
(9, 1, 9, 1),
(10, 1, 10, 1),
(11, 1, 11, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `quiz_question_versions`
--

CREATE TABLE IF NOT EXISTS `quiz_question_versions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `quiz` bigint(10) unsigned NOT NULL default '0',
  `oldquestion` bigint(10) unsigned NOT NULL default '0',
  `newquestion` bigint(10) unsigned NOT NULL default '0',
  `originalquestion` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `timestamp` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `quizquesvers_qui_ix` (`quiz`),
  KEY `quizquesvers_old_ix` (`oldquestion`),
  KEY `quizquesvers_new_ix` (`newquestion`),
  KEY `quizquesvers_ori_ix` (`originalquestion`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='quiz_question_versions table retrofitted from MySQL' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `resource`
--

CREATE TABLE IF NOT EXISTS `resource` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `type` varchar(30) NOT NULL default '',
  `reference` varchar(255) NOT NULL default '',
  `summary` text,
  `alltext` mediumtext NOT NULL,
  `popup` text NOT NULL,
  `options` varchar(255) NOT NULL default '',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `reso_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='each record is one resource and its config data' AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `resource`
--

INSERT INTO `resource` (`id`, `course`, `name`, `type`, `reference`, `summary`, `alltext`, `popup`, `options`, `timemodified`) VALUES
(1, 3, 'Texto de estudio', 'text', '4', '', 'I.	Origen de la normativa nacional\r\nNo hay duda de la importancia que las tecnologías de la información y de la comunicación han alcanzado en los últimos años. Las llamadas TIC (Tecnologías de la Información y de la Comunicación) han entrado nuestra sociedad de un modo extremadamente acelerado, produciendo una auténtica revolución de la información, del mismo modo que en su día fue la revolución industrial; amenazando con transformar por completo nuestra idea de sociedad y de las estructuras que la conforman.\r\nTal es la importancia de este nuevo entorno que ya estamos viviendo que el Derecho no puede desconocerlo. La tradicional lentitud de las leyes a la hora de regular nuevas figuras y realidades sociales se hace aquí aún más dramática donde el fenómeno crece a ojos vista en cuestión de meses, incluso de días.\r\nLa enorme capacidad de tratamiento y transmisión de la información que ofrecen las nuevas tecnologías hacen más acuciante la necesidad de proteger los derechos fundamentales del individuo, en concreto los contemplados en el artículo 18 de nuestra Constitución, el derecho al honor, a la intimidad personal y familiar y a la propia imagen.\r\nEl apartado 4º de dicho precepto dice: “La ley limitará el uso de la informática para garantizar el honor y la intimidad personal y familiar de los ciudadanos y el pleno ejercicio de sus derechos”. Tal era la concienciación del constituyente del 78 sobre la posible incidencia perjudicial de las nuevas tecnologías sobre estos derechos.\r\nPara cumplir con dicha disposición, se adoptó la Ley Orgánica 5/1992, de 29 de octubre, de Regulación del Tratamiento Automatizado de los Datos de Carácter Personal (LORTAD).\r\nA nivel comunitario, con posterioridad a la promulgación de la LORTAD, se aprobó la Directiva 95/46/CE del Parlamento Europeo y del Consejo, de 24 de octubre de 1995, relativa a la Protección de las Personas Físicas en lo que respecta al Tratamiento de Datos Personales y a la Libre Circulación de estos Datos.\r\n\r\nDebido a esta Directiva, fue necesario modificar la legislación española mediante la Ley Orgánica 15/1999, de 13 de diciembre, de Protección de Datos de Carácter Personal (LOPD). Esta nueva Ley que derogó y sustituyó a la LORTAD, pero no así a sus reglamentos de desarrollo, los cuales siguen vigentes en todo lo que no se opongan a esta nueva regulación.\r\n\r\n \r\nII.	Diferencias entre la LORTAD y la nueva LOPD\r\nA pesar de lo que pueda parecer en primera instancia, por el hecho de que sea una nueva ley, la LOPD es muy similar a la LORTAD. Es más, prácticamente el 85% de su redacción y de sus artículos coinciden “punto por punto” con la de su predecesora.\r\nEntonces... ¿Cuáles son sus diferencias?. La primera y más destacada tiene que ver con su nombre: si nos fijamos, la LORTAD se llamaba “Ley Orgánica Reguladora del Tratamiento Automatizado de Datos de carácter personal” mientras que la LOPD se denomina, simplemente, “Ley Orgánica de Protección de Datos de carácter personal”. Por tanto, la diferencia está en el término “automatizado”: así, mientras que la LORTAD se centraba solamente en las bases de datos informatizadas, la nueva LOPD se extiende también a las bases de datos en otro tipo de soportes: papel, filminas, etc.\r\nLas otras diferencias más significativas, son las siguientes:\r\n-	Incorporación de la figura del “Encargado del Tratamiento”, diferenciándose del “Responsable del Fichero”, que se define como “la persona física o jurídica, autoridad pública, servicio o cualquier otro organismo que, sólo o conjuntamente con otros, trate datos personales por cuenta del responsable del tratamiento”.\r\n-	Cambio del concepto de “cesión de datos” por el de “comunicación de datos” e introducción de un artículo nuevo (art. 12) que regula específicamente el “acceso a los datos por cuenta de terceros”.\r\n-	Modificación del Tratamiento de los ficheros privados con fines de publicidad y prospección comercial y creación del llamado “Censo Promocional” (artículos 30 y 31 LOPD).\r\n-	Ampliación y modificación del régimen aplicable al “Movimiento Internacional de Datos” (artículo 33 y 34 LOPD).\r\n-	Autorización de la creación de Órganos correspondientes de la Comunidades Autónomas en materia de Protección de Datos, parcialmente homólogos de la Agencia de Protección de Datos (artículo 41 LOPD).\r\n-	Obligación de registrar y adaptar a la LOPD los ficheros de datos personales en soportes no automatizados (papel, filminas, etc.) antes del 24 de octubre del 2007 (Disposición Transitoria Primera LOPD).\r\nEvidentemente, existen muchas otras diferencias, menos relevantes, que obviamos en el presente artículo por su limitada extensión y su carácter divulgativo.\r\n\r\nA continuación, nos centraremos en la LOPD y abordaremos los aspectos más importantes de la misma en los siguientes epígrafes.\r\n \r\nIII.	Objeto y ámbito de aplicación de la LOPD\r\nEl artículo 1 de la LOPD define su objeto, en desarrollo del artículo 18.4 de la Constitución Española, que no es otro que “limitar el uso de la informática” y medios análogos con el fin de proteger el “pleno ejercicio” del derecho al honor y a la intimidad personal y familiar.\r\nEl ámbito de aplicación de la LOPD viene determinado en su artículo 2º. En su párrafo 1º, se establece la regla general para, a continuación, determinar una serie de excepciones en los párrafos siguientes. Este sistema de excepciones va a ser la tónica general de la Ley, contribuyendo al oscurecimiento de su articulado y a la limitación de su alcance.\r\nRegla general: \r\n“La presente Ley Orgánica será de aplicación a los datos de carácter personal registrados en soporte físico, que los haga susceptibles de tratamiento, y a toda modalidad de uso posterior de estos datos por los sectores público y privado.”.\r\nExcepciones: \r\nEl párrafo 2º del artículo 2 excluye la aplicación de la LOPD para los siguientes ficheros:\r\n•	A los ficheros mantenidos por personas físicas en el ejercicio de actividades exclusivamente personales o domésticas.\r\n•	A los ficheros sometidos a la normativa sobre protección de materias clasificadas.\r\n•	A los ficheros establecidos para la investigación del terrorismo y de formas graves de delincuencia organizada. No obstante, en estos supuestos el responsable del fichero comunicará previamente la existencia del mismo, sus características generales y su finalidad a la Agencia de Protección de Datos.\r\n \r\nIV.	Definiciones\r\nSiguiendo el modelo de las directivas comunitarias, la LOPD introduce una serie de definiciones “ope legis” de los términos fundamentales que maneja, y siempre con efectos únicamente de lo dispuesto en ella.\r\nSe recogen en el artículo 3 de la Ley y destacamos las siguientes:\r\n\r\n1-	Datos de carácter personal:\r\nLa Ley define los mismos como “cualquier información concerniente a personas físicas identificadas o identificables”.\r\nEn primer lugar, cabe destacar que sólo se refiere a la “información” y no a la “opinión”. Este dato es fundamental ya que la información tiene la obligación de ser veraz y viene protegida por el derecho fundamental a la Libertad de Información (artículo 20.1.d) de la Constitución), mientras que la opinión no se le impone dicha limitación y se protege por un derecho independiente: la Libertad de Expresión (artículo 20.1.a) de la Constitución).\r\nDe este modo y strictu sensu podemos afirmar que en el concepto de dato de carácter personal no están incluidas las opiniones vertidas por otras personas sobre ellas sino solamente las informaciones que son las que realmente tienen una obligación de veracidad (principio de calidad que veremos posteriormente). Con las dificultades que dicha distinción puede conllevar en la práctica, como en el caso de los “diagnósticos”, sean médicos, sociales o psicológicos, que siendo los mismos opiniones profesionales no por ello dejan de tener una cierta obligación de veracidad. Ante la duda, cabe incluir dichos elementos en el concepto de dato personal.\r\nEn segundo lugar, cabe destacar de la definición que sólo se refiere a las personas físicas, dejando de lado a las jurídicas cuyos datos no se ven protegidos por esta Ley. Asimismo dichas personas no necesitan estar identificadas plenamente, sino que basta con que se pueda deducir su identidad con relativa facilidad.\r\nEjemplos de estos datos son: nombre, apellidos, dirección, edad, estado civil, profesión, sexo, edad, etc.\r\n\r\n2-	Fichero automatizado:\r\nPara la ley, este fichero es “todo conjunto organizado de  datos  de carácter personal,  cualquiera  que fuere la forma o modalidad de su creación,  almacenamiento,  organización  y acceso”.\r\nHemos de recordar aquí que, así como la anterior LORTAD sólo se refería a ficheros informáticos, esta Ley también engloba otro tipo de soportes como el papel. Si bien, la Disposición Adicional Primera de la LOPD prorroga su aplicación a dichos soportes no automatizados hasta el 24 de octubre de 2007 (a excepción del ejercicio de derechos de acceso, rectificación y cancelación por los interesados, que veremos posteriormente).\r\n\r\n3-	Tratamiento de datos:\r\nSe definen como las “operaciones y procedimientos técnicos de carácter automatizado o no, que permitan la recogida, grabación, conservación, elaboración, modificación, bloqueo y cancelación, así como las cesiones de datos que resulten de comunicaciones, consultas, interconexiones y transferencias”.\r\nTodos estos elementos forman parte del procesamiento y uso de la información, se utilice o no la informática para ello.\r\n\r\n4-	Responsable del fichero:\r\nPara la LOPD, el responsable del fichero es aquella “persona física o jurídica, de naturaleza pública o privada, u órgano administrativo, que decida sobre la finalidad, contenido y uso del tratamiento”.\r\nÉste concepto es sumamente importante ya que nos indica el sujeto contra el que hay que dirigirse directamente en caso de violación de los preceptos contenidos en la Ley con relación a los datos bajo su control. \r\n\r\n5-	Encargado del tratamiento:\r\nPara la LOPD, el encargado del tratamiento es aquella “la persona física o jurídica, autoridad pública, servicio o cualquier otro organismo que, sólo o conjuntamente con otros, trate datos personales por cuenta del responsable del tratamiento”.\r\nComo vimos anteriormente, es una novedad en relación a la LORTAD que no contemplaba esta figura.\r\n\r\n6-	Afectado:\r\nSe define al afectado como aquella “persona física  titular  de  los  datos  que  sean  objeto del tratamiento”. Ya hemos destacado que las personas jurídicas quedan fuera del ámbito de protección de la Ley.\r\n\r\n7-	Procedimiento de disociación:\r\nEste procedimiento responde a “todo tratamiento de datos personales de modo que la información que se obtenga no pueda asociarse a persona identificada o identificable”.\r\nEste sistema asegura el anonimato de los afectados y, por tanto, su derecho al honor y a la intimidad. Un ejemplo paradigmático de este sistema son los datos estadísticos.\r\n \r\nV.	Principios de la protección de datos\r\nEl Título II de la LOPD, artículos 4 a 12, se dedican a enumerar los principios informadores fundamentales en la protección de datos de carácter personal. A continuación veremos uno por uno dichos principios:\r\nA.	Calidad de los datos:\r\nEl artículo 4 define los siguientes principios vinculados con la necesaria calidad de los datos:\r\n1-	Principio de finalidad:\r\nLos datos personales deben ser “adecuados, pertinentes y no excesivos” con relación al ámbito y fines para los que fueron recogidos.\r\nAsimismo, dichos datos “no podrán usarse para finalidades incompatibles” de las fijadas en el momento de su recogida. Y, consecuentemente, deberán ser “cancelados cuando  hayan  dejado de ser necesarios o pertinentes para la finalidad para la  cual  hubieran  sido recabados y registrados” . Este ultimo punto lo denomino coloquialmente como el “Principio del derecho al olvido” que todo interesado tiene en relación a sus datos.\r\n\r\n2-	Principio de calidad de los datos “strictu sensu”:\r\nLos datos personales deben ser “exactos y puestos al día”. En caso contrario, la LOPD impone la obligación de que los datos erróneos sean cancelados y sustituidos por los correctos de oficio, sin perjuicio de los derechos de rectificación y cancelación por parte del afectado. (artículo 16)\r\n3-	Principio de almacenamiento de los datos:\r\nLa Ley no impone ningún sistema determinado de almacenamiento, pudiendo éste ser automatizado o no. El único requisito que exige, en el párrafo sexto de su artículo 4, es que dicho sistema permita “el ejercicio del derecho de acceso por parte del afectado”.\r\n\r\n4-	Principio de licitud:\r\nEn la recogida de datos: \r\nArtículo 4.7; “Se prohíbe la recogida de datos  por  medios  fraudulentos,  desleales o ilícitos”.\r\nEn la clasificación de los datos: \r\nArtículo 4.1, párrafo 2º; “En su clasificación sólo podrán utilizarse criterios que  no  se  presten a prácticas ilícitas”.\r\nEn la finalidad de su utilización: \r\nArtículo 4.1, párrafo 1º; “...y  las finalidades legítimas para las que se hayan obtenido”.\r\n\r\nB.	Derecho de Información en la recogida de datos:\r\nEn el momento de la recogida de datos personales, el artículo 5 de la Ley impone la obligación de informar a los afectados sobre determinados extremos.\r\nLa información facilitada debe cumplir los siguientes requisitos:\r\n1-	Se ha de realizar con carácter previo a la solicitud de los datos.\r\n2-	Debe ser expresa, precisa e inequívoca.\r\nEl contenido obligatorio de dicha información es el siguiente:\r\na-	Existencia  de  un  fichero  automatizado  de  datos  de carácter personal,  finalidad de la recogida de éstos y destinatarios  de la información.\r\nb-	Carácter obligatorio o facultativo de la respuesta del afectado a  las preguntas que le sean planteadas.\r\nc-	Consecuencias de la obtención de los datos o de  la  negativa a suministrarlos.\r\nd-	Posibilidad de ejercitar los derechos de  acceso,  rectificación y cancelación.\r\ne-	Identidad y dirección del responsable del fichero.\r\n\r\nÉste requisito de información no será exigible, reza el apartado 3 del artículo 5, si “el contenido de ella se  deduce claramente  de  la  naturaleza  de  los  datos personales que se solicitan o de las circunstancias en que se recaban”. Sin duda, el problema está en determinar, en la práctica, cuándo se puede deducir o no dicha información.\r\n\r\nC.	Consentimiento del afectado:\r\nEl artículo 6 de la LOPD determina la necesidad del consentimiento del afectado para el tratamiento automatizado de sus datos personales.\r\nÉste consentimiento incluso podrá ser revocado, según el apartado 3 del mismo artículo, “cuando exista causa justificada para ello y no se le atribuyan efectos retroactivos”.\r\nComo no podía ser de otro modo, existen una serie de excepciones en las que no se exige el consentimiento del afectado. Son las siguientes:\r\n1-	Cuando los datos de carácter personal se recojan para el ejercicio de las funciones propias de las Administraciones públicas en el ámbito de sus competencias; \r\n2-	Cuando se refieran a las partes de un contrato o precontrato de una relación negocial, laboral o administrativa y sean necesarios para su mantenimiento o cumplimiento; \r\n3-	Cuando el tratamiento de los datos tenga por finalidad proteger un interés vital del interesado en los términos del artículo 7, apartado 6, de LOPD, o \r\n4-	Cuando los datos figuren en fuentes accesibles al público y su tratamiento sea necesario para la satisfacción del interés legítimo perseguido por el responsable del fichero o por el del tercero a quien se comuniquen los datos, siempre que no se vulneren los derechos y libertades fundamentales del interesado.\r\n\r\nD.	Datos especialmente protegidos:\r\nEl artículo 7 de la Ley regula la esfera de datos especialmente sensibles, que afectan de una manera muy directa al derecho al honor y a la intimidad. Por tanto, estos datos requieren de un régimen jurídico más estricto que el resto para garantizar convenientemente su protección.\r\nEstos datos personales se concretan en dos grupos fundamentales:\r\n1-	Ideología, afiliación sindical, religión o creencias.\r\n2-	Origen racial, salud o vida sexual.\r\n3-	Relativos a la comisión de infracciones penales o administrativas.\r\n1.	Ideología, religión o creencias.\r\nEl artículo 16 de la Constitución, garantizador de la libertad ideológica, religiosa y de culto, recoge en su párrafo 2º que “nadie podrá ser obligado a declarar sobre su ideología religión o creencias”.\r\nAtendiendo a este precepto, el artículo 7 de la LOPD, en sus apartados 1º y 2º, recoge una especial protección para los datos relativos a estas materias, en los siguientes extremos:\r\n-	Con relación al derecho a la información en la recogida de estos datos: se advertirá al interesado de su derecho a no declarar sobre los mismos.\r\n-	Con relación al consentimiento: debe ser “expreso y por escrito” del afectado para el tratamiento automatizado de dichos datos. De otro modo, no se podrán utilizar en dicho proceso.\r\n\r\n2.	Origen racial, salud o vida sexual.\r\nEl apartado 3º del artículo 7 de la LOPD se encarga de su regulación especial, indicando que éstos datos sólo podrán ser recabados, tratados automatizadamente y cedidos mediando dos requisitos:\r\n1º) Con una finalidad de “interés general”.\r\n2º) Mediante autorización:\r\n-	Concedida por una Ley,\r\n-	o mediante consentimiento expreso del afectado.\r\nCon relación a los datos relativos a la salud, el artículo 8 permite su tratamiento automatizado por las instituciones y centros sanitarios, tanto públicos como privados, así como los profesionales, de los que el afectado sea paciente o en que haya de ser tratado . Todo ello con las limitaciones que impone el artículo 11 de la LOPD en cuanto a la cesión de dichos datos y el artículo 10 en cuanto al deber de secreto sobre los mismos.\r\nInteresa además destacar, atendiendo a los dos grupos de datos vistos, que la LOPD prohíbe expresamente todos “los ficheros creados  con  la  finalidad  exclusiva de almacenar datos de carácter personal que  revelen  la  ideología,  religión, creencias, origen racial o étnico, o vida sexual”. (artículo 7.4)\r\n\r\n3.	Relativos a la comisión de infracciones penales o administrativas.\r\nEl apartado 5º del artículo 7 de la LOPD limita la inclusión de estos datos únicamente al ámbito de los ficheros automatizados de las Administraciones Públicas competentes en función de sus normas reguladoras respectivas.\r\nPor tanto, cualquier inserción de dichos datos en el ámbito privado es ilegal y, por tanto, sancionable por la LOPD, en su Título VII.\r\n\r\nE.	Deber de secreto:\r\nEn cuánto al deber de secreto, el artículo 10 de la Ley lo extiende, no solamente al responsable del fichero, sino también a todos “quienes intervengan  en cualquier fase del tratamiento de los datos de carácter personal”.\r\nDicho deber de secreto sobre los datos personales que se manejen, adquiere la misma entidad “ope legis” que el secreto profesional, subsistiendo sus efectos con posterioridad a la finalización de sus relaciones con el titular o con el responsable del fichero, según el caso.\r\n\r\nF.	Seguridad de los datos y deber de secreto:\r\nEl artículo 9 de la Ley determina la obligación del responsable del fichero de “adoptar las medidas de  índole técnica y organizativas necesarias que garanticen  la  seguridad  de  los  datos  de carácter personal y eviten su alteración, pérdida, tratamiento o  acceso  no autorizado”.\r\nDichas medidas deberán adoptarse con relación:\r\n-	al estado de la tecnología,\r\n-	a la naturaleza de los datos almacenados y\r\n-	a los riesgos a los que están expuestos (tanto humanos como naturales).\r\nSin embargo, la LOPD no define cuáles deben ser, en concreto, dichas medidas, sino que remite su determinación a la vía reglamentaria (apartados 2º y 3º del artículo 9). Dicha regulación se contiene en el Real Decreto 994/1999, de 11 de junio, por el que se aprueba el Reglamento de las Medidas de Seguridad que deben cumplir los ficheros con datos de carácter personal. Al final del presente artículo, realizaremos una breve exposición del contenido fundamental de este Reglamento.\r\n \r\n\r\n', 'resizable=1,scrollbars=1,directories=1,location=1,menubar=1,toolbar=1,status=1,width=620,height=450', '', 1402039198),
(2, 3, 'Texto de estudio', 'text', '2', '', 'VI.	Los derechos de las personas\r\nEl Título III de la LOPD se dedica a definir los derechos del afectado con relación a sus datos tratados automatizadamente. Éstos derechos, por regla general, pueden ser ejercidos en cualquier momento, mientras sus datos sean utilizados. No poseen una prescripción ni una caducidad, salvo cuando se trate de impugnación de un acto ilegal o de la reclamación de una indemnización por el mismo.\r\nLos derechos reconocidos en la LOPD son los siguientes:\r\n1-	Derecho de información.\r\n2-	Derecho de acceso.\r\n3-	Derechos de rectificación y cancelación.\r\n4-	Derecho de tutela de la administración.\r\n5-	Derecho de indemnización.\r\nA continuación los veremos uno por uno en la redacción de la Ley.\r\n\r\nA.	Derecho de información:\r\nÉste derecho de información del afectado está contemplado en la LOPD en dos vertientes:\r\nLa primera, que podemos llamar especial, se contempla en el artículo 5 con relación al derecho a la información en la recogida de datos. Nos remitimos al apartado B del epígrafe anterior donde analizábamos su contenido.\r\nLa segunda, que podemos llamar general, se recoge en el artículo 14 de la Ley y garantiza que “Cualquier persona podrá conocer, recabando a tal fin la información oportuna del Registro General de Protección de Datos, la existencia de tratamientos de datos de carácter personal, sus finalidades y la identidad del responsable del tratamiento”. Dicho Registro General será de  consulta pública y gratuita y está integrado en la Agencia de Protección de Datos , ente público designado por la LOPD para el cumplimiento de su normativa.\r\nPor tanto, mediante el ejercicio de este derecho, en cualquiera de sus vertientes, el afectado podrá averiguar:\r\n1-	La existencia de un fichero de tratamiento automatizado de datos de carácter personal.\r\n2-	La finalidad concreta que cumple ese fichero.\r\n3-	La identidad del responsable de dicho fichero.\r\nEstos datos pueden ser muy útiles de cara a identificar el fichero y su vinculación general, pero es necesario también poder acceder en concreto a los datos personales del afectado almacenados en dicho fichero. Esto último lo garantiza el siguiente derecho.\r\n\r\nB.	Derecho de acceso:\r\nSe puede considerar integrado en el derecho de información pero, por su importancia, la LOPD le atribuye entidad propia en el artículo 15. Consiste en la capacidad del afectado para dirigirse al responsable del fichero y “solicitar y obtener gratuitamente información de sus datos de carácter personal sometidos a tratamiento, el origen de dichos datos, así como las comunicaciones realizadas o que se prevén hacer de los mismos”.\r\nEste derecho tiene un carácter personalísimo, debiendo ejercitarlo siempre el afectado directamente, salvo incapacidad o minoría de edad en la que debe acudir su representante legal.\r\nLa información se podrá obtener mediante mera visualización de los datos o a través de una comunicación por escrito, copia, telecopia o fotocopia “en forma legible e inteligible”, dice la Ley.\r\nPara este derecho, la LOPD impone una limitación temporal a su ejercicio: sólo podrá ser ejercitado por el afectado “a intervalos no inferiores a doce meses”, salvo que se acredite un interés legítimo para ejercitarlo antes.\r\nEl artículo 17 de la LOPD remite a la vía reglamentaria para la regulación del procedimiento para ejercer el derecho de acceso. En la actualidad, el Real Decreto 1332/1994 , de 20 de junio, se encarga de dicha regulación, entre otras cuestiones.\r\n\r\nC.	Derechos de rectificación y cancelación:\r\nEstán recogidos conjuntamente en el artículo 16 de la LOPD. Éstos determinan que el afectado, si observa que sus datos recogidos en el fichero son inexactos o incompletos, tendrá derecho a rectificarlos o a cancelarlos, en su caso.\r\nEn este caso, si el responsable del fichero hubiese cedido dichos datos, deberá comunicar al cesionario dicha modificación o cancelación de los mismos, con el fin de que proceda del mismo modo.\r\nLa cancelación no supondrá el borrado de los datos sino solamente su bloqueo de cara a ser reclamados por Administraciones Públicas, Jueces o Tribunales dada la obligación de conservar los datos durante los plazos previstos .\r\nEl Real Decreto 1332/94 se encarga de regular el procedimiento del ejercicio de estos derechos determinando el plazo de cinco días para hacerlos efectivos, a partir de la recepción de la solicitud del derecho de acceso.\r\n\r\nD.	Derecho de Tutela de la administración :\r\nEl artículo 18.1 de la LOPD confiere al afectado el derecho a impugnar todas las actuaciones contrarias a su normativa, ante la Agencia de Protección de Datos. El procedimiento a seguir en dicha reclamación se recoge en el Real decreto 1332/94, de 20 de junio.\r\nContra las resoluciones de la Agencia cabrá recurso contencioso-admnistrativo, tal y como determina el párrafo 2º del mismo artículo.\r\n\r\nE.	Derecho de indemnización:\r\nDice el párrafo 3º del artículo 17 que “los afectados que, como consecuencia del incumplimiento de  lo dispuesto en la presente Ley por el responsable del fichero, sufran daño o  lesión  en sus bienes o derechos tendrán derecho a ser indemnizados”.\r\nEl procedimiento para exigir la indemnización varía según la titularidad de los ficheros:\r\n1.	Ficheros de titularidad pública:\r\nEn este caso, la responsabilidad se exigirá de acuerdo con la legislación reguladora del régimen de responsabilidad de las Administraciones Públicas. (artículo 19.2 de la LOPD)\r\nEsta regulación se recoge en los artículos 139 a 144 de la Ley 30/1992, de 26 de noviembre, reguladora del Régimen Jurídico de las Administraciones Públicas y del Procedimiento Administrativo Común.\r\nComo consecuencia de la misma, todo particular  que sufra una lesión en cualquiera de sus bienes o derechos como consecuencia del funcionamiento normal o anormal de los servicios públicos de una Administración Pública, tiene derecho a ser indemnizado por dicha Administración.\r\n\r\n2.	Ficheros de titularidad privada:\r\nEn el supuesto de que la lesión se produzca como consecuencia de datos recogidos en ficheros de titularidad privada, la acción de indemnización se ejercitará ante los órganos de la jurisdicción ordinaria, de acuerdo con lo dispuesto en el artículo 19.3 de la LOPD.\r\nEn este sentido, lo dispuesto por el artículo 1902 del Código Civil: “El que por acción u omisión causa daño a otro, interviniendo culpa o negligencia, está obligado a reparar el daño causado”.\r\nEn este caso, por tanto, no se trataría de una responsabilidad objetiva, a mi entender, sino de una responsabilidad subjetiva, solo exigible interviniendo culpa o negligencia en el tratamiento de los datos personales por parte del responsable del fichero o de un delegado del mismo.', '', '', 1402039274),
(3, 3, 'Texto de estudio', 'file', 'http://webs.uvigo.es/jlrivas/downloads/publicaciones/Aplicacion%20de%20la%20LOPD%20en%20los%20sistemas.pdf', '', '', '', 'forcedownload', 1402039358);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role`
--

CREATE TABLE IF NOT EXISTS `role` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `shortname` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `role_sor_uix` (`sortorder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='moodle roles' AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `role`
--

INSERT INTO `role` (`id`, `name`, `shortname`, `description`, `sortorder`) VALUES
(1, 'Administrator', 'admin', 'Administrators can usually do anything on the site, in all courses.', 0),
(2, 'Course creator', 'coursecreator', 'Course creators can create new courses.', 1),
(3, 'Teacher', 'editingteacher', 'Teachers can do anything within a course, including changing the activities and grading students.', 2),
(4, 'Non-editing teacher', 'teacher', 'Non-editing teachers can teach in courses and grade students, but may not alter activities.', 3),
(5, 'Student', 'student', 'Students generally have fewer privileges within a course.', 4),
(6, 'Guest', 'guest', 'Guests have minimal privileges and usually can not enter text anywhere.', 5),
(7, 'Authenticated user', 'user', 'All logged in users.', 6);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role_allow_assign`
--

CREATE TABLE IF NOT EXISTS `role_allow_assign` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `allowassign` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rolealloassi_rolall_uix` (`roleid`,`allowassign`),
  KEY `rolealloassi_rol_ix` (`roleid`),
  KEY `rolealloassi_all_ix` (`allowassign`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='this defines what role can assign what role' AUTO_INCREMENT=14 ;

--
-- Volcado de datos para la tabla `role_allow_assign`
--

INSERT INTO `role_allow_assign` (`id`, `roleid`, `allowassign`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 1, 4),
(4, 1, 3),
(5, 1, 5),
(6, 1, 6),
(7, 2, 4),
(8, 2, 3),
(9, 2, 5),
(10, 2, 6),
(11, 3, 4),
(12, 3, 5),
(13, 3, 6);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role_allow_override`
--

CREATE TABLE IF NOT EXISTS `role_allow_override` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `allowoverride` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rolealloover_rolall_uix` (`roleid`,`allowoverride`),
  KEY `rolealloover_rol_ix` (`roleid`),
  KEY `rolealloover_all_ix` (`allowoverride`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='this defines what role can override what role' AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `role_allow_override`
--

INSERT INTO `role_allow_override` (`id`, `roleid`, `allowoverride`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 1, 4),
(4, 1, 3),
(5, 1, 5),
(6, 1, 6),
(7, 1, 7);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role_assignments`
--

CREATE TABLE IF NOT EXISTS `role_assignments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `contextid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `hidden` tinyint(1) unsigned NOT NULL default '0',
  `timestart` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `modifierid` bigint(10) unsigned NOT NULL default '0',
  `enrol` varchar(20) NOT NULL default '',
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `roleassi_conroluse_uix` (`contextid`,`roleid`,`userid`),
  KEY `roleassi_sor_ix` (`sortorder`),
  KEY `roleassi_rol_ix` (`roleid`),
  KEY `roleassi_con_ix` (`contextid`),
  KEY `roleassi_use_ix` (`userid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='assigning roles to different context' AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `role_assignments`
--

INSERT INTO `role_assignments` (`id`, `roleid`, `contextid`, `userid`, `hidden`, `timestart`, `timeend`, `timemodified`, `modifierid`, `enrol`, `sortorder`) VALUES
(1, 1, 1, 2, 0, 0, 0, 1286799218, 0, 'manual', 0),
(2, 1, 11, 2, 0, 1395615600, 0, 1395695809, 2, 'manual', 0),
(3, 2, 11, 2, 0, 1395615600, 0, 1395695825, 2, 'manual', 0),
(4, 3, 11, 2, 0, 1395615600, 0, 1395695842, 2, 'manual', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role_capabilities`
--

CREATE TABLE IF NOT EXISTS `role_capabilities` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `contextid` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `capability` varchar(255) NOT NULL default '',
  `permission` bigint(10) NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `modifierid` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rolecapa_rolconcap_uix` (`roleid`,`contextid`,`capability`),
  KEY `rolecapa_rol_ix` (`roleid`),
  KEY `rolecapa_con_ix` (`contextid`),
  KEY `rolecapa_mod_ix` (`modifierid`),
  KEY `rolecapa_cap_ix` (`capability`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='permission has to be signed, overriding a capability for a p' AUTO_INCREMENT=561 ;

--
-- Volcado de datos para la tabla `role_capabilities`
--

INSERT INTO `role_capabilities` (`id`, `contextid`, `roleid`, `capability`, `permission`, `timemodified`, `modifierid`) VALUES
(1, 1, 1, 'moodle/legacy:admin', 1, 1286799161, 0),
(2, 1, 2, 'moodle/legacy:coursecreator', 1, 1286799161, 0),
(3, 1, 3, 'moodle/legacy:editingteacher', 1, 1286799161, 0),
(4, 1, 4, 'moodle/legacy:teacher', 1, 1286799161, 0),
(5, 1, 5, 'moodle/legacy:student', 1, 1286799161, 0),
(6, 1, 6, 'moodle/legacy:guest', 1, 1286799161, 0),
(7, 1, 7, 'moodle/legacy:user', 1, 1286799161, 0),
(8, 1, 1, 'moodle/site:doanything', 1, 1286799161, 0),
(9, 1, 1, 'moodle/site:config', 1, 1286799161, 0),
(10, 1, 1, 'moodle/site:readallmessages', 1, 1286799161, 0),
(11, 1, 3, 'moodle/site:readallmessages', 1, 1286799161, 0),
(12, 1, 1, 'moodle/site:sendmessage', 1, 1286799161, 0),
(13, 1, 7, 'moodle/site:sendmessage', 1, 1286799161, 0),
(14, 1, 1, 'moodle/site:approvecourse', 1, 1286799161, 0),
(15, 1, 3, 'moodle/site:import', 1, 1286799161, 0),
(16, 1, 1, 'moodle/site:import', 1, 1286799161, 0),
(17, 1, 3, 'moodle/site:backup', 1, 1286799161, 0),
(18, 1, 1, 'moodle/site:backup', 1, 1286799161, 0),
(19, 1, 1, 'moodle/backup:userinfo', 1, 1286799161, 0),
(20, 1, 3, 'moodle/site:restore', 1, 1286799161, 0),
(21, 1, 1, 'moodle/site:restore', 1, 1286799161, 0),
(22, 1, 1, 'moodle/restore:createuser', 1, 1286799161, 0),
(23, 1, 1, 'moodle/restore:userinfo', 1, 1286799161, 0),
(24, 1, 2, 'moodle/restore:rolldates', 1, 1286799161, 0),
(25, 1, 1, 'moodle/restore:rolldates', 1, 1286799161, 0),
(26, 1, 3, 'moodle/site:manageblocks', 1, 1286799161, 0),
(27, 1, 1, 'moodle/site:manageblocks', 1, 1286799161, 0),
(28, 1, 4, 'moodle/site:accessallgroups', 1, 1286799161, 0),
(29, 1, 3, 'moodle/site:accessallgroups', 1, 1286799161, 0),
(30, 1, 1, 'moodle/site:accessallgroups', 1, 1286799161, 0),
(31, 1, 4, 'moodle/site:viewfullnames', 1, 1286799161, 0),
(32, 1, 3, 'moodle/site:viewfullnames', 1, 1286799161, 0),
(33, 1, 1, 'moodle/site:viewfullnames', 1, 1286799161, 0),
(34, 1, 4, 'moodle/site:viewreports', 1, 1286799161, 0),
(35, 1, 3, 'moodle/site:viewreports', 1, 1286799161, 0),
(36, 1, 1, 'moodle/site:viewreports', 1, 1286799161, 0),
(37, 1, 3, 'moodle/site:trustcontent', 1, 1286799161, 0),
(38, 1, 1, 'moodle/site:trustcontent', 1, 1286799161, 0),
(39, 1, 1, 'moodle/site:uploadusers', 1, 1286799161, 0),
(40, 1, 1, 'moodle/site:langeditmaster', -1, 1286799161, 0),
(41, 1, 1, 'moodle/site:langeditlocal', 1, 1286799161, 0),
(42, 1, 1, 'moodle/user:create', 1, 1286799161, 0),
(43, 1, 1, 'moodle/user:delete', 1, 1286799161, 0),
(44, 1, 1, 'moodle/user:update', 1, 1286799161, 0),
(45, 1, 6, 'moodle/user:viewdetails', 1, 1286799161, 0),
(46, 1, 5, 'moodle/user:viewdetails', 1, 1286799161, 0),
(47, 1, 4, 'moodle/user:viewdetails', 1, 1286799161, 0),
(48, 1, 3, 'moodle/user:viewdetails', 1, 1286799161, 0),
(49, 1, 1, 'moodle/user:viewdetails', 1, 1286799161, 0),
(50, 1, 4, 'moodle/user:viewhiddendetails', 1, 1286799161, 0),
(51, 1, 3, 'moodle/user:viewhiddendetails', 1, 1286799161, 0),
(52, 1, 1, 'moodle/user:viewhiddendetails', 1, 1286799161, 0),
(53, 1, 1, 'moodle/user:loginas', 1, 1286799161, 0),
(54, 1, 3, 'moodle/role:assign', 1, 1286799161, 0),
(55, 1, 1, 'moodle/role:assign', 1, 1286799161, 0),
(56, 1, 1, 'moodle/role:override', 1, 1286799161, 0),
(57, 1, 3, 'moodle/role:safeoverride', 1, 1286799161, 0),
(58, 1, 1, 'moodle/role:manage', 1, 1286799161, 0),
(59, 1, 4, 'moodle/role:unassignself', 1, 1286799161, 0),
(60, 1, 3, 'moodle/role:unassignself', 1, 1286799161, 0),
(61, 1, 2, 'moodle/role:unassignself', 1, 1286799161, 0),
(62, 1, 1, 'moodle/role:unassignself', 1, 1286799161, 0),
(63, 1, 4, 'moodle/role:viewhiddenassigns', 1, 1286799161, 0),
(64, 1, 3, 'moodle/role:viewhiddenassigns', 1, 1286799161, 0),
(65, 1, 1, 'moodle/role:viewhiddenassigns', 1, 1286799161, 0),
(66, 1, 3, 'moodle/role:switchroles', 1, 1286799161, 0),
(67, 1, 1, 'moodle/role:switchroles', 1, 1286799161, 0),
(68, 1, 1, 'moodle/category:manage', 1, 1286799161, 0),
(69, 1, 2, 'moodle/category:viewhiddencategories', 1, 1286799161, 0),
(70, 1, 1, 'moodle/category:viewhiddencategories', 1, 1286799161, 0),
(71, 1, 2, 'moodle/course:create', 1, 1286799161, 0),
(72, 1, 1, 'moodle/course:create', 1, 1286799161, 0),
(73, 1, 7, 'moodle/course:request', 1, 1286799162, 0),
(74, 1, 1, 'moodle/course:delete', 1, 1286799162, 0),
(75, 1, 3, 'moodle/course:update', 1, 1286799162, 0),
(76, 1, 1, 'moodle/course:update', 1, 1286799162, 0),
(77, 1, 6, 'moodle/course:view', 1, 1286799162, 0),
(78, 1, 5, 'moodle/course:view', 1, 1286799162, 0),
(79, 1, 4, 'moodle/course:view', 1, 1286799162, 0),
(80, 1, 3, 'moodle/course:view', 1, 1286799162, 0),
(81, 1, 4, 'moodle/course:bulkmessaging', 1, 1286799162, 0),
(82, 1, 3, 'moodle/course:bulkmessaging', 1, 1286799162, 0),
(83, 1, 1, 'moodle/course:bulkmessaging', 1, 1286799162, 0),
(84, 1, 4, 'moodle/course:viewhiddenuserfields', 1, 1286799162, 0),
(85, 1, 3, 'moodle/course:viewhiddenuserfields', 1, 1286799162, 0),
(86, 1, 1, 'moodle/course:viewhiddenuserfields', 1, 1286799162, 0),
(87, 1, 2, 'moodle/course:viewhiddencourses', 1, 1286799162, 0),
(88, 1, 4, 'moodle/course:viewhiddencourses', 1, 1286799162, 0),
(89, 1, 3, 'moodle/course:viewhiddencourses', 1, 1286799162, 0),
(90, 1, 1, 'moodle/course:viewhiddencourses', 1, 1286799162, 0),
(91, 1, 3, 'moodle/course:visibility', 1, 1286799162, 0),
(92, 1, 1, 'moodle/course:visibility', 1, 1286799162, 0),
(93, 1, 3, 'moodle/course:managefiles', 1, 1286799162, 0),
(94, 1, 1, 'moodle/course:managefiles', 1, 1286799162, 0),
(95, 1, 3, 'moodle/course:manageactivities', 1, 1286799162, 0),
(96, 1, 1, 'moodle/course:manageactivities', 1, 1286799162, 0),
(97, 1, 3, 'moodle/course:managemetacourse', 1, 1286799162, 0),
(98, 1, 1, 'moodle/course:managemetacourse', 1, 1286799162, 0),
(99, 1, 3, 'moodle/course:activityvisibility', 1, 1286799162, 0),
(100, 1, 1, 'moodle/course:activityvisibility', 1, 1286799162, 0),
(101, 1, 4, 'moodle/course:viewhiddenactivities', 1, 1286799162, 0),
(102, 1, 3, 'moodle/course:viewhiddenactivities', 1, 1286799162, 0),
(103, 1, 1, 'moodle/course:viewhiddenactivities', 1, 1286799162, 0),
(104, 1, 5, 'moodle/course:viewparticipants', 1, 1286799162, 0),
(105, 1, 4, 'moodle/course:viewparticipants', 1, 1286799162, 0),
(106, 1, 3, 'moodle/course:viewparticipants', 1, 1286799162, 0),
(107, 1, 1, 'moodle/course:viewparticipants', 1, 1286799162, 0),
(108, 1, 3, 'moodle/course:changefullname', 1, 1286799162, 0),
(109, 1, 1, 'moodle/course:changefullname', 1, 1286799162, 0),
(110, 1, 3, 'moodle/course:changeshortname', 1, 1286799162, 0),
(111, 1, 1, 'moodle/course:changeshortname', 1, 1286799162, 0),
(112, 1, 3, 'moodle/course:changeidnumber', 1, 1286799162, 0),
(113, 1, 1, 'moodle/course:changeidnumber', 1, 1286799162, 0),
(114, 1, 3, 'moodle/course:changecategory', 1, 1286799162, 0),
(115, 1, 1, 'moodle/course:changecategory', 1, 1286799162, 0),
(116, 1, 3, 'moodle/course:changesummary', 1, 1286799162, 0),
(117, 1, 1, 'moodle/course:changesummary', 1, 1286799162, 0),
(118, 1, 1, 'moodle/site:viewparticipants', 1, 1286799162, 0),
(119, 1, 5, 'moodle/course:viewscales', 1, 1286799162, 0),
(120, 1, 4, 'moodle/course:viewscales', 1, 1286799162, 0),
(121, 1, 3, 'moodle/course:viewscales', 1, 1286799162, 0),
(122, 1, 1, 'moodle/course:viewscales', 1, 1286799162, 0),
(123, 1, 3, 'moodle/course:managescales', 1, 1286799162, 0),
(124, 1, 1, 'moodle/course:managescales', 1, 1286799162, 0),
(125, 1, 3, 'moodle/course:managegroups', 1, 1286799162, 0),
(126, 1, 1, 'moodle/course:managegroups', 1, 1286799162, 0),
(127, 1, 3, 'moodle/course:reset', 1, 1286799162, 0),
(128, 1, 1, 'moodle/course:reset', 1, 1286799162, 0),
(129, 1, 6, 'moodle/blog:view', 1, 1286799162, 0),
(130, 1, 7, 'moodle/blog:view', 1, 1286799162, 0),
(131, 1, 5, 'moodle/blog:view', 1, 1286799162, 0),
(132, 1, 4, 'moodle/blog:view', 1, 1286799162, 0),
(133, 1, 3, 'moodle/blog:view', 1, 1286799162, 0),
(134, 1, 1, 'moodle/blog:view', 1, 1286799162, 0),
(135, 1, 7, 'moodle/blog:create', 1, 1286799162, 0),
(136, 1, 1, 'moodle/blog:create', 1, 1286799162, 0),
(137, 1, 4, 'moodle/blog:manageentries', 1, 1286799162, 0),
(138, 1, 3, 'moodle/blog:manageentries', 1, 1286799162, 0),
(139, 1, 1, 'moodle/blog:manageentries', 1, 1286799162, 0),
(140, 1, 7, 'moodle/calendar:manageownentries', 1, 1286799162, 0),
(141, 1, 1, 'moodle/calendar:manageownentries', 1, 1286799162, 0),
(142, 1, 4, 'moodle/calendar:managegroupentries', 1, 1286799162, 0),
(143, 1, 3, 'moodle/calendar:managegroupentries', 1, 1286799162, 0),
(144, 1, 1, 'moodle/calendar:managegroupentries', 1, 1286799162, 0),
(145, 1, 4, 'moodle/calendar:manageentries', 1, 1286799162, 0),
(146, 1, 3, 'moodle/calendar:manageentries', 1, 1286799162, 0),
(147, 1, 1, 'moodle/calendar:manageentries', 1, 1286799162, 0),
(148, 1, 1, 'moodle/user:editprofile', 1, 1286799162, 0),
(149, 1, 6, 'moodle/user:editownprofile', -1000, 1286799162, 0),
(150, 1, 7, 'moodle/user:editownprofile', 1, 1286799162, 0),
(151, 1, 1, 'moodle/user:editownprofile', 1, 1286799162, 0),
(152, 1, 6, 'moodle/user:changeownpassword', -1000, 1286799162, 0),
(153, 1, 7, 'moodle/user:changeownpassword', 1, 1286799162, 0),
(154, 1, 1, 'moodle/user:changeownpassword', 1, 1286799162, 0),
(155, 1, 5, 'moodle/user:readuserposts', 1, 1286799162, 0),
(156, 1, 4, 'moodle/user:readuserposts', 1, 1286799162, 0),
(157, 1, 3, 'moodle/user:readuserposts', 1, 1286799162, 0),
(158, 1, 1, 'moodle/user:readuserposts', 1, 1286799162, 0),
(159, 1, 5, 'moodle/user:readuserblogs', 1, 1286799162, 0),
(160, 1, 4, 'moodle/user:readuserblogs', 1, 1286799162, 0),
(161, 1, 3, 'moodle/user:readuserblogs', 1, 1286799162, 0),
(162, 1, 1, 'moodle/user:readuserblogs', 1, 1286799162, 0),
(163, 1, 3, 'moodle/question:managecategory', 1, 1286799162, 0),
(164, 1, 1, 'moodle/question:managecategory', 1, 1286799162, 0),
(165, 1, 3, 'moodle/question:add', 1, 1286799162, 0),
(166, 1, 1, 'moodle/question:add', 1, 1286799162, 0),
(167, 1, 3, 'moodle/question:editmine', 1, 1286799162, 0),
(168, 1, 1, 'moodle/question:editmine', 1, 1286799162, 0),
(169, 1, 3, 'moodle/question:editall', 1, 1286799162, 0),
(170, 1, 1, 'moodle/question:editall', 1, 1286799162, 0),
(171, 1, 3, 'moodle/question:viewmine', 1, 1286799162, 0),
(172, 1, 1, 'moodle/question:viewmine', 1, 1286799162, 0),
(173, 1, 3, 'moodle/question:viewall', 1, 1286799162, 0),
(174, 1, 1, 'moodle/question:viewall', 1, 1286799162, 0),
(175, 1, 3, 'moodle/question:usemine', 1, 1286799162, 0),
(176, 1, 1, 'moodle/question:usemine', 1, 1286799162, 0),
(177, 1, 3, 'moodle/question:useall', 1, 1286799162, 0),
(178, 1, 1, 'moodle/question:useall', 1, 1286799162, 0),
(179, 1, 3, 'moodle/question:movemine', 1, 1286799162, 0),
(180, 1, 1, 'moodle/question:movemine', 1, 1286799162, 0),
(181, 1, 3, 'moodle/question:moveall', 1, 1286799162, 0),
(182, 1, 1, 'moodle/question:moveall', 1, 1286799162, 0),
(183, 1, 1, 'moodle/question:config', 1, 1286799162, 0),
(184, 1, 4, 'moodle/site:doclinks', 1, 1286799162, 0),
(185, 1, 3, 'moodle/site:doclinks', 1, 1286799162, 0),
(186, 1, 1, 'moodle/site:doclinks', 1, 1286799162, 0),
(187, 1, 3, 'moodle/course:sectionvisibility', 1, 1286799162, 0),
(188, 1, 1, 'moodle/course:sectionvisibility', 1, 1286799162, 0),
(189, 1, 3, 'moodle/course:useremail', 1, 1286799162, 0),
(190, 1, 1, 'moodle/course:useremail', 1, 1286799162, 0),
(191, 1, 3, 'moodle/course:viewhiddensections', 1, 1286799162, 0),
(192, 1, 1, 'moodle/course:viewhiddensections', 1, 1286799162, 0),
(193, 1, 3, 'moodle/course:setcurrentsection', 1, 1286799162, 0),
(194, 1, 1, 'moodle/course:setcurrentsection', 1, 1286799162, 0),
(195, 1, 1, 'moodle/site:mnetlogintoremote', 1, 1286799162, 0),
(196, 1, 4, 'moodle/grade:viewall', 1, 1286799162, 0),
(197, 1, 3, 'moodle/grade:viewall', 1, 1286799162, 0),
(198, 1, 1, 'moodle/grade:viewall', 1, 1286799162, 0),
(199, 1, 5, 'moodle/grade:view', 1, 1286799162, 0),
(200, 1, 4, 'moodle/grade:viewhidden', 1, 1286799162, 0),
(201, 1, 3, 'moodle/grade:viewhidden', 1, 1286799162, 0),
(202, 1, 1, 'moodle/grade:viewhidden', 1, 1286799162, 0),
(203, 1, 3, 'moodle/grade:import', 1, 1286799162, 0),
(204, 1, 1, 'moodle/grade:import', 1, 1286799162, 0),
(205, 1, 4, 'moodle/grade:export', 1, 1286799162, 0),
(206, 1, 3, 'moodle/grade:export', 1, 1286799162, 0),
(207, 1, 1, 'moodle/grade:export', 1, 1286799162, 0),
(208, 1, 3, 'moodle/grade:manage', 1, 1286799162, 0),
(209, 1, 1, 'moodle/grade:manage', 1, 1286799162, 0),
(210, 1, 3, 'moodle/grade:edit', 1, 1286799162, 0),
(211, 1, 1, 'moodle/grade:edit', 1, 1286799162, 0),
(212, 1, 3, 'moodle/grade:manageoutcomes', 1, 1286799162, 0),
(213, 1, 1, 'moodle/grade:manageoutcomes', 1, 1286799162, 0),
(214, 1, 3, 'moodle/grade:manageletters', 1, 1286799162, 0),
(215, 1, 1, 'moodle/grade:manageletters', 1, 1286799162, 0),
(216, 1, 3, 'moodle/grade:hide', 1, 1286799162, 0),
(217, 1, 1, 'moodle/grade:hide', 1, 1286799162, 0),
(218, 1, 3, 'moodle/grade:lock', 1, 1286799162, 0),
(219, 1, 1, 'moodle/grade:lock', 1, 1286799162, 0),
(220, 1, 3, 'moodle/grade:unlock', 1, 1286799162, 0),
(221, 1, 1, 'moodle/grade:unlock', 1, 1286799162, 0),
(222, 1, 7, 'moodle/my:manageblocks', 1, 1286799162, 0),
(223, 1, 4, 'moodle/notes:view', 1, 1286799162, 0),
(224, 1, 3, 'moodle/notes:view', 1, 1286799162, 0),
(225, 1, 1, 'moodle/notes:view', 1, 1286799162, 0),
(226, 1, 4, 'moodle/notes:manage', 1, 1286799162, 0),
(227, 1, 3, 'moodle/notes:manage', 1, 1286799162, 0),
(228, 1, 1, 'moodle/notes:manage', 1, 1286799162, 0),
(229, 1, 4, 'moodle/tag:manage', 1, 1286799162, 0),
(230, 1, 3, 'moodle/tag:manage', 1, 1286799162, 0),
(231, 1, 1, 'moodle/tag:manage', 1, 1286799162, 0),
(232, 1, 1, 'moodle/tag:create', 1, 1286799162, 0),
(233, 1, 7, 'moodle/tag:create', 1, 1286799162, 0),
(234, 1, 1, 'moodle/tag:edit', 1, 1286799162, 0),
(235, 1, 7, 'moodle/tag:edit', 1, 1286799162, 0),
(236, 1, 4, 'moodle/tag:editblocks', 1, 1286799162, 0),
(237, 1, 3, 'moodle/tag:editblocks', 1, 1286799162, 0),
(238, 1, 1, 'moodle/tag:editblocks', 1, 1286799162, 0),
(239, 1, 6, 'moodle/block:view', 1, 1286799162, 0),
(240, 1, 7, 'moodle/block:view', 1, 1286799162, 0),
(241, 1, 5, 'moodle/block:view', 1, 1286799162, 0),
(242, 1, 4, 'moodle/block:view', 1, 1286799162, 0),
(243, 1, 3, 'moodle/block:view', 1, 1286799162, 0),
(244, 1, 2, 'moodle/block:view', 1, 1286799162, 0),
(245, 1, 6, 'mod/assignment:view', 1, 1286799180, 0),
(246, 1, 5, 'mod/assignment:view', 1, 1286799180, 0),
(247, 1, 4, 'mod/assignment:view', 1, 1286799180, 0),
(248, 1, 3, 'mod/assignment:view', 1, 1286799180, 0),
(249, 1, 1, 'mod/assignment:view', 1, 1286799180, 0),
(250, 1, 5, 'mod/assignment:submit', 1, 1286799180, 0),
(251, 1, 4, 'mod/assignment:grade', 1, 1286799180, 0),
(252, 1, 3, 'mod/assignment:grade', 1, 1286799180, 0),
(253, 1, 1, 'mod/assignment:grade', 1, 1286799180, 0),
(254, 1, 5, 'mod/chat:chat', 1, 1286799180, 0),
(255, 1, 4, 'mod/chat:chat', 1, 1286799180, 0),
(256, 1, 3, 'mod/chat:chat', 1, 1286799180, 0),
(257, 1, 1, 'mod/chat:chat', 1, 1286799180, 0),
(258, 1, 5, 'mod/chat:readlog', 1, 1286799180, 0),
(259, 1, 4, 'mod/chat:readlog', 1, 1286799180, 0),
(260, 1, 3, 'mod/chat:readlog', 1, 1286799180, 0),
(261, 1, 1, 'mod/chat:readlog', 1, 1286799180, 0),
(262, 1, 4, 'mod/chat:deletelog', 1, 1286799180, 0),
(263, 1, 3, 'mod/chat:deletelog', 1, 1286799180, 0),
(264, 1, 1, 'mod/chat:deletelog', 1, 1286799180, 0),
(265, 1, 5, 'mod/choice:choose', 1, 1286799180, 0),
(266, 1, 4, 'mod/choice:choose', 1, 1286799180, 0),
(267, 1, 3, 'mod/choice:choose', 1, 1286799180, 0),
(268, 1, 1, 'mod/choice:choose', 1, 1286799180, 0),
(269, 1, 4, 'mod/choice:readresponses', 1, 1286799180, 0),
(270, 1, 3, 'mod/choice:readresponses', 1, 1286799180, 0),
(271, 1, 1, 'mod/choice:readresponses', 1, 1286799180, 0),
(272, 1, 4, 'mod/choice:deleteresponses', 1, 1286799180, 0),
(273, 1, 3, 'mod/choice:deleteresponses', 1, 1286799180, 0),
(274, 1, 1, 'mod/choice:deleteresponses', 1, 1286799180, 0),
(275, 1, 4, 'mod/choice:downloadresponses', 1, 1286799180, 0),
(276, 1, 3, 'mod/choice:downloadresponses', 1, 1286799180, 0),
(277, 1, 1, 'mod/choice:downloadresponses', 1, 1286799180, 0),
(278, 1, 6, 'mod/data:viewentry', 1, 1286799180, 0),
(279, 1, 5, 'mod/data:viewentry', 1, 1286799180, 0),
(280, 1, 4, 'mod/data:viewentry', 1, 1286799180, 0),
(281, 1, 3, 'mod/data:viewentry', 1, 1286799180, 0),
(282, 1, 1, 'mod/data:viewentry', 1, 1286799180, 0),
(283, 1, 5, 'mod/data:writeentry', 1, 1286799180, 0),
(284, 1, 4, 'mod/data:writeentry', 1, 1286799180, 0),
(285, 1, 3, 'mod/data:writeentry', 1, 1286799180, 0),
(286, 1, 1, 'mod/data:writeentry', 1, 1286799180, 0),
(287, 1, 5, 'mod/data:comment', 1, 1286799180, 0),
(288, 1, 4, 'mod/data:comment', 1, 1286799180, 0),
(289, 1, 3, 'mod/data:comment', 1, 1286799180, 0),
(290, 1, 1, 'mod/data:comment', 1, 1286799180, 0),
(291, 1, 4, 'mod/data:viewrating', 1, 1286799180, 0),
(292, 1, 3, 'mod/data:viewrating', 1, 1286799180, 0),
(293, 1, 1, 'mod/data:viewrating', 1, 1286799180, 0),
(294, 1, 4, 'mod/data:rate', 1, 1286799180, 0),
(295, 1, 3, 'mod/data:rate', 1, 1286799180, 0),
(296, 1, 1, 'mod/data:rate', 1, 1286799180, 0),
(297, 1, 4, 'mod/data:approve', 1, 1286799180, 0),
(298, 1, 3, 'mod/data:approve', 1, 1286799180, 0),
(299, 1, 1, 'mod/data:approve', 1, 1286799180, 0),
(300, 1, 4, 'mod/data:manageentries', 1, 1286799180, 0),
(301, 1, 3, 'mod/data:manageentries', 1, 1286799180, 0),
(302, 1, 1, 'mod/data:manageentries', 1, 1286799180, 0),
(303, 1, 4, 'mod/data:managecomments', 1, 1286799180, 0),
(304, 1, 3, 'mod/data:managecomments', 1, 1286799180, 0),
(305, 1, 1, 'mod/data:managecomments', 1, 1286799180, 0),
(306, 1, 3, 'mod/data:managetemplates', 1, 1286799180, 0),
(307, 1, 1, 'mod/data:managetemplates', 1, 1286799180, 0),
(308, 1, 4, 'mod/data:viewalluserpresets', 1, 1286799180, 0),
(309, 1, 3, 'mod/data:viewalluserpresets', 1, 1286799180, 0),
(310, 1, 1, 'mod/data:viewalluserpresets', 1, 1286799180, 0),
(311, 1, 1, 'mod/data:manageuserpresets', 1, 1286799180, 0),
(312, 1, 6, 'mod/forum:viewdiscussion', 1, 1286799181, 0),
(313, 1, 5, 'mod/forum:viewdiscussion', 1, 1286799181, 0),
(314, 1, 4, 'mod/forum:viewdiscussion', 1, 1286799181, 0),
(315, 1, 3, 'mod/forum:viewdiscussion', 1, 1286799181, 0),
(316, 1, 1, 'mod/forum:viewdiscussion', 1, 1286799181, 0),
(317, 1, 4, 'mod/forum:viewhiddentimedposts', 1, 1286799181, 0),
(318, 1, 3, 'mod/forum:viewhiddentimedposts', 1, 1286799181, 0),
(319, 1, 1, 'mod/forum:viewhiddentimedposts', 1, 1286799181, 0),
(320, 1, 5, 'mod/forum:startdiscussion', 1, 1286799181, 0),
(321, 1, 4, 'mod/forum:startdiscussion', 1, 1286799181, 0),
(322, 1, 3, 'mod/forum:startdiscussion', 1, 1286799181, 0),
(323, 1, 1, 'mod/forum:startdiscussion', 1, 1286799181, 0),
(324, 1, 5, 'mod/forum:replypost', 1, 1286799181, 0),
(325, 1, 4, 'mod/forum:replypost', 1, 1286799181, 0),
(326, 1, 3, 'mod/forum:replypost', 1, 1286799181, 0),
(327, 1, 1, 'mod/forum:replypost', 1, 1286799181, 0),
(328, 1, 4, 'mod/forum:addnews', 1, 1286799181, 0),
(329, 1, 3, 'mod/forum:addnews', 1, 1286799181, 0),
(330, 1, 1, 'mod/forum:addnews', 1, 1286799181, 0),
(331, 1, 4, 'mod/forum:replynews', 1, 1286799181, 0),
(332, 1, 3, 'mod/forum:replynews', 1, 1286799181, 0),
(333, 1, 1, 'mod/forum:replynews', 1, 1286799181, 0),
(334, 1, 5, 'mod/forum:viewrating', 1, 1286799181, 0),
(335, 1, 4, 'mod/forum:viewrating', 1, 1286799181, 0),
(336, 1, 3, 'mod/forum:viewrating', 1, 1286799181, 0),
(337, 1, 1, 'mod/forum:viewrating', 1, 1286799181, 0),
(338, 1, 4, 'mod/forum:viewanyrating', 1, 1286799181, 0),
(339, 1, 3, 'mod/forum:viewanyrating', 1, 1286799181, 0),
(340, 1, 1, 'mod/forum:viewanyrating', 1, 1286799181, 0),
(341, 1, 4, 'mod/forum:rate', 1, 1286799181, 0),
(342, 1, 3, 'mod/forum:rate', 1, 1286799181, 0),
(343, 1, 1, 'mod/forum:rate', 1, 1286799181, 0),
(344, 1, 5, 'mod/forum:createattachment', 1, 1286799181, 0),
(345, 1, 4, 'mod/forum:createattachment', 1, 1286799181, 0),
(346, 1, 3, 'mod/forum:createattachment', 1, 1286799181, 0),
(347, 1, 1, 'mod/forum:createattachment', 1, 1286799181, 0),
(348, 1, 5, 'mod/forum:deleteownpost', 1, 1286799181, 0),
(349, 1, 4, 'mod/forum:deleteownpost', 1, 1286799181, 0),
(350, 1, 3, 'mod/forum:deleteownpost', 1, 1286799181, 0),
(351, 1, 1, 'mod/forum:deleteownpost', 1, 1286799181, 0),
(352, 1, 4, 'mod/forum:deleteanypost', 1, 1286799181, 0),
(353, 1, 3, 'mod/forum:deleteanypost', 1, 1286799181, 0),
(354, 1, 1, 'mod/forum:deleteanypost', 1, 1286799181, 0),
(355, 1, 4, 'mod/forum:splitdiscussions', 1, 1286799181, 0),
(356, 1, 3, 'mod/forum:splitdiscussions', 1, 1286799181, 0),
(357, 1, 1, 'mod/forum:splitdiscussions', 1, 1286799181, 0),
(358, 1, 4, 'mod/forum:movediscussions', 1, 1286799181, 0),
(359, 1, 3, 'mod/forum:movediscussions', 1, 1286799181, 0),
(360, 1, 1, 'mod/forum:movediscussions', 1, 1286799181, 0),
(361, 1, 4, 'mod/forum:editanypost', 1, 1286799181, 0),
(362, 1, 3, 'mod/forum:editanypost', 1, 1286799181, 0),
(363, 1, 1, 'mod/forum:editanypost', 1, 1286799181, 0),
(364, 1, 4, 'mod/forum:viewqandawithoutposting', 1, 1286799181, 0),
(365, 1, 3, 'mod/forum:viewqandawithoutposting', 1, 1286799181, 0),
(366, 1, 1, 'mod/forum:viewqandawithoutposting', 1, 1286799181, 0),
(367, 1, 4, 'mod/forum:viewsubscribers', 1, 1286799181, 0),
(368, 1, 3, 'mod/forum:viewsubscribers', 1, 1286799181, 0),
(369, 1, 1, 'mod/forum:viewsubscribers', 1, 1286799181, 0),
(370, 1, 4, 'mod/forum:managesubscriptions', 1, 1286799181, 0),
(371, 1, 3, 'mod/forum:managesubscriptions', 1, 1286799181, 0),
(372, 1, 1, 'mod/forum:managesubscriptions', 1, 1286799181, 0),
(373, 1, 4, 'mod/forum:initialsubscriptions', 1, 1286799181, 0),
(374, 1, 3, 'mod/forum:initialsubscriptions', 1, 1286799181, 0),
(375, 1, 5, 'mod/forum:initialsubscriptions', 1, 1286799181, 0),
(376, 1, 5, 'mod/glossary:write', 1, 1286799181, 0),
(377, 1, 4, 'mod/glossary:write', 1, 1286799181, 0),
(378, 1, 3, 'mod/glossary:write', 1, 1286799181, 0),
(379, 1, 1, 'mod/glossary:write', 1, 1286799181, 0),
(380, 1, 4, 'mod/glossary:manageentries', 1, 1286799181, 0),
(381, 1, 3, 'mod/glossary:manageentries', 1, 1286799181, 0),
(382, 1, 1, 'mod/glossary:manageentries', 1, 1286799181, 0),
(383, 1, 4, 'mod/glossary:managecategories', 1, 1286799181, 0),
(384, 1, 3, 'mod/glossary:managecategories', 1, 1286799181, 0),
(385, 1, 1, 'mod/glossary:managecategories', 1, 1286799181, 0),
(386, 1, 5, 'mod/glossary:comment', 1, 1286799181, 0),
(387, 1, 4, 'mod/glossary:comment', 1, 1286799181, 0),
(388, 1, 3, 'mod/glossary:comment', 1, 1286799181, 0),
(389, 1, 1, 'mod/glossary:comment', 1, 1286799181, 0),
(390, 1, 4, 'mod/glossary:managecomments', 1, 1286799181, 0),
(391, 1, 3, 'mod/glossary:managecomments', 1, 1286799181, 0),
(392, 1, 1, 'mod/glossary:managecomments', 1, 1286799181, 0),
(393, 1, 4, 'mod/glossary:import', 1, 1286799181, 0),
(394, 1, 3, 'mod/glossary:import', 1, 1286799181, 0),
(395, 1, 1, 'mod/glossary:import', 1, 1286799181, 0),
(396, 1, 4, 'mod/glossary:export', 1, 1286799181, 0),
(397, 1, 3, 'mod/glossary:export', 1, 1286799181, 0),
(398, 1, 1, 'mod/glossary:export', 1, 1286799181, 0),
(399, 1, 4, 'mod/glossary:approve', 1, 1286799181, 0),
(400, 1, 3, 'mod/glossary:approve', 1, 1286799181, 0),
(401, 1, 1, 'mod/glossary:approve', 1, 1286799181, 0),
(402, 1, 4, 'mod/glossary:rate', 1, 1286799181, 0),
(403, 1, 3, 'mod/glossary:rate', 1, 1286799181, 0),
(404, 1, 1, 'mod/glossary:rate', 1, 1286799181, 0),
(405, 1, 4, 'mod/glossary:viewrating', 1, 1286799181, 0),
(406, 1, 3, 'mod/glossary:viewrating', 1, 1286799181, 0),
(407, 1, 1, 'mod/glossary:viewrating', 1, 1286799181, 0),
(408, 1, 5, 'mod/hotpot:attempt', 1, 1286799181, 0),
(409, 1, 4, 'mod/hotpot:attempt', 1, 1286799181, 0),
(410, 1, 3, 'mod/hotpot:attempt', 1, 1286799181, 0),
(411, 1, 1, 'mod/hotpot:attempt', 1, 1286799181, 0),
(412, 1, 4, 'mod/hotpot:viewreport', 1, 1286799181, 0),
(413, 1, 3, 'mod/hotpot:viewreport', 1, 1286799181, 0),
(414, 1, 1, 'mod/hotpot:viewreport', 1, 1286799181, 0),
(415, 1, 4, 'mod/hotpot:grade', 1, 1286799181, 0),
(416, 1, 3, 'mod/hotpot:grade', 1, 1286799181, 0),
(417, 1, 1, 'mod/hotpot:grade', 1, 1286799181, 0),
(418, 1, 3, 'mod/hotpot:deleteattempt', 1, 1286799181, 0),
(419, 1, 1, 'mod/hotpot:deleteattempt', 1, 1286799181, 0),
(420, 1, 5, 'mod/lams:participate', 1, 1286799182, 0),
(421, 1, 4, 'mod/lams:manage', 1, 1286799182, 0),
(422, 1, 3, 'mod/lams:manage', 1, 1286799182, 0),
(423, 1, 1, 'mod/lams:manage', 1, 1286799182, 0),
(424, 1, 3, 'mod/lesson:edit', 1, 1286799182, 0),
(425, 1, 1, 'mod/lesson:edit', 1, 1286799182, 0),
(426, 1, 4, 'mod/lesson:manage', 1, 1286799182, 0),
(427, 1, 3, 'mod/lesson:manage', 1, 1286799182, 0),
(428, 1, 1, 'mod/lesson:manage', 1, 1286799182, 0),
(429, 1, 6, 'mod/quiz:view', 1, 1286799182, 0),
(430, 1, 5, 'mod/quiz:view', 1, 1286799182, 0),
(431, 1, 4, 'mod/quiz:view', 1, 1286799182, 0),
(432, 1, 3, 'mod/quiz:view', 1, 1286799182, 0),
(433, 1, 1, 'mod/quiz:view', 1, 1286799182, 0),
(434, 1, 5, 'mod/quiz:attempt', 1, 1286799182, 0),
(435, 1, 5, 'mod/quiz:reviewmyattempts', 1, 1286799182, 0),
(436, 1, 3, 'mod/quiz:manage', 1, 1286799182, 0),
(437, 1, 1, 'mod/quiz:manage', 1, 1286799182, 0),
(438, 1, 4, 'mod/quiz:preview', 1, 1286799182, 0),
(439, 1, 3, 'mod/quiz:preview', 1, 1286799182, 0),
(440, 1, 1, 'mod/quiz:preview', 1, 1286799182, 0),
(441, 1, 4, 'mod/quiz:grade', 1, 1286799182, 0),
(442, 1, 3, 'mod/quiz:grade', 1, 1286799182, 0),
(443, 1, 1, 'mod/quiz:grade', 1, 1286799182, 0),
(444, 1, 4, 'mod/quiz:viewreports', 1, 1286799182, 0),
(445, 1, 3, 'mod/quiz:viewreports', 1, 1286799183, 0),
(446, 1, 1, 'mod/quiz:viewreports', 1, 1286799183, 0),
(447, 1, 3, 'mod/quiz:deleteattempts', 1, 1286799183, 0),
(448, 1, 1, 'mod/quiz:deleteattempts', 1, 1286799183, 0),
(449, 1, 4, 'mod/scorm:viewreport', 1, 1286799183, 0),
(450, 1, 3, 'mod/scorm:viewreport', 1, 1286799183, 0),
(451, 1, 1, 'mod/scorm:viewreport', 1, 1286799183, 0),
(452, 1, 5, 'mod/scorm:skipview', 1, 1286799183, 0),
(453, 1, 5, 'mod/scorm:savetrack', 1, 1286799183, 0),
(454, 1, 4, 'mod/scorm:savetrack', 1, 1286799183, 0),
(455, 1, 3, 'mod/scorm:savetrack', 1, 1286799183, 0),
(456, 1, 1, 'mod/scorm:savetrack', 1, 1286799183, 0),
(457, 1, 5, 'mod/scorm:viewscores', 1, 1286799183, 0),
(458, 1, 4, 'mod/scorm:viewscores', 1, 1286799183, 0),
(459, 1, 3, 'mod/scorm:viewscores', 1, 1286799183, 0),
(460, 1, 1, 'mod/scorm:viewscores', 1, 1286799183, 0),
(461, 1, 4, 'mod/scorm:deleteresponses', 1, 1286799183, 0),
(462, 1, 3, 'mod/scorm:deleteresponses', 1, 1286799183, 0),
(463, 1, 1, 'mod/scorm:deleteresponses', 1, 1286799183, 0),
(464, 1, 5, 'mod/survey:participate', 1, 1286799183, 0),
(465, 1, 4, 'mod/survey:participate', 1, 1286799183, 0),
(466, 1, 3, 'mod/survey:participate', 1, 1286799183, 0),
(467, 1, 1, 'mod/survey:participate', 1, 1286799183, 0),
(468, 1, 4, 'mod/survey:readresponses', 1, 1286799183, 0),
(469, 1, 3, 'mod/survey:readresponses', 1, 1286799183, 0),
(470, 1, 1, 'mod/survey:readresponses', 1, 1286799183, 0),
(471, 1, 4, 'mod/survey:download', 1, 1286799183, 0),
(472, 1, 3, 'mod/survey:download', 1, 1286799183, 0),
(473, 1, 1, 'mod/survey:download', 1, 1286799183, 0),
(474, 1, 5, 'mod/wiki:participate', 1, 1286799184, 0),
(475, 1, 4, 'mod/wiki:participate', 1, 1286799184, 0),
(476, 1, 3, 'mod/wiki:participate', 1, 1286799184, 0),
(477, 1, 1, 'mod/wiki:participate', 1, 1286799184, 0),
(478, 1, 4, 'mod/wiki:manage', 1, 1286799184, 0),
(479, 1, 3, 'mod/wiki:manage', 1, 1286799184, 0),
(480, 1, 1, 'mod/wiki:manage', 1, 1286799184, 0),
(481, 1, 4, 'mod/wiki:overridelock', 1, 1286799184, 0),
(482, 1, 3, 'mod/wiki:overridelock', 1, 1286799184, 0),
(483, 1, 1, 'mod/wiki:overridelock', 1, 1286799184, 0),
(484, 1, 5, 'mod/workshop:participate', 1, 1286799184, 0),
(485, 1, 4, 'mod/workshop:manage', 1, 1286799184, 0),
(486, 1, 3, 'mod/workshop:manage', 1, 1286799184, 0),
(487, 1, 1, 'mod/workshop:manage', 1, 1286799184, 0),
(488, 1, 7, 'block/online_users:viewlist', 1, 1286799198, 0),
(489, 1, 6, 'block/online_users:viewlist', 1, 1286799198, 0),
(490, 1, 5, 'block/online_users:viewlist', 1, 1286799198, 0),
(491, 1, 4, 'block/online_users:viewlist', 1, 1286799198, 0),
(492, 1, 3, 'block/online_users:viewlist', 1, 1286799198, 0),
(493, 1, 1, 'block/online_users:viewlist', 1, 1286799198, 0),
(494, 1, 4, 'block/rss_client:createprivatefeeds', 1, 1286799198, 0),
(495, 1, 3, 'block/rss_client:createprivatefeeds', 1, 1286799198, 0),
(496, 1, 1, 'block/rss_client:createprivatefeeds', 1, 1286799198, 0),
(497, 1, 3, 'block/rss_client:createsharedfeeds', 1, 1286799198, 0),
(498, 1, 1, 'block/rss_client:createsharedfeeds', 1, 1286799198, 0),
(499, 1, 4, 'block/rss_client:manageownfeeds', 1, 1286799198, 0),
(500, 1, 3, 'block/rss_client:manageownfeeds', 1, 1286799198, 0),
(501, 1, 1, 'block/rss_client:manageownfeeds', 1, 1286799198, 0),
(502, 1, 1, 'block/rss_client:manageanyfeeds', 1, 1286799198, 0),
(503, 1, 1, 'enrol/authorize:managepayments', 1, 1286799200, 0),
(504, 1, 1, 'enrol/authorize:uploadcsv', 1, 1286799200, 0),
(505, 1, 4, 'gradeexport/ods:view', 1, 1286799203, 0),
(506, 1, 3, 'gradeexport/ods:view', 1, 1286799203, 0),
(507, 1, 1, 'gradeexport/ods:view', 1, 1286799203, 0),
(508, 1, 1, 'gradeexport/ods:publish', 1, 1286799203, 0),
(509, 1, 4, 'gradeexport/txt:view', 1, 1286799203, 0),
(510, 1, 3, 'gradeexport/txt:view', 1, 1286799203, 0),
(511, 1, 1, 'gradeexport/txt:view', 1, 1286799203, 0),
(512, 1, 1, 'gradeexport/txt:publish', 1, 1286799203, 0),
(513, 1, 4, 'gradeexport/xls:view', 1, 1286799203, 0),
(514, 1, 3, 'gradeexport/xls:view', 1, 1286799203, 0),
(515, 1, 1, 'gradeexport/xls:view', 1, 1286799203, 0),
(516, 1, 1, 'gradeexport/xls:publish', 1, 1286799203, 0),
(517, 1, 4, 'gradeexport/xml:view', 1, 1286799203, 0),
(518, 1, 3, 'gradeexport/xml:view', 1, 1286799203, 0),
(519, 1, 1, 'gradeexport/xml:view', 1, 1286799203, 0),
(520, 1, 1, 'gradeexport/xml:publish', 1, 1286799203, 0),
(521, 1, 3, 'gradeimport/csv:view', 1, 1286799206, 0),
(522, 1, 1, 'gradeimport/csv:view', 1, 1286799206, 0),
(523, 1, 3, 'gradeimport/xml:view', 1, 1286799206, 0),
(524, 1, 1, 'gradeimport/xml:view', 1, 1286799206, 0),
(525, 1, 1, 'gradeimport/xml:publish', 1, 1286799206, 0),
(526, 1, 4, 'gradereport/grader:view', 1, 1286799209, 0),
(527, 1, 3, 'gradereport/grader:view', 1, 1286799209, 0),
(528, 1, 1, 'gradereport/grader:view', 1, 1286799209, 0),
(529, 1, 4, 'gradereport/outcomes:view', 1, 1286799209, 0),
(530, 1, 3, 'gradereport/outcomes:view', 1, 1286799209, 0),
(531, 1, 1, 'gradereport/outcomes:view', 1, 1286799209, 0),
(532, 1, 5, 'gradereport/overview:view', 1, 1286799209, 0),
(533, 1, 1, 'gradereport/overview:view', 1, 1286799209, 0),
(534, 1, 5, 'gradereport/user:view', 1, 1286799209, 0),
(535, 1, 4, 'gradereport/user:view', 1, 1286799209, 0),
(536, 1, 3, 'gradereport/user:view', 1, 1286799209, 0),
(537, 1, 1, 'gradereport/user:view', 1, 1286799209, 0),
(538, 1, 4, 'coursereport/log:view', 1, 1286799212, 0),
(539, 1, 3, 'coursereport/log:view', 1, 1286799212, 0),
(540, 1, 1, 'coursereport/log:view', 1, 1286799212, 0),
(541, 1, 4, 'coursereport/log:viewlive', 1, 1286799212, 0),
(542, 1, 3, 'coursereport/log:viewlive', 1, 1286799212, 0),
(543, 1, 1, 'coursereport/log:viewlive', 1, 1286799212, 0),
(544, 1, 4, 'coursereport/log:viewtoday', 1, 1286799212, 0),
(545, 1, 3, 'coursereport/log:viewtoday', 1, 1286799212, 0),
(546, 1, 1, 'coursereport/log:viewtoday', 1, 1286799212, 0),
(547, 1, 4, 'coursereport/outline:view', 1, 1286799212, 0),
(548, 1, 3, 'coursereport/outline:view', 1, 1286799212, 0),
(549, 1, 1, 'coursereport/outline:view', 1, 1286799212, 0),
(550, 1, 4, 'coursereport/participation:view', 1, 1286799212, 0),
(551, 1, 3, 'coursereport/participation:view', 1, 1286799212, 0),
(552, 1, 1, 'coursereport/participation:view', 1, 1286799212, 0),
(553, 1, 4, 'coursereport/stats:view', 1, 1286799212, 0),
(554, 1, 3, 'coursereport/stats:view', 1, 1286799212, 0),
(555, 1, 1, 'coursereport/stats:view', 1, 1286799212, 0),
(556, 1, 4, 'report/courseoverview:view', 1, 1286799214, 0),
(557, 1, 3, 'report/courseoverview:view', 1, 1286799214, 0),
(558, 1, 1, 'report/courseoverview:view', 1, 1286799214, 0),
(559, 1, 1, 'report/security:view', 1, 1286799214, 0),
(560, 1, 1, 'report/unittest:view', 1, 1286799214, 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role_names`
--

CREATE TABLE IF NOT EXISTS `role_names` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `contextid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rolename_rolcon_uix` (`roleid`,`contextid`),
  KEY `rolename_rol_ix` (`roleid`),
  KEY `rolename_con_ix` (`contextid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='role names in native strings' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `role_sortorder`
--

CREATE TABLE IF NOT EXISTS `role_sortorder` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL,
  `roleid` bigint(10) unsigned NOT NULL,
  `contextid` bigint(10) unsigned NOT NULL,
  `sortoder` bigint(10) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rolesort_userolcon_uix` (`userid`,`roleid`,`contextid`),
  KEY `rolesort_use_ix` (`userid`),
  KEY `rolesort_rol_ix` (`roleid`),
  KEY `rolesort_con_ix` (`contextid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='sort order of course managers in a course' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scale`
--

CREATE TABLE IF NOT EXISTS `scale` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `scale` text NOT NULL,
  `description` text NOT NULL,
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `scal_cou_ix` (`courseid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Defines grading scales' AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `scale`
--

INSERT INTO `scale` (`id`, `courseid`, `userid`, `name`, `scale`, `description`, `timemodified`) VALUES
(1, 0, 0, 'Separate and Connected ways of knowing', 'Mostly Separate Knowing,Separate and Connected,Mostly Connected Knowing', '<h1> Ratings </h1>\n\n<p>Individual posts can be rated using a scale based on the theory of <strong>separate and connected knowing</strong>.\n\nThis theory may help you to look at human interactions in a new way. It describes two different ways that we can evaluate and learn about the things we see and hear.\n\nAlthough each of us may use these two methods in different amounts at different times, it may be useful to imagine two people as examples, one who is a mostly separate knower (Jim) and the other a mostly connected knower (Mary).\n</p>\n\n<ul>\n\n  <li>Jim likes to remain as ''objective'' as possible without including his feelings and emotions. When in a discussion with other people who may have different ideas, he likes to defend his own ideas, using logic to find holes in his opponent''s ideas. He is critical of new ideas unless they are proven facts from reputable sources such as textbooks, respected teachers or his own direct experience. Jim is a very <strong>separate knower</strong>.\n\n  </li>\n\n  <li>Mary is more sensitive to other people. She is skilled at empathy and tends to listen and ask questions until she feels she can connect and &quot;understand things from their point of view&quot;. She learns by trying to share the experiences that led to the knowledge she finds in other people. When talking to others, she avoids confrontation and will often try to help the other person if she can see a way to do so, using logical suggestions. Mary is a very <strong>connected knower</strong>.</li>\n\n</ul>\n\n<p>Did you notice in these examples that the separate knower is male and the connected knower is female? Some studies have shown that statistically this tends to be the case, however individual people can be anywhere in the spectrum between these two extremes.\n\nFor a collaborative and effective group of learners it may be best if everyone were able to use BOTH ways of knowing.\n\nIn a particular situation like an online forum, a single post by a person may exhibit either of these characteristics, or even both. Someone who is generally very connected may post a very separate-sounding message, and vice versa. The purpose of rating each post using this scale is to:\n</p>\n\n<ol style="list-style:lower-alpha">\n\n  <li> help you think about these issues when reading other posts </li>\n\n  <li> provide feedback to each author on how they are being seen by others </li>\n\n</ol>\n\nThe results are not used towards student assessment in any way, they are just to help improve communication and learning.\n\n<hr />\n<p>\nIn case you''re interested, here are some references to papers by the authors who originally developed these ideas:\n</p>\n\n<ul>\n  <li>Belenky, M.F., Clinchy, B.M., Goldberger, N.R., &amp; Tarule, J.M. (1986). \n\n    Women''s ways of knowing: the development of self, voice, and mind. New York, \n\n    NY: Basic Books.</li>\n\n  <li>Clinchy, B.M. (1989a). The development of thoughtfulness in college women: \n\n    Integrating reason and care. American Behavioural Scientist, 32(6), 647-657.</li>\n\n  <li>Clinchy, B.M. (1989b). On critical thinking &amp; connected knowing. Liberal \n\n    education, 75(5), 14-19.</li>\n\n  <li>Clinchy, B.M. (1996). Connected and separate knowing; Toward a marriage \n\n    of two minds. In N.R. Goldberger, Tarule, J.M., Clinchy, B.M. &amp;</li>\n\n  <li>Belenky, M.F. (Eds.), Knowledge, Difference, and Power; Essays inspired \n\n    by &#8220;Women&#8217;s Ways of Knowing&#8221; (pp. 205-247). New York, NY: \n\n    Basic Books.</li>\n\n  <li>Galotti, K. M., Clinchy, B. M., Ainsworth, K., Lavin, B., &amp; Mansfield, \n\n    A. F. (1999). A New Way of Assessing Ways of Knowing: The Attitudes Towards \n\n    Thinking and Learning Survey (ATTLS). Sex Roles, 40(9/10), 745-766.</li>\n\n  <li>Galotti, K. M., Reimer, R. L., &amp; Drebus, D. W. (2001). Ways of knowing \n\n    as learning styles: Learning MAGIC with a partner. Sex Roles, 44(7/8), 419-436. \n\n  </li>\n\n</ul>\n\n', 1400585919);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scale_history`
--

CREATE TABLE IF NOT EXISTS `scale_history` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `action` bigint(10) unsigned NOT NULL default '0',
  `oldid` bigint(10) unsigned NOT NULL,
  `source` varchar(255) default NULL,
  `timemodified` bigint(10) unsigned default NULL,
  `loggeduser` bigint(10) unsigned default NULL,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `scale` text NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `scalhist_act_ix` (`action`),
  KEY `scalhist_old_ix` (`oldid`),
  KEY `scalhist_cou_ix` (`courseid`),
  KEY `scalhist_log_ix` (`loggeduser`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='History table' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm`
--

CREATE TABLE IF NOT EXISTS `scorm` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `reference` varchar(255) NOT NULL default '',
  `summary` text NOT NULL,
  `version` varchar(9) NOT NULL default '',
  `maxgrade` double NOT NULL default '0',
  `grademethod` tinyint(2) NOT NULL default '0',
  `whatgrade` bigint(10) NOT NULL default '0',
  `maxattempt` bigint(10) NOT NULL default '1',
  `updatefreq` tinyint(1) unsigned NOT NULL default '0',
  `md5hash` varchar(32) NOT NULL default '',
  `launch` bigint(10) unsigned NOT NULL default '0',
  `skipview` tinyint(1) unsigned NOT NULL default '1',
  `hidebrowse` tinyint(1) NOT NULL default '0',
  `hidetoc` tinyint(1) NOT NULL default '0',
  `hidenav` tinyint(1) NOT NULL default '0',
  `auto` tinyint(1) unsigned NOT NULL default '0',
  `popup` tinyint(1) unsigned NOT NULL default '0',
  `options` varchar(255) NOT NULL default '',
  `width` bigint(10) unsigned NOT NULL default '100',
  `height` bigint(10) unsigned NOT NULL default '600',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `scor_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='each table is one SCORM module and its configuration' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_scoes`
--

CREATE TABLE IF NOT EXISTS `scorm_scoes` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scorm` bigint(10) unsigned NOT NULL default '0',
  `manifest` varchar(255) NOT NULL default '',
  `organization` varchar(255) NOT NULL default '',
  `parent` varchar(255) NOT NULL default '',
  `identifier` varchar(255) NOT NULL default '',
  `launch` varchar(255) NOT NULL default '',
  `scormtype` varchar(5) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `scorscoe_sco_ix` (`scorm`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='each SCO part of the SCORM module' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_scoes_data`
--

CREATE TABLE IF NOT EXISTS `scorm_scoes_data` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `scorscoedata_sco_ix` (`scoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Contains variable data get from packages' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_scoes_track`
--

CREATE TABLE IF NOT EXISTS `scorm_scoes_track` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `scormid` bigint(10) NOT NULL default '0',
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `attempt` bigint(10) unsigned NOT NULL default '1',
  `element` varchar(255) NOT NULL default '',
  `value` longtext NOT NULL,
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorscoetrac_usescos_uix` (`userid`,`scormid`,`scoid`,`attempt`,`element`),
  KEY `scorscoetrac_use_ix` (`userid`),
  KEY `scorscoetrac_ele_ix` (`element`),
  KEY `scorscoetrac_sco_ix` (`scormid`),
  KEY `scorscoetrac_sco2_ix` (`scoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to track SCOes' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_seq_mapinfo`
--

CREATE TABLE IF NOT EXISTS `scorm_seq_mapinfo` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `objectiveid` bigint(10) unsigned NOT NULL default '0',
  `targetobjectiveid` bigint(10) unsigned NOT NULL default '0',
  `readsatisfiedstatus` tinyint(1) NOT NULL default '1',
  `readnormalizedmeasure` tinyint(1) NOT NULL default '1',
  `writesatisfiedstatus` tinyint(1) NOT NULL default '0',
  `writenormalizedmeasure` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorseqmapi_scoidobj_uix` (`scoid`,`id`,`objectiveid`),
  KEY `scorseqmapi_sco_ix` (`scoid`),
  KEY `scorseqmapi_obj_ix` (`objectiveid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='SCORM2004 objective mapinfo description' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_seq_objective`
--

CREATE TABLE IF NOT EXISTS `scorm_seq_objective` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `primaryobj` tinyint(1) NOT NULL default '0',
  `objectiveid` bigint(10) unsigned NOT NULL default '0',
  `satisfiedbymeasure` tinyint(1) NOT NULL default '1',
  `minnormalizedmeasure` float(11,4) unsigned NOT NULL default '0.0000',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorseqobje_scoid_uix` (`scoid`,`id`),
  KEY `scorseqobje_sco_ix` (`scoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='SCORM2004 objective description' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_seq_rolluprule`
--

CREATE TABLE IF NOT EXISTS `scorm_seq_rolluprule` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `childactivityset` varchar(15) NOT NULL default '',
  `minimumcount` bigint(10) unsigned NOT NULL default '0',
  `minimumpercent` float(11,4) unsigned NOT NULL default '0.0000',
  `conditioncombination` varchar(3) NOT NULL default 'all',
  `action` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorseqroll_scoid_uix` (`scoid`,`id`),
  KEY `scorseqroll_sco_ix` (`scoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='SCORM2004 sequencing rule' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_seq_rolluprulecond`
--

CREATE TABLE IF NOT EXISTS `scorm_seq_rolluprulecond` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `rollupruleid` bigint(10) unsigned NOT NULL default '0',
  `operator` varchar(5) NOT NULL default 'noOp',
  `cond` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorseqroll_scorolid_uix` (`scoid`,`rollupruleid`,`id`),
  KEY `scorseqroll_sco2_ix` (`scoid`),
  KEY `scorseqroll_rol_ix` (`rollupruleid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='SCORM2004 sequencing rule' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_seq_rulecond`
--

CREATE TABLE IF NOT EXISTS `scorm_seq_rulecond` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `ruleconditionsid` bigint(10) unsigned NOT NULL default '0',
  `refrencedobjective` varchar(255) NOT NULL default '',
  `measurethreshold` float(11,4) NOT NULL default '0.0000',
  `operator` varchar(5) NOT NULL default 'noOp',
  `cond` varchar(30) NOT NULL default 'always',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorseqrule_idscorul_uix` (`id`,`scoid`,`ruleconditionsid`),
  KEY `scorseqrule_sco2_ix` (`scoid`),
  KEY `scorseqrule_rul_ix` (`ruleconditionsid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='SCORM2004 rule condition' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `scorm_seq_ruleconds`
--

CREATE TABLE IF NOT EXISTS `scorm_seq_ruleconds` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `scoid` bigint(10) unsigned NOT NULL default '0',
  `conditioncombination` varchar(3) NOT NULL default 'all',
  `ruletype` tinyint(2) unsigned NOT NULL default '0',
  `action` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `scorseqrule_scoid_uix` (`scoid`,`id`),
  KEY `scorseqrule_sco_ix` (`scoid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='SCORM2004 rule conditions' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sessions2`
--

CREATE TABLE IF NOT EXISTS `sessions2` (
  `sesskey` varchar(64) NOT NULL default '',
  `expiry` datetime NOT NULL,
  `expireref` varchar(250) default '',
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `sessdata` longtext,
  PRIMARY KEY  (`sesskey`),
  KEY `sess_exp_ix` (`expiry`),
  KEY `sess_exp2_ix` (`expireref`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Optional database session storage in new format, not used by';

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stats_daily`
--

CREATE TABLE IF NOT EXISTS `stats_daily` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `stattype` enum('enrolments','activity','logins') NOT NULL default 'activity',
  `stat1` bigint(10) unsigned NOT NULL default '0',
  `stat2` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `statdail_cou_ix` (`courseid`),
  KEY `statdail_tim_ix` (`timeend`),
  KEY `statdail_rol_ix` (`roleid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='to accumulate daily stats' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stats_monthly`
--

CREATE TABLE IF NOT EXISTS `stats_monthly` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `stattype` enum('enrolments','activity','logins') NOT NULL default 'activity',
  `stat1` bigint(10) unsigned NOT NULL default '0',
  `stat2` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `statmont_cou_ix` (`courseid`),
  KEY `statmont_tim_ix` (`timeend`),
  KEY `statmont_rol_ix` (`roleid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To accumulate monthly stats' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stats_user_daily`
--

CREATE TABLE IF NOT EXISTS `stats_user_daily` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `statsreads` bigint(10) unsigned NOT NULL default '0',
  `statswrites` bigint(10) unsigned NOT NULL default '0',
  `stattype` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `statuserdail_cou_ix` (`courseid`),
  KEY `statuserdail_use_ix` (`userid`),
  KEY `statuserdail_rol_ix` (`roleid`),
  KEY `statuserdail_tim_ix` (`timeend`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To accumulate daily stats per course/user' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stats_user_monthly`
--

CREATE TABLE IF NOT EXISTS `stats_user_monthly` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `statsreads` bigint(10) unsigned NOT NULL default '0',
  `statswrites` bigint(10) unsigned NOT NULL default '0',
  `stattype` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `statusermont_cou_ix` (`courseid`),
  KEY `statusermont_use_ix` (`userid`),
  KEY `statusermont_rol_ix` (`roleid`),
  KEY `statusermont_tim_ix` (`timeend`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To accumulate monthly stats per course/user' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stats_user_weekly`
--

CREATE TABLE IF NOT EXISTS `stats_user_weekly` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `statsreads` bigint(10) unsigned NOT NULL default '0',
  `statswrites` bigint(10) unsigned NOT NULL default '0',
  `stattype` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `statuserweek_cou_ix` (`courseid`),
  KEY `statuserweek_use_ix` (`userid`),
  KEY `statuserweek_rol_ix` (`roleid`),
  KEY `statuserweek_tim_ix` (`timeend`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To accumulate weekly stats per course/user' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `stats_weekly`
--

CREATE TABLE IF NOT EXISTS `stats_weekly` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `timeend` bigint(10) unsigned NOT NULL default '0',
  `roleid` bigint(10) unsigned NOT NULL default '0',
  `stattype` enum('enrolments','activity','logins') NOT NULL default 'activity',
  `stat1` bigint(10) unsigned NOT NULL default '0',
  `stat2` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `statweek_cou_ix` (`courseid`),
  KEY `statweek_tim_ix` (`timeend`),
  KEY `statweek_rol_ix` (`roleid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='To accumulate weekly stats' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `survey`
--

CREATE TABLE IF NOT EXISTS `survey` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `template` bigint(10) unsigned NOT NULL default '0',
  `days` mediumint(6) NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `intro` text NOT NULL,
  `questions` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `surv_cou_ix` (`course`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Each record is one SURVEY module with its configuration' AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `survey`
--

INSERT INTO `survey` (`id`, `course`, `template`, `days`, `timecreated`, `timemodified`, `name`, `intro`, `questions`) VALUES
(1, 0, 0, 0, 985017600, 985017600, 'collesaname', 'collesaintro', '25,26,27,28,29,30,43,44'),
(2, 0, 0, 0, 985017600, 985017600, 'collespname', 'collespintro', '31,32,33,34,35,36,43,44'),
(3, 0, 0, 0, 985017600, 985017600, 'collesapname', 'collesapintro', '37,38,39,40,41,42,43,44'),
(4, 0, 0, 0, 985017600, 985017600, 'attlsname', 'attlsintro', '65,67,68'),
(5, 0, 0, 0, 985017600, 985017600, 'ciqname', 'ciqintro', '69,70,71,72,73');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `survey_analysis`
--

CREATE TABLE IF NOT EXISTS `survey_analysis` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `survey` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `notes` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `survanal_use_ix` (`userid`),
  KEY `survanal_sur_ix` (`survey`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='text about each survey submission' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `survey_answers`
--

CREATE TABLE IF NOT EXISTS `survey_answers` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `survey` bigint(10) unsigned NOT NULL default '0',
  `question` bigint(10) unsigned NOT NULL default '0',
  `time` bigint(10) unsigned NOT NULL default '0',
  `answer1` text NOT NULL,
  `answer2` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `survansw_use_ix` (`userid`),
  KEY `survansw_sur_ix` (`survey`),
  KEY `survansw_que_ix` (`question`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='the answers to each questions filled by the users' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `survey_questions`
--

CREATE TABLE IF NOT EXISTS `survey_questions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `text` varchar(255) NOT NULL default '',
  `shorttext` varchar(30) NOT NULL default '',
  `multi` varchar(100) NOT NULL default '',
  `intro` varchar(50) NOT NULL default '',
  `type` smallint(3) NOT NULL default '0',
  `options` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='the questions conforming one survey' AUTO_INCREMENT=74 ;

--
-- Volcado de datos para la tabla `survey_questions`
--

INSERT INTO `survey_questions` (`id`, `text`, `shorttext`, `multi`, `intro`, `type`, `options`) VALUES
(1, 'colles1', 'colles1short', '', '', 1, 'scaletimes5'),
(2, 'colles2', 'colles2short', '', '', 1, 'scaletimes5'),
(3, 'colles3', 'colles3short', '', '', 1, 'scaletimes5'),
(4, 'colles4', 'colles4short', '', '', 1, 'scaletimes5'),
(5, 'colles5', 'colles5short', '', '', 1, 'scaletimes5'),
(6, 'colles6', 'colles6short', '', '', 1, 'scaletimes5'),
(7, 'colles7', 'colles7short', '', '', 1, 'scaletimes5'),
(8, 'colles8', 'colles8short', '', '', 1, 'scaletimes5'),
(9, 'colles9', 'colles9short', '', '', 1, 'scaletimes5'),
(10, 'colles10', 'colles10short', '', '', 1, 'scaletimes5'),
(11, 'colles11', 'colles11short', '', '', 1, 'scaletimes5'),
(12, 'colles12', 'colles12short', '', '', 1, 'scaletimes5'),
(13, 'colles13', 'colles13short', '', '', 1, 'scaletimes5'),
(14, 'colles14', 'colles14short', '', '', 1, 'scaletimes5'),
(15, 'colles15', 'colles15short', '', '', 1, 'scaletimes5'),
(16, 'colles16', 'colles16short', '', '', 1, 'scaletimes5'),
(17, 'colles17', 'colles17short', '', '', 1, 'scaletimes5'),
(18, 'colles18', 'colles18short', '', '', 1, 'scaletimes5'),
(19, 'colles19', 'colles19short', '', '', 1, 'scaletimes5'),
(20, 'colles20', 'colles20short', '', '', 1, 'scaletimes5'),
(21, 'colles21', 'colles21short', '', '', 1, 'scaletimes5'),
(22, 'colles22', 'colles22short', '', '', 1, 'scaletimes5'),
(23, 'colles23', 'colles23short', '', '', 1, 'scaletimes5'),
(24, 'colles24', 'colles24short', '', '', 1, 'scaletimes5'),
(25, 'collesm1', 'collesm1short', '1,2,3,4', 'collesmintro', 1, 'scaletimes5'),
(26, 'collesm2', 'collesm2short', '5,6,7,8', 'collesmintro', 1, 'scaletimes5'),
(27, 'collesm3', 'collesm3short', '9,10,11,12', 'collesmintro', 1, 'scaletimes5'),
(28, 'collesm4', 'collesm4short', '13,14,15,16', 'collesmintro', 1, 'scaletimes5'),
(29, 'collesm5', 'collesm5short', '17,18,19,20', 'collesmintro', 1, 'scaletimes5'),
(30, 'collesm6', 'collesm6short', '21,22,23,24', 'collesmintro', 1, 'scaletimes5'),
(31, 'collesm1', 'collesm1short', '1,2,3,4', 'collesmintro', 2, 'scaletimes5'),
(32, 'collesm2', 'collesm2short', '5,6,7,8', 'collesmintro', 2, 'scaletimes5'),
(33, 'collesm3', 'collesm3short', '9,10,11,12', 'collesmintro', 2, 'scaletimes5'),
(34, 'collesm4', 'collesm4short', '13,14,15,16', 'collesmintro', 2, 'scaletimes5'),
(35, 'collesm5', 'collesm5short', '17,18,19,20', 'collesmintro', 2, 'scaletimes5'),
(36, 'collesm6', 'collesm6short', '21,22,23,24', 'collesmintro', 2, 'scaletimes5'),
(37, 'collesm1', 'collesm1short', '1,2,3,4', 'collesmintro', 3, 'scaletimes5'),
(38, 'collesm2', 'collesm2short', '5,6,7,8', 'collesmintro', 3, 'scaletimes5'),
(39, 'collesm3', 'collesm3short', '9,10,11,12', 'collesmintro', 3, 'scaletimes5'),
(40, 'collesm4', 'collesm4short', '13,14,15,16', 'collesmintro', 3, 'scaletimes5'),
(41, 'collesm5', 'collesm5short', '17,18,19,20', 'collesmintro', 3, 'scaletimes5'),
(42, 'collesm6', 'collesm6short', '21,22,23,24', 'collesmintro', 3, 'scaletimes5'),
(43, 'howlong', '', '', '', 1, 'howlongoptions'),
(44, 'othercomments', '', '', '', 0, NULL),
(45, 'attls1', 'attls1short', '', '', 1, 'scaleagree5'),
(46, 'attls2', 'attls2short', '', '', 1, 'scaleagree5'),
(47, 'attls3', 'attls3short', '', '', 1, 'scaleagree5'),
(48, 'attls4', 'attls4short', '', '', 1, 'scaleagree5'),
(49, 'attls5', 'attls5short', '', '', 1, 'scaleagree5'),
(50, 'attls6', 'attls6short', '', '', 1, 'scaleagree5'),
(51, 'attls7', 'attls7short', '', '', 1, 'scaleagree5'),
(52, 'attls8', 'attls8short', '', '', 1, 'scaleagree5'),
(53, 'attls9', 'attls9short', '', '', 1, 'scaleagree5'),
(54, 'attls10', 'attls10short', '', '', 1, 'scaleagree5'),
(55, 'attls11', 'attls11short', '', '', 1, 'scaleagree5'),
(56, 'attls12', 'attls12short', '', '', 1, 'scaleagree5'),
(57, 'attls13', 'attls13short', '', '', 1, 'scaleagree5'),
(58, 'attls14', 'attls14short', '', '', 1, 'scaleagree5'),
(59, 'attls15', 'attls15short', '', '', 1, 'scaleagree5'),
(60, 'attls16', 'attls16short', '', '', 1, 'scaleagree5'),
(61, 'attls17', 'attls17short', '', '', 1, 'scaleagree5'),
(62, 'attls18', 'attls18short', '', '', 1, 'scaleagree5'),
(63, 'attls19', 'attls19short', '', '', 1, 'scaleagree5'),
(64, 'attls20', 'attls20short', '', '', 1, 'scaleagree5'),
(65, 'attlsm1', 'attlsm1', '45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64', 'attlsmintro', 1, 'scaleagree5'),
(66, '-', '-', '-', '-', 0, '-'),
(67, 'attlsm2', 'attlsm2', '63,62,59,57,55,49,52,50,48,47', 'attlsmintro', -1, 'scaleagree5'),
(68, 'attlsm3', 'attlsm3', '46,54,45,51,60,53,56,58,61,64', 'attlsmintro', -1, 'scaleagree5'),
(69, 'ciq1', 'ciq1short', '', '', 0, NULL),
(70, 'ciq2', 'ciq2short', '', '', 0, NULL),
(71, 'ciq3', 'ciq3short', '', '', 0, NULL),
(72, 'ciq4', 'ciq4short', '', '', 0, NULL),
(73, 'ciq5', 'ciq5short', '', '', 0, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tag`
--

CREATE TABLE IF NOT EXISTS `tag` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `rawname` varchar(255) NOT NULL default '',
  `tagtype` varchar(255) default NULL,
  `description` text,
  `descriptionformat` tinyint(2) unsigned NOT NULL default '0',
  `flag` smallint(4) unsigned default '0',
  `timemodified` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `tag_nam_uix` (`name`),
  KEY `tag_use_ix` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Tag table - this generic table will replace the old "tags" t' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tag_correlation`
--

CREATE TABLE IF NOT EXISTS `tag_correlation` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `tagid` bigint(10) unsigned NOT NULL,
  `correlatedtags` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `tagcorr_tag_ix` (`tagid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='The rationale for the ''tag_correlation'' table is performance' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tag_instance`
--

CREATE TABLE IF NOT EXISTS `tag_instance` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `tagid` bigint(10) unsigned NOT NULL,
  `itemtype` varchar(255) NOT NULL default '',
  `itemid` bigint(10) unsigned NOT NULL,
  `ordering` bigint(10) unsigned default NULL,
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `taginst_iteitetag_uix` (`itemtype`,`itemid`,`tagid`),
  KEY `taginst_tag_ix` (`tagid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='tag_instance table holds the information of associations bet' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `timezone`
--

CREATE TABLE IF NOT EXISTS `timezone` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `year` bigint(11) NOT NULL default '0',
  `tzrule` varchar(20) NOT NULL default '',
  `gmtoff` bigint(11) NOT NULL default '0',
  `dstoff` bigint(11) NOT NULL default '0',
  `dst_month` tinyint(2) NOT NULL default '0',
  `dst_startday` smallint(3) NOT NULL default '0',
  `dst_weekday` smallint(3) NOT NULL default '0',
  `dst_skipweeks` smallint(3) NOT NULL default '0',
  `dst_time` varchar(6) NOT NULL default '00:00',
  `std_month` tinyint(2) NOT NULL default '0',
  `std_startday` smallint(3) NOT NULL default '0',
  `std_weekday` smallint(3) NOT NULL default '0',
  `std_skipweeks` smallint(3) NOT NULL default '0',
  `std_time` varchar(6) NOT NULL default '00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Rules for calculating local wall clock time for users' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `auth` varchar(20) NOT NULL default 'manual',
  `confirmed` tinyint(1) NOT NULL default '0',
  `policyagreed` tinyint(1) NOT NULL default '0',
  `deleted` tinyint(1) NOT NULL default '0',
  `mnethostid` bigint(10) unsigned NOT NULL default '0',
  `username` varchar(100) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `idnumber` varchar(255) NOT NULL default '',
  `firstname` varchar(100) NOT NULL default '',
  `lastname` varchar(100) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `emailstop` tinyint(1) unsigned NOT NULL default '0',
  `icq` varchar(15) NOT NULL default '',
  `skype` varchar(50) NOT NULL default '',
  `yahoo` varchar(50) NOT NULL default '',
  `aim` varchar(50) NOT NULL default '',
  `msn` varchar(50) NOT NULL default '',
  `phone1` varchar(20) NOT NULL default '',
  `phone2` varchar(20) NOT NULL default '',
  `institution` varchar(40) NOT NULL default '',
  `department` varchar(30) NOT NULL default '',
  `address` varchar(70) NOT NULL default '',
  `city` varchar(20) NOT NULL default '',
  `country` varchar(2) NOT NULL default '',
  `lang` varchar(30) NOT NULL default 'en_utf8',
  `theme` varchar(50) NOT NULL default '',
  `timezone` varchar(100) NOT NULL default '99',
  `firstaccess` bigint(10) unsigned NOT NULL default '0',
  `lastaccess` bigint(10) unsigned NOT NULL default '0',
  `lastlogin` bigint(10) unsigned NOT NULL default '0',
  `currentlogin` bigint(10) unsigned NOT NULL default '0',
  `lastip` varchar(15) NOT NULL default '',
  `secret` varchar(15) NOT NULL default '',
  `picture` tinyint(1) NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `description` text,
  `mailformat` tinyint(1) unsigned NOT NULL default '1',
  `maildigest` tinyint(1) unsigned NOT NULL default '0',
  `maildisplay` tinyint(2) unsigned NOT NULL default '2',
  `htmleditor` tinyint(1) unsigned NOT NULL default '1',
  `ajax` tinyint(1) unsigned NOT NULL default '1',
  `autosubscribe` tinyint(1) unsigned NOT NULL default '1',
  `trackforums` tinyint(1) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `trustbitmask` bigint(10) unsigned NOT NULL default '0',
  `imagealt` varchar(255) default NULL,
  `screenreader` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `user_mneuse_uix` (`mnethostid`,`username`),
  KEY `user_del_ix` (`deleted`),
  KEY `user_con_ix` (`confirmed`),
  KEY `user_fir_ix` (`firstname`),
  KEY `user_las_ix` (`lastname`),
  KEY `user_cit_ix` (`city`),
  KEY `user_cou_ix` (`country`),
  KEY `user_las2_ix` (`lastaccess`),
  KEY `user_ema_ix` (`email`),
  KEY `user_aut_ix` (`auth`),
  KEY `user_idn_ix` (`idnumber`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='One record for each person' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `user`
--

INSERT INTO `user` (`id`, `auth`, `confirmed`, `policyagreed`, `deleted`, `mnethostid`, `username`, `password`, `idnumber`, `firstname`, `lastname`, `email`, `emailstop`, `icq`, `skype`, `yahoo`, `aim`, `msn`, `phone1`, `phone2`, `institution`, `department`, `address`, `city`, `country`, `lang`, `theme`, `timezone`, `firstaccess`, `lastaccess`, `lastlogin`, `currentlogin`, `lastip`, `secret`, `picture`, `url`, `description`, `mailformat`, `maildigest`, `maildisplay`, `htmleditor`, `ajax`, `autosubscribe`, `trackforums`, `timemodified`, `trustbitmask`, `imagealt`, `screenreader`) VALUES
(1, 'manual', 1, 0, 0, 1, 'guest', '7a4c661066e3e3a03da2b9cea029631d', '', 'Guest User', ' ', 'root@localhost', 0, '', '', '', '', '', '', '', '', '', '', '', '', 'en_utf8', '', '99', 0, 0, 0, 0, '', '', 0, '', 'This user is a special user that allows read-only access to some courses.', 1, 0, 2, 1, 1, 1, 0, 1286799218, 0, NULL, 0),
(2, 'manual', 1, 0, 0, 1, 'admin', 'c995c07dd2307a647b3ef77616e1bcfd', '', 'Administrator', 'Administrator', 'jlrivas@laboratoriodeseguridadtelematica.com', 0, '', '', '', '', '', '', '', '', '', '', 'Vigo', 'ES', 'en_utf8', '', '99', 1395690680, 1402904303, 1402902485, 1402902691, '194.183.97.93', '', 0, '', '', 1, 0, 1, 1, 1, 1, 0, 1395690680, 0, '', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_info_category`
--

CREATE TABLE IF NOT EXISTS `user_info_category` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Customisable fields categories' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_info_data`
--

CREATE TABLE IF NOT EXISTS `user_info_data` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `fieldid` bigint(10) unsigned NOT NULL default '0',
  `data` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Data for the customisable user fields' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_info_field`
--

CREATE TABLE IF NOT EXISTS `user_info_field` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `shortname` varchar(255) NOT NULL default 'shortname',
  `name` longtext NOT NULL,
  `datatype` varchar(255) NOT NULL default '',
  `description` longtext,
  `categoryid` bigint(10) unsigned NOT NULL default '0',
  `sortorder` bigint(10) unsigned NOT NULL default '0',
  `required` tinyint(2) unsigned NOT NULL default '0',
  `locked` tinyint(2) unsigned NOT NULL default '0',
  `visible` smallint(4) unsigned NOT NULL default '0',
  `forceunique` tinyint(2) unsigned NOT NULL default '0',
  `signup` tinyint(2) unsigned NOT NULL default '0',
  `defaultdata` longtext,
  `param1` longtext,
  `param2` longtext,
  `param3` longtext,
  `param4` longtext,
  `param5` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Customisable user profile fields' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_lastaccess`
--

CREATE TABLE IF NOT EXISTS `user_lastaccess` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `courseid` bigint(10) unsigned NOT NULL default '0',
  `timeaccess` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `userlast_usecou_uix` (`userid`,`courseid`),
  KEY `userlast_use_ix` (`userid`),
  KEY `userlast_cou_ix` (`courseid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='To keep track of course page access times, used in online pa' AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `user_lastaccess`
--

INSERT INTO `user_lastaccess` (`id`, `userid`, `courseid`, `timeaccess`) VALUES
(1, 2, 2, 1402751330),
(2, 2, 3, 1402904303);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_preferences`
--

CREATE TABLE IF NOT EXISTS `user_preferences` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `userid` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `userpref_usenam_uix` (`userid`,`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Allows modules to store arbitrary user preferences' AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `user_preferences`
--

INSERT INTO `user_preferences` (`id`, `userid`, `name`, `value`) VALUES
(1, 2, 'auth_forcepasswordchange', '0'),
(2, 2, 'email_bounce_count', '1'),
(3, 2, 'email_send_count', '1'),
(4, 2, 'mod_resource_mod_form_showadvanced', '1'),
(5, 2, 'lesson_view', 'collapsed');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_private_key`
--

CREATE TABLE IF NOT EXISTS `user_private_key` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `script` varchar(128) NOT NULL default '',
  `value` varchar(128) NOT NULL default '',
  `userid` bigint(10) unsigned NOT NULL,
  `instance` bigint(10) unsigned default NULL,
  `iprestriction` varchar(255) default NULL,
  `validuntil` bigint(10) unsigned default NULL,
  `timecreated` bigint(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `userprivkey_scrval_ix` (`script`,`value`),
  KEY `userprivkey_use_ix` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='access keys used in cookieless scripts - rss, etc.' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `webdav_locks`
--

CREATE TABLE IF NOT EXISTS `webdav_locks` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `token` varchar(255) NOT NULL default '',
  `path` varchar(255) NOT NULL default '',
  `expiry` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `recursive` tinyint(1) unsigned NOT NULL default '0',
  `exclusivelock` tinyint(1) unsigned NOT NULL default '0',
  `created` bigint(10) unsigned NOT NULL default '0',
  `modified` bigint(10) unsigned NOT NULL default '0',
  `owner` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `webdlock_tok_uix` (`token`),
  KEY `webdlock_pat_ix` (`path`),
  KEY `webdlock_exp_ix` (`expiry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Resource locks for WebDAV users' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki`
--

CREATE TABLE IF NOT EXISTS `wiki` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `summary` text NOT NULL,
  `pagename` varchar(255) NOT NULL default '',
  `wtype` enum('teacher','group','student') NOT NULL default 'group',
  `ewikiprinttitle` smallint(4) unsigned NOT NULL default '1',
  `htmlmode` smallint(4) unsigned NOT NULL default '0',
  `ewikiacceptbinary` smallint(4) unsigned NOT NULL default '0',
  `disablecamelcase` smallint(4) unsigned NOT NULL default '0',
  `setpageflags` smallint(4) unsigned NOT NULL default '1',
  `strippages` smallint(4) unsigned NOT NULL default '1',
  `removepages` smallint(4) unsigned NOT NULL default '1',
  `revertchanges` smallint(4) unsigned NOT NULL default '1',
  `initialcontent` varchar(255) NOT NULL default '',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `wiki_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Main wik table' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_entries`
--

CREATE TABLE IF NOT EXISTS `wiki_entries` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `wikiid` bigint(10) unsigned NOT NULL default '0',
  `course` bigint(10) unsigned NOT NULL default '0',
  `groupid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `pagename` varchar(255) NOT NULL default '',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `wikientr_cou_ix` (`course`),
  KEY `wikientr_gro_ix` (`groupid`),
  KEY `wikientr_use_ix` (`userid`),
  KEY `wikientr_pag_ix` (`pagename`),
  KEY `wikientr_wik_ix` (`wikiid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Holds entries for each wiki start instance' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_locks`
--

CREATE TABLE IF NOT EXISTS `wiki_locks` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `wikiid` bigint(10) unsigned NOT NULL,
  `pagename` varchar(160) NOT NULL default '',
  `lockedby` bigint(10) unsigned NOT NULL default '0',
  `lockedsince` bigint(10) unsigned NOT NULL default '0',
  `lockedseen` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `wikilock_wikpag_uix` (`wikiid`,`pagename`),
  KEY `wikilock_loc_ix` (`lockedseen`),
  KEY `wikilock_wik_ix` (`wikiid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stores editing locks on Wiki pages' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `wiki_pages`
--

CREATE TABLE IF NOT EXISTS `wiki_pages` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `pagename` varchar(160) NOT NULL default '',
  `version` bigint(10) unsigned NOT NULL default '0',
  `flags` bigint(10) unsigned default '0',
  `content` mediumtext,
  `author` varchar(100) default 'ewiki',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `created` bigint(10) unsigned default '0',
  `lastmodified` bigint(10) unsigned default '0',
  `refs` mediumtext,
  `meta` mediumtext,
  `hits` bigint(10) unsigned default '0',
  `wiki` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `wikipage_pagverwik_uix` (`pagename`,`version`,`wiki`),
  KEY `wikipage_wik_ix` (`wiki`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Holds the Wiki-Pages' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop`
--

CREATE TABLE IF NOT EXISTS `workshop` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `course` bigint(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `wtype` smallint(3) unsigned NOT NULL default '0',
  `nelements` smallint(3) unsigned NOT NULL default '1',
  `nattachments` smallint(3) unsigned NOT NULL default '0',
  `phase` tinyint(2) unsigned NOT NULL default '0',
  `format` tinyint(2) unsigned NOT NULL default '0',
  `gradingstrategy` tinyint(2) unsigned NOT NULL default '1',
  `resubmit` tinyint(2) unsigned NOT NULL default '0',
  `agreeassessments` tinyint(2) unsigned NOT NULL default '0',
  `hidegrades` tinyint(2) unsigned NOT NULL default '0',
  `anonymous` tinyint(2) unsigned NOT NULL default '0',
  `includeself` tinyint(2) unsigned NOT NULL default '0',
  `maxbytes` bigint(10) unsigned NOT NULL default '100000',
  `submissionstart` bigint(10) unsigned NOT NULL default '0',
  `assessmentstart` bigint(10) unsigned NOT NULL default '0',
  `submissionend` bigint(10) unsigned NOT NULL default '0',
  `assessmentend` bigint(10) unsigned NOT NULL default '0',
  `releasegrades` bigint(10) unsigned NOT NULL default '0',
  `grade` smallint(3) NOT NULL default '0',
  `gradinggrade` smallint(3) NOT NULL default '0',
  `ntassessments` smallint(3) unsigned NOT NULL default '0',
  `assessmentcomps` smallint(3) unsigned NOT NULL default '2',
  `nsassessments` smallint(3) unsigned NOT NULL default '0',
  `overallocation` smallint(3) unsigned NOT NULL default '0',
  `timemodified` bigint(10) unsigned NOT NULL default '0',
  `teacherweight` smallint(3) unsigned NOT NULL default '1',
  `showleaguetable` smallint(3) unsigned NOT NULL default '0',
  `usepassword` smallint(3) unsigned NOT NULL default '0',
  `password` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `work_cou_ix` (`course`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines workshop' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_assessments`
--

CREATE TABLE IF NOT EXISTS `workshop_assessments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `submissionid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `timegraded` bigint(10) unsigned NOT NULL default '0',
  `timeagreed` bigint(10) unsigned NOT NULL default '0',
  `grade` double NOT NULL default '0',
  `gradinggrade` smallint(3) NOT NULL default '0',
  `teachergraded` smallint(3) unsigned NOT NULL default '0',
  `mailed` smallint(3) unsigned NOT NULL default '0',
  `resubmission` smallint(3) unsigned NOT NULL default '0',
  `donotuse` smallint(3) unsigned NOT NULL default '0',
  `generalcomment` text,
  `teachercomment` text,
  PRIMARY KEY  (`id`),
  KEY `workasse_use_ix` (`userid`),
  KEY `workasse_mai_ix` (`mailed`),
  KEY `workasse_wor_ix` (`workshopid`),
  KEY `workasse_sub_ix` (`submissionid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about assessments by teacher and students' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_comments`
--

CREATE TABLE IF NOT EXISTS `workshop_comments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `assessmentid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `mailed` tinyint(2) unsigned NOT NULL default '0',
  `comments` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `workcomm_use_ix` (`userid`),
  KEY `workcomm_mai_ix` (`mailed`),
  KEY `workcomm_wor_ix` (`workshopid`),
  KEY `workcomm_ass_ix` (`assessmentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Defines comments' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_elements`
--

CREATE TABLE IF NOT EXISTS `workshop_elements` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `elementno` smallint(3) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `scale` smallint(3) unsigned NOT NULL default '0',
  `maxscore` smallint(3) unsigned NOT NULL default '1',
  `weight` smallint(3) unsigned NOT NULL default '11',
  `stddev` double NOT NULL default '0',
  `totalassessments` bigint(10) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `workelem_wor_ix` (`workshopid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about marking scheme of assignment' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_grades`
--

CREATE TABLE IF NOT EXISTS `workshop_grades` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `assessmentid` bigint(10) unsigned NOT NULL default '0',
  `elementno` bigint(10) unsigned NOT NULL default '0',
  `feedback` text NOT NULL,
  `grade` smallint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `workgrad_wor_ix` (`workshopid`),
  KEY `workgrad_ass_ix` (`assessmentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about individual grades given to each element' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_rubrics`
--

CREATE TABLE IF NOT EXISTS `workshop_rubrics` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `elementno` bigint(10) unsigned NOT NULL default '0',
  `rubricno` smallint(3) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `workrubr_wor_ix` (`workshopid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about the rubrics marking scheme' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_stockcomments`
--

CREATE TABLE IF NOT EXISTS `workshop_stockcomments` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `elementno` bigint(10) unsigned NOT NULL default '0',
  `comments` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `workstoc_wor_ix` (`workshopid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about the teacher comment bank' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `workshop_submissions`
--

CREATE TABLE IF NOT EXISTS `workshop_submissions` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `workshopid` bigint(10) unsigned NOT NULL default '0',
  `userid` bigint(10) unsigned NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `timecreated` bigint(10) unsigned NOT NULL default '0',
  `mailed` tinyint(2) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `gradinggrade` smallint(3) unsigned NOT NULL default '0',
  `finalgrade` smallint(3) unsigned NOT NULL default '0',
  `late` smallint(3) unsigned NOT NULL default '0',
  `nassessments` bigint(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `worksubm_use_ix` (`userid`),
  KEY `worksubm_mai_ix` (`mailed`),
  KEY `worksubm_wor_ix` (`workshopid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Info about submitted work from teacher and students' AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
